-------------------------------------------------------------------------------

Changes: V5.3.2.1 -> V5.3.2.2

    An increment only in the version number that was failing to be
    reported properly by the tools.

-------------------------------------------------------------------------------

Changes: V5.3.2 -> V5.3.2.1

    SECURITY BUG: A portion of SNMPv3 code had significantly weakened
    authentication cryptography and unauthenticated access to a system
    is a possibility.

    It is critical that all users update their installations bases
    IMMEDIATELY.

    If you were only using SNMPv1 or SNMPv2c you were already insecure
    beyond a level that this vulnerability affects.
-------------------------------------------------------------
   CHANGES: snmplib: PATCH: 1811469: read_config_files_in_path()
   reads past malloc'd buffer

2007-10-14 20:41  tanders

   *

   CHANGES: perl: PATCH: 1811463: perl async callback coredump
   CHANGES: perl: BUG: 1606062: perl bulkwalk (async) coredump

2007-10-14 19:07  tanders

   *

   CHANGES: snmplib: PATCH: 1806336: fix -LS option parsing

2007-10-14 12:12  tanders

   *

   fix comment

2007-10-13 23:28  tanders

   *

   CHANGES: test: enhance snmpnetstat test to check tcpTable in TCP
   mode

2007-10-13 22:28  tanders

   *

   CHANGES: Solaris: BUG: 1810814: tcpTable missing entries and
   wrong ports

2007-10-11 20:46  magfr

   *

   CHANGES: snmplib: Do not leak memory whenever an udp address is
   formatted.

2007-09-24 20:43  hardaker

   *

   year update

2007-09-20 21:55  tanders

   *

   CHANGES: snmpd: PATCH: 1746831: from cunnijd: fix process
   checking race
   condition under Linux and platform #ifdefs

2007-09-19 21:09  tanders

   *

   CHANGES: snmplib: BUG: Coverity #183: fix memory leak if
   IP_PKTINFO fails

2007-09-16 09:51  magfr

   *

   Remove bashisms. This is netbsd patch-et from bug 1745404.

2007-09-16 09:45  magfr

   *

   Use const char* for temporary constant string variable. This is
   netbsd patch-ea from bug 1745404.

2007-09-16 09:40  magfr

   *

   Use the natural type of in_addr_t's for comparisions. This is
   netbsd patch-ea from bug 1745404.

2007-09-14 14:44  dts12

   *

   Synch with main trunk release script.

2007-09-13 21:25  tanders

   *

   drop obsolete mirrors

2007-09-12 16:53  bshaw666

   *

   - version tag ( 5.3.2.pre1 )

2007-09-12 16:53  bshaw666

   *

   version update

2007-09-12 16:01  bshaw666

   *

   version update

2007-09-11 22:07  bshaw666

   *

   documentation update

2007-09-11 21:19  bshaw666

   *

   - version tag ( 5.3.2.pre1 )

2007-09-11 21:19  bshaw666

   *

   version update

-------------------------------------------------------------------------------

Changes: V5.3.1 -> V5.3.2

2007-08-25 14:24  magfr

   *

   Make most of notification_log static. Minimize the header file.

2007-08-22 21:56  tanders

   *

   NEWS: agent: suppress annoying "registration != duplicate"
   warning for root oids
   (otherwise, you'll get this message on almost every startup)

2007-08-20 08:06  tanders

   *

   NEWS: snmplib: fix potential buffer overflow in sprintf for
   UDP/IPv6

2007-08-17 09:10  dts12

   *

   Subversion, not CVS.

2007-08-16 15:36  dts12

   *

   Don't just report the problem - it might be sensible to avoid
   crashing the agent as well!

2007-08-16 15:35  dts12

   *

   CHANGES: snmpd: PATCH: 1744157: Report duplicate "extend/exec"
   identifiers.

2007-08-16 15:24  dts12

   *

   CHANGES: snmptrapd: PATCH: 1746992: Improve snmptrapd
   access-control error messages.

2007-08-16 14:12  dts12

   *

   CHANGES: snmpd: PATCH: 1752934: Fix off-by-one qsort error in
   table utilities.

2007-08-16 13:31  dts12

   *

   CHANGES: snmpd: PATCH: 1753437: Fix error index on failing SET
   requests

2007-08-16 13:25  dts12

   *

   CHANGES: snmpd: PATCH: 1753449: Fix AgentX error propagation

2007-08-16 12:34  dts12

   *

   CHANGES: snmpd: PATCH: 1753463: Fix AgentX subagent ping alarm
   handling

2007-08-16 12:13  dts12

   *
   *

   CHANGES: snmpd: PATCH: 1758208: Fix memory leak

2007-08-16 12:03  dts12

   *

   CHANGES: snmpd: PATCH: 1774612: More resilient process status
   handling

2007-08-16 11:58  dts12

   *

   CHANGES: snmplib: PATCH: 1775124: Fix clientaddr functionality

2007-08-16 09:38  dts12

   *

   CHANGES: snmplib: PATCH: 1768285: Count MIB files correctly in
   add_mibdir()

2007-08-16 09:35  dts12

   *

   CHANGES: snmptrapd: PATCH: 1767725: Close all non standard file
   handles

2007-08-16 09:00  dts12

   *

   Declare initialisation routine correctly, and omit unused
   variables.
   Patch from Magnus Fromreide.

2007-08-16 08:55  dts12


   *

   Read in agent configuration settings *before* the header
   files that might rely on them.

2007-08-02 13:46  dts12

   *

   It might be slightly less confusing if the netSnmpExampleString
   MIB object did actually take string values. Picky, I know....

2007-07-25 22:41  tanders

   *

   CHANGES: snmpd: BUG: 1760633: fix typo in debug message

2007-07-21 21:36  tanders

   *

   CHANGES: snmplib: fix forwarding encoding

2007-07-16 23:59  hardaker

   *

   Apply (correct) patch from Marcus Rueckert to remove asserts
   using sort-o-illegal C string compares

2007-07-16 23:59  hardaker

   *

   Remove previous patch which was the wrong version

2007-07-16 23:57  hardaker


   *

   Apply patch from Marcus Rueckert to remove asserts using
   sort-o-illegal C string compares

2007-07-12 21:51  tanders

   *

   fix subagent example (documentation)

2007-07-12 21:27  tanders

   *

   snmp_sess_read returns int, not void

2007-07-06 23:39  hardaker

   *

   CHANGES: build: use libtool clean for removing files to ensure we
   delete all libtool temporary files.

2007-07-06 21:22  rstory

   *

   stop searching paths when done

2007-07-06 21:14  rstory

   *

   do not free interface entry just because we can not get stats for
   it

2007-07-06 15:32  dts12


   *

   CHANGES: snmpd: BUG 1745113: Handle single-line (and zero-line)
   output in UCD compatability mode.

2007-07-05 11:05  rstory

   *

   skip stats parsing on interfaces with no statistics

2007-07-04 23:26  tanders

   *

   CHANGES: perl: install embedded perl init files for
   snmpd/snmptrapd with mode 644 instead of 755

2007-07-03 22:36  hardaker

   *

   CHANGES: library: Patch from "Mitsuru Chinen": cleans up the
   int64 type checking and usage for building packets especially
   under MSVC.

2007-07-02 06:02  magfr

   *

   Add missing return value to _mteEvent_fire_notify.

2007-07-02 05:31  magfr

   *

   Remove the declaration of an undefined static function.



2007-06-26 21:28  tanders

   *

   minor updates

2007-06-24 12:57  tanders

   *

   HAVE_SSIZE_T cleanup

2007-06-22 15:09  dts12

   *

   Enforce DOS-style line endings, to keep Visual Studio happy.

2007-06-19 15:08  tanders

   *

   CHANGES: build: add "BuildRequires: perl-ExtUtils-Embed" to the
   spec file, e.g. for Fedora 7

2007-06-18 22:28  hardaker

   *

   fix broken comment.

2007-06-18 20:54  hardaker

   *

   CHANGES: patch: 1737085: from jsafranek: fix the -M switch for
   mib parsing by loading defaults first before performing the set
   so it does not get overwritten by the defaults later.



2007-06-18 20:50  hardaker

   *

   NEWS: perl: patch: 1725049: fix bulkwalk in cases of non-repeater
   usage.

2007-06-18 14:10  tanders

   *

   CHANGES: perl: fix prerequisites for NetSNMP::TrapReceiver

2007-06-14 15:41  rstory

   *

   fix typo in user output, as noted on coders

2007-06-10 22:29  tanders

   *

   CHANGES: build: PATCH: 1728247: from mitsuru_chinen: Add type
   check for int??_t and uint??_t

2007-06-10 22:22  tanders

   *

   CHANGES: build: PATCH: 1728244: from mitsuru_chinen: Add
   configure check for sin6_scope_id

2007-06-10 22:15  tanders

   *

   CHANGES: PATCH: 1728241: from mitsuru_chinen: add configure check
   for <sys/uio.h> (make sure iov structure is declared)


2007-06-08 20:32  tanders

   *

   Fix regression introduced by r16479: 'make test TESTOPTS="-T
   tcp"' now
   works again. makerelease now uses the right option.

2007-06-08 10:44  dts12

   *

   Improve memory handling of style-specific format strings.

2007-06-08 10:33  dts12

   *

   Default to reporting NFS mounts as NetworkDisk.

2007-06-07 16:02  dts12

   *

   Remove redundant CVS-admin files.

2007-06-07 12:56  dts12

   *

   Handle unregistering the first Security Model in the list.
   Reported by Aleksandr Lomanov.

2007-06-07 09:13  dts12

   *

   Install header files for stash_cache and stash_to_next helpers.


2007-06-07 09:07  dts12

   *

   Separate out header files that don't have a corresponding C
   source file.

2007-06-07 08:59  dts12

   *

   Sort lists of helpers (source code, object files and headers).
   This should make it easier to spot files that have been omitted.

2007-06-07 08:42  dts12

   *

   Protect against systems without S_ISDIR.

2007-06-06 10:20  dts12

   *

   Ensure output is properly directed to syslog.
   Otherwise, problems in the config environment can trigger
   errors being directed to stderr, and subsequent logging
   output gets lost.

2007-06-06 10:13  dts12

   *

   More helpful debugging output.

2007-06-05 15:59  dts12

   *


   CHANGES: snmpd: PATCHES: 1729629: Fix memory leak in disman
   agent.

2007-06-04 14:36  hardaker

   *

   CHANGES: test: support a -n flag to RUNTESTS to print the test
   number found in the test file as opposed to the numerical count

2007-06-04 12:13  tanders

   *

   CHANGES: build: PATCH: 1728230: from mitsuru_chinen: add
   configure check for gai_strerror()

2007-06-04 10:35  tanders

   *

   CHANGES: build: PATCH: 1728226: from mitsuru_chinen: make sure
   IF_NAMESIZE is defined

2007-06-04 09:47  tanders

   *

   also skip this test on IRIX64

2007-06-01 21:36  dts12

   *

   CHANGES: snmplib: FEATURES: 1041888: Check directory paths for
   config files.
   Backport from main development trunk of bug fix.

2007-06-01 21:23  dts12

   *

   CHANGES: snmplib: FEATURES: 851887: Report range information for
   invalid SET requests.
   Backport from main trunk of bug fix.

2007-05-31 14:39  dts12

   *

   Fix logging of authentication information.

2007-05-31 10:10  dts12

   *

   Remove bogus debug output.

2007-05-27 19:54  dts12

   *

   CHANGES: library: FEATURES: 454028: Detect and handle empty MIB
   index files.

2007-05-21 23:11  magfr

   *

   CHANGES: building: Disable inlining on solaris as there are some
   linking errors that show up if the inline support is left
   enabled.

2007-05-20 21:41  tanders

   *
   re-generate with autoconf 2.59 instead of 2.61

2007-05-20 07:52  magfr

   *

   CHANGES: snmpd: Revert faulty change to dependency information
   for V5-3-patches

2007-05-19 15:27  magfr

   *

   CHANGES: building: Check for support of static inline functions
   instead of nested static inline functions when determining if
   static inline functions work

2007-05-18 18:08  hardaker

   *

   CHANGES: snmpd: patch: 1719254: from "Christan Jung": update
   HRFS_ignore list to current linux likelyhoods

2007-05-18 10:22  magfr

   *

   CHANGES: snmpd: Correct the dependency information for
   host/hr_storage

2007-05-17 21:53  hardaker

   *

   CHANGES: snmpd: patch: 1710632: from mavarley: fix memory leak on
   broken container insertions for the ipAddressTable

2007-05-17 18:06  rstory


   *

   CHANGES: PATCH: 1719244: fix mfd generating map function

2007-05-17 16:22  hardaker

   *

   NEWS: snmpd: patch: 1700157: from afrika: fixes ordering of exec
   tokens in the resulting mib tree

2007-05-17 15:53  hardaker

   *

   CHANGES: snmpd: patch: 1617255: fix length of the history array
   to match code.

2007-05-17 13:53  hardaker

   *

   CHANGES: snmpd: patch: 1225440: Apply intent of patch: to delay
   sighup till it is safe.
   CHANGES: snmptrapd: patch: 1225440: Apply intent of patch: to
   delay sighup till it is safe.

2007-05-17 04:39  hardaker

   *

   CHANGES: snmplib: patch: 1645698: fix 64-bit signed integer
   encoding

2007-05-16 23:53  tanders

   *



   CHANGES: HP-UX: HP-UX needs _REENTRANT defined to pick up
   strtok_r.
   Otherwise, at least for 64-bit code, strtok_r will not work
   and will make net-snmp segfault.

2007-05-14 21:49  tanders

   *

   add missing CFLAGS to link line

2007-05-14 21:48  tanders

   *

   add missing CFLAGS to link line

2007-05-14 14:50  hardaker

   *

   CHANGES: snmpd: patch: 1595568: from cyril_margaria: fix
   delegated SET requests from agentx subagents

2007-05-12 11:14  magfr

   *

   CHANGES: snmplib: Deallocate the confmibs and confmibdirs
   variables in shutdown_mib to make for a cleaner exit of the
   library

2007-05-11 21:06  magfr

   *

   CHANGES: snmpd: PATCH: 1687336: Start using the enhanced
   read_config interface



2007-05-11 20:33  magfr

   *

   PATCH 1687329: Applied part 2 of the patch - When registering
   multiple premib handlers only the last one was registered premib,
   the others were registerd at the normal time. This patch puts all
   registration in one function that takes the problematic value as
   an argument and makes the old functions thin wrappers of the new
   one

2007-05-11 20:24  magfr

   *

   CHANGE: snmplib: PATCH 1687329: Applied part 3 of the patch - use
   the same algorithm to determine what to unregister as is used to
   determine what to regster

2007-05-11 16:32  magfr

   *

   Don't log host/hr_proc events in the snmpd domain

2007-05-11 16:27  magfr

   *

   Decorate more debug lines with the tag that controls the log

2007-05-11 08:37  dts12

   *

   Fixed version to update agent::default_store perl module for new
   defs

2007-05-10 05:18  magfr


   *

   PATCH 1687329: Applied part 1 of the patch - lessens the scope of
   the ltmp2 variable

2007-05-08 19:48  magfr

   *

   Revert mistakenly committed extra trace logs

2007-05-07 20:46  hardaker

   *

   update agent::default_store perl module for new defs

2007-05-07 20:23  hardaker

   *

   NEWS: snmpd: BUG: 1712988: default and configurable maximum
   number of varbinds returnable to a GETBULK request

2007-05-04 20:27  tanders

   *

   CHANGES: perl: fix SNMP SET for IP addresses on 64-bit

2007-05-03 22:10  tanders

   *

   CHANGES: perl: fix SNMP SET for IP addresses on 64-bit
   Patch proposed by Jeff Lange.

2007-05-02 13:13  dts12


   *

   Fix problems with single-line extend scripts.

2007-04-30 13:26  dts12

   *

   CHANGES: snmpd: PATCH: 1700737: Tidy up setSerialNo
   implementations.

2007-04-30 13:06  dts12

   *

   CHANGES: snmpd: PATCH: 1700732: Fix debug output statements.

2007-04-30 13:02  dts12

   *

   CHANGES: snmpd: PATCH: 1700730: Remove unused extern declaration.

2007-04-30 11:32  dts12

   *

   CHANGES: snmpd: PATCH: 1698184: Register non-default context
   integers as writable.
   Patch provided by Mark Naylor.

2007-04-30 11:04  dts12

   *

   CHANGES: snmpd: PATCH: 1692768: Fix copying of non-octet-aligned
   IP address prefixes.

2007-04-30 10:25  dts12

   *

   CHANGES: snmplib: PATCH: 1687325: Fix problem with operator
   precedence.

2007-04-30 10:07  dts12

   *

   CHANGES: snmplib: PATCH: 1687316: Don't drop const from casts.

2007-04-24 12:35  dts12

   *

   Fix incomplete OID handling of single-line extend scripts.
   Reported by Max on coders list, 7th April. See thread
   "... segfault .. when attempting SNMP GET on extend or exec item"

2007-04-20 08:30  dts12

   *

   Document the behaviour of a load threshold of 0.
   Reported by Fong Tsui.

2007-04-20 08:21  dts12

   *

   Long-term load average is calculated over 15 minutes, not 10.
   Reported by Fong Tsui

2007-04-10 14:16  dts12

   *

   Detect OID retracking (as well as simple repetitions) when
   bulkwalking an OID tree.
   See users thread "missing indices in bulkwalk result".

2007-04-10 11:49  dts12

   *

   Clarify copyright status of Win32 API definitions.

2007-04-10 11:27  dts12

   *

   Clarify copyright status of BSD-derived TCPTV* definitions.

2007-04-03 08:59  tanders

   *

   fix syntax error introduced by last patch

2007-04-03 08:54  dts12

   *

   Emphasise the use of SNMPv3 in DisMan monitoring.
   Fix the syntax of non-existance/value-change tests.

2007-04-02 14:55  dts12

   *

   CHANGES: snmpd: BUG: 1046327: Reset "includeAllDisks" flag when
   reloading.

2007-04-02 14:45  dts12

   *


   CHANGES: snmpd: BUG: 1602286: Don't let table holes block later
   rows.

2007-04-02 13:51  dts12

   *

   CHANGES: snmpd: BUG: 1073782: Restore PerfStat values for FreeBSD
   5.x systems.
   It's unclear why the "new" calculation was a) proposed, b)
   withdrawn,
   and c) what was wrong with the previous calculation (which seems
   to
   match the output of 'ps')

2007-04-02 13:06  dts12

   *

   CHANGES: snmpd: BUG: 902610: Don't discard pending data following
   a TRAP.

2007-04-02 12:56  dts12

   *

   CHANGES: snmpd: BUG: 902801: Fix ordering of SMUX-registered
   subtrees.

2007-04-02 12:35  dts12

   *

   CHANGES: snmpd: BUG: 1685067: More precise handling of
   SNMPv3-admin MIB tables.
   This actually fixes three separate problems:
   *



   *

   Prevent crash when walking (invalid?) Event-MIB Objects Table.

2007-04-02 11:30  dts12

   *

   Fix a couple of typos in the re-worked makerelease script.

2007-03-29 12:14  tanders

   *

   fix syntax error ("==" is bad)

2007-03-27 09:20  dts12

   *

   CHANGES: mib2c: PATCH: 1427712: Better handling of non-integer
   values and valid column range.
   (backport from 5.4.x line)

2007-03-27 08:38  dts12

   *

   Accept '2c' as a valid response when choosing the default version

2007-03-27 08:29  dts12

   *

   CHANGES: configure: BUG: 1567324: Clarify prompting for
   user-supplied values.
   Now only remembers (and uses) previous values when explicitly
   told to do so,
   e.g. configure -C

2007-03-25 22:28  dts12

   *

   CHANGES: mib2c: BUG: 833673: More focused size checks.

2007-03-25 21:25  dts12

   *

   CHANGES: snmpd: BUG: 1677063: Check for failed malloc calls.

2007-03-25 19:03  dts12

   *

   Check SET requests against the correct type (IP Address != Octet
   Str)

2007-03-25 18:55  dts12

   *

   CHANGES: snmpd: BUG: 1685081: Check for valid OID on Free/Undo
   passes.

2007-03-23 09:44  dts12

   *

   CHANEGS: snmplib: BUG: 1686384: Document non-use of 'remote_port'
   field.

2007-03-23 09:19  dts12

   *

   Allow space for external indexes when saving table entries.
   (See patch #1642255)

2007-03-23 09:15  dts12

   *

   CHANGES: snmpd: PATCH: 1642255: Handle saving long
   snmpNotifyFilterTable entries.

2007-03-23 09:06  dts12

   *

   CHANGES: snmpd: PATCH: 1676478: fix udpEndpointRemoteAddress
   CHANGES: snmpd: BUG: 1676476: fix udpEndpointRemoteAddress

2007-03-23 09:01  dts12

   *

   CHANGES: snmplib: PATCH: 1653670: Consistent SNMPv3 behaviour
   when opening sessions.

2007-03-22 19:14  dts12

   *

   CHANGES: snmplib: PATCH: 1681030: Better handling of empty
   apptype configs.

2007-03-21 12:35  dts12

   *

   Declare OID constants as such (rather than API calls).
   Proposed by Alex Burger

2007-03-20 20:07  rstory


   *

   NEWS: snmpd: PATCH: 1666737: include ipv6 counts in
   udpInDatagrams, udpNoPorts, udpInErrors, udpOutDatagrams

2007-03-16 14:04  dts12

   *

   Convert build system to SVN version.

2007-03-14 16:12  dts12

   *

   CHANGES: snmpd: PATCHES: 1644280: Don't automatically probe for
   v3 EngineIDs.

2007-03-13 10:26  dts12

   *

   Check for zero-size pseudo-filesystems. Report them as empty
   rather than full, so they won't be treated as an error.

2007-03-13 09:11  tanders

   *

   Back out changes to branches done in SVN 15953 (patch 1678302)
   because they are only appropriate for MAIN

2007-03-13 05:59  tanders

   *

   CHANGES: PATCH: 1678305: from magfr: Deallocate the cache in
   hardware/cpu/cpu on shutdown (header part)


2007-03-12 23:09  tanders

   *

   CHANGES: PATCH: 1678306: from magfr: Deallocate the log in
   notification-log-mib/notification_log

2007-03-12 23:04  tanders

   *

   CHANGES: PATCH: 1678305: from magfr: Deallocate the cache in
   hardware/cpu/cpu on shutdown

2007-03-12 22:57  tanders

   *

   CHANGES: PATCH: 1678302: from magfr: netsnmp_mibindex_load leaks
   memory

2007-03-12 22:31  tanders

   *

   CHANGES: PATCH: 1678298: from magfr: compile-subagent checks for
   bad HAVE_SIGNAL_H

2007-03-12 21:37  dts12

   *

   CHANGES: snmpd: BUG: 1413728: Reference index values in debug
   output correctly.

2007-03-12 21:34  dts12

   *


   CHANGES: snmpd: BUG: 1102058: Skip non-mounted disks (e.g. swap
   partitions)

2007-03-12 21:28  dts12

   *

   CHANGES: snmpd: PATCHES: 1668193: Fix check for v6 ReasmMaxSize
   support.

2007-03-12 19:56  dts12

   *

   CHANGES: snmpd: PATCHES: 1668952: Ignore zombie processes.

2007-03-12 19:54  dts12

   *

   CHANGES: snmpd: PATCHES: 1665985: Implement ipReasmTimeout
   Though this registers an instance, rather than the full scalar
   object

2007-03-12 19:51  dts12

   *

   CHANGES: library: PATCHES: 1665543: Handle VACM checks correctly.
   CHANGES: snmpd: PATCHES: 1665549: Handle creating VACM entries
   correctly.
   [Both patches are required for correct operation]

2007-03-12 19:47  dts12

   *

   CHANGES: snmpd: PATCHES: 1659623: Handle SMUX peers with an empty
   password.

2007-03-12 19:40  dts12

   *

   CHANGES: snmpd: PATCHES: 1644280: Use the correct engineID when
   sending v3 traps.

2007-03-12 19:32  dts12

   *

   CHANGES: library: PATCHES: 1642071: Don't fiddle with the storage
   of pre-existing users.

2007-03-12 19:30  dts12

   *

   CHANGES: snmpd: PATCHES: 1641865: Don't double check snmpTrapOID
   in the filter table.

2007-03-12 19:25  dts12

   *

   CHANGES: snmpd: PATCHES: 1639726: Report physical memory
   correctly on *BSD

2007-03-06 13:51  dts12

   *

   CHANGES: snmpd: BUG: 1159908: Fix memory leak

2007-03-02 22:59  tanders

   *


   de-mange binary file

2007-03-02 13:30  tanders

   *

   fix typo

2007-02-28 15:27  dts12

   *

   Checkpoint summary of CVS changes, preparatory for the SVN
   switch.


-------------------------------------------------------------------------------

Changes: V5.3.1 -> SVN checkpoint (V5-3-patches branch)

2007-02-27 13:36  rstory

   * agent/mibgroup/ip-mib/ipv6InterfaceTable/ipv6InterfaceTable_interface.c:

   CHANGES: Linux: BUG: 1666005: Fail to walk ipv6InterfaceTable on Linux

2007-02-27 13:08  rstory

   * local/mib2c-conf.d/mfd-interface.m2c:

   CHANGES: mib2c: PATCH: 1668171: skip unknown cols in min/max range for tables, instead of error

2007-02-27 12:34  rstory

   * agent/mibgroup/ip-mib/ipAddressPrefixTable.h:

   add header for easier configure --with-mib-module

2007-02-27 12:34  rstory

   * agent/mibgroup/ip-mib/ipAddressPrefixTable.h:

   file ipAddressPrefixTable.h was added on branch V5-3-patches on 2007-02-27 12:35:00 +0000

2007-02-26 14:55  dts12

   * agent/mibgroup/agentx/protocol.c:

   Re-correct interpretation of "null OID" in the AgentX specs.

2007-02-26 14:37  dts12

   * include/ucd-snmp/util_funcs.h:

   Fix reference to Net-SNMP include locations

2007-02-26 12:47  dts12

   * perl/: ASN/Makefile.PL, OID/Makefile.PL,
     SNMP/Makefile.PL, TrapReceiver/Makefile.PL
, agent/Makefile.PL,
     default_store/Makefile.PL,
     agent/default_store/Makefile.PL:

   Prompting for a single directory, not an array.

2007-02-26 11:32  dts12

   * local/: mib2c.container.conf, mib2c.iterate.conf
, mib2c.table_data.conf:

   CHANGES: mib2c: BUG: 1429472: Protect against missing instances (and invalid objects)

2007-02-26 11:29  dts12

   * local/mib2c.mfd.conf:

   Fix invalid mib2c directive.

2007-02-26 11:18  dts12

   * agent/mibgroup/disman/event/mteEventConf.c:

   CHANGES: snmpd: BUG: 1416276: Handle dependency on MIB parsing API.

2007-02-24 13:56  dts12

   * agent/helpers/instance.c:

   CHANGES: agent: BUG: 711465: Fix BulkGet handling of override entries.
   (Backport from 5.4 line)

2007-02-24 13:56  dts12

   * agent/: snmp_agent.c, helpers/bulk_to_next.c
:

   CHANGES: snmpd: BUG: 711465: Fix BulkGet handling of override entries.
   (Backport from 5.4 line)

2007-02-24 13:27  dts12

   * configure, configure.in:

   Don't complain about explicit conflicts when removing modules
   from the default list.

2007-02-23 22:02  tanders

   * configure, configure.in:

   add quotes to fix shell syntax error when empty

2007-02-22 15:38  dts12

   * README.solaris:

   CHANGES: documentation: BUG: 1247164: Document use of OID macros

2007-02-21 15:33  tanders

   * Makefile.top:

   CHANGES: Win32: BUG: 1662987: compile error on Cygwin

2007-02-21 13:56  dts12

   * snmplib/: snmp_parse_args.c, tools.c:

   CHANGES: snmplib: BUG: 1660061: Validate engineIDs more strictly.

2007-02-21 13:49  dts12

   * man/: snmpcmd.1.def, snmp.conf.5.def:

   CHANGES: documentation: BUG: 1407476: Clarify MIB parsing toggle options and MIB comment handling.

2007-02-21 13:41  dts12

   * configure.in, configure:

   CHANGES: build: BUG: 1096166: Handle --without-logfile correctly.

2007-02-19 10:51  dts12

   * dist/makerelease:

   Ensure release script is available for earlier branches.

2007-02-19 10:42  dts12

   * dist/extractnews:

   Provide a version of 'extractnews' for older branches.
   (Since 'makerelease' assumes it will be present).

2007-02-19 10:41  dts12

   * dist/extractnews:

   file extractnews was added on branch V5-3-patches on 2007-02-19 10:42:05 +0000

2007-02-19 10:06  dts12

   * Makefile.in:

   Don't invoke 'versiontag' for tagging the CVS tree.
   It doesn't handle this any more. (Use 'makerelease' instead)

2007-02-19 10:02  dts12

   * agent/mibgroup/versiontag:

   Don't fail silently when called to tag the CVS tree.
   Return indication of failure to the calling application (e.g. make)

2007-02-16 12:49  dts12

   * agent/mibgroup/agentx/protocol.c:

   Revert to previous "null OID" interpretation (but with the correct encoding).

2007-02-15 10:06  dts12

   * agent/mibgroup/agentx/protocol.c:

   Correct misinterpretation of "null OID" in AgentX specs.

2007-02-15 09:47  dts12

   * agent/agent_trap.c:

   Reject overly-short Trap OIDs.
   Don't crash out completely on failed v1<->v2 trap conversions.

2007-02-14 13:57  dts12

   * man/.cvsignore:

   Ignore automatically generated man pages.

2007-02-12 12:31  dts12

   * agent/mibgroup/agentx/protocol.c:

   CHANGES: snmpd: BUG: 1633595: Fix AgentX handling of Counter64 values

2007-02-09 21:15  dts12

   * agent/mib_modules.c:

   CHANGES: snmpd: BUG: 1397895: include missing interface declarations

2007-02-08 17:40  hardaker

   * agent/helpers/table_dataset.c:

   more final referencing from various new spec items

2007-02-07 17:17  hardaker

   * agent/mibgroup/tunnel.h, mibs/IPV6-FLOW-LABEL-MIB.txt
:

   added the flow lable mib, which the tunnel-mib refers to

2007-02-07 17:17  hardaker

   * mibs/IPV6-FLOW-LABEL-MIB.txt:

   file IPV6-FLOW-LABEL-MIB.txt was added on branch V5-3-patches on 2007-02-07 17:18:10 +0000

2007-02-05 15:16  dts12

   * snmplib/vacm.c:

   CHANGES: snmplib: PATCH: 1641895: Extend short view masks (as per RFC specs)
   Patch supplied by Michael Kirkham.

2007-02-05 15:10  rstory

   * agent/mibgroup/if-mib/ifTable/ifTable_data_access.c:

   move function call out of assert

2007-02-05 14:38  dts12

   * agent/mibgroup/notification/snmpNotifyFilterProfileTable.c
:

   CHANGES: snmpd: PATCH: 1639360: Fix snmpNotifyFilterProfileTable row creation.
   Patch supplied by Michael Kirkham.

2007-02-05 11:01  dts12

   * snmplib/callback.c:

   Fix compilation if LOCK_PER_CALLBACK_SUBID not defined.
   Reported by Emi Yanagi

2007-01-30 13:43  tanders

   * agent/mibgroup/if-mib/data_access/interface_linux.c:

   CHANGES: build: yet another fix to address build issues with ethtool (on RH9).
   Patch provided by Magnus Fromreide.

2007-01-25 22:45  tanders

   * configure, configure.in:

   CHANGES: FreeBSD: fix configure warning for sys/conf.h

2007-01-25 22:22  tanders

   * agent/mibgroup/ip-mib/ipv4InterfaceTable/.cvsignore:

   replace by more reasonable content

2007-01-25 22:05  tanders

   *
     agent/mibgroup/ip-mib/ipv4InterfaceTable/ipv4InterfaceTable_subagent.c
, local/mib2c-conf.d/subagent.m2c:

   fix typo

2007-01-25 21:11  tanders

   * agent/mibgroup/ucd-snmp/disk.c:

   CHANGES: snmpd: PATCH: 1644714: from "Leland Wallace": replace last remaining instance of deprecated copy_word by copy_nword

2007-01-24 14:02  dts12

   * agent/mibgroup/ucd-snmp/disk.c:

   Tweak debug output

2007-01-24 12:27  dts12

   * apps/snmptrapd_log.c:

   Suppress assorted warnings.

2007-01-24 12:18  tanders

   * include/net-snmp/types.h:

   make sure uintptr_t is always defined as unsigned. Spotted by David Ford.

2007-01-23 22:55  rstory

   * agent/mibgroup/:
     ip-forward-mib/inetCidrRouteTable/inetCidrRouteTable_interface.c
,
     ip-forward-mib/ipCidrRouteTable/ipCidrRouteTable_interface.c
,
     ip-mib/inetNetToMediaTable/inetNetToMediaTable_interface.c
, ip-mib/ipAddressTable/ipAddressTable_interface.c
,
     snmp-notification-mib/snmpNotifyFilterTable/snmpNotifyFilterTable_interface.c
:

   don't try to remove a row that was never inserted

2007-01-23 22:38  rstory

   * local/mib2c-conf.d/mfd-interface.m2c:

   don't try to remove a row that was never inserted

2007-01-23 16:22  dts12

   * agent/mibgroup/target/snmpTargetParamsEntry.c:

   CHANGES: snmpd: PATCH: 1639282: Save persistent snmpTargetParamsTable settings correctly.
   Fix provided by Michael Kirkham.

2007-01-23 16:12  dts12

   * agent/mibgroup/target/snmpTargetAddrEntry.c:

   CHANGES: snmpd: PATCH: 1637287: Handle multiple target tags correctly.
   Fix provided by Michael Kirkham.

2007-01-23 16:12  dts12

   * agent/mibgroup/target/target.c:

   NEWS: snmpd: PATCH: 1637287: Handle multiple target tags correctly.
   Fix provided by Michael Kirkham.

2007-01-23 15:44  dts12

   * snmplib/snmp_api.c:

   CHANGES: snmplib: PATCH: 1634620: Fix leaks from create_user_from_session failure.
   Patch provided by Michael Kirkham.

2007-01-23 14:51  dts12

   * apps/snmptrapd_log.c:

   CHANGES: snmptrapd: BUG: 1638225: Fix interpretation of transport address data.
   (Keep this consistent with snmpUDPDomain.c)

2007-01-23 14:10  dts12

   * agent/agent_trap.c:

   Bring trap handling in line with RFC 2576/3584 - drop SNMPv1 traps
   containing Counter64 varbinds.  Requested by Magnus Fromreide.

2007-01-22 22:30  tanders

   * snmplib/read_config.c:

   CHANGES: snmplib: PATCH: 1641972: from magfr: add missing const

2007-01-22 16:40  dts12

   * agent/agent_trap.c:

   CHANGES: snmpd: PATCH: 1641332: Include missing agent config definitions.

2007-01-22 16:19  rstory

   * agent/mibgroup/if-mib/data_access/interface.c:

   add primary container name; align secondary container name w/more recent releases

2007-01-22 16:16  dts12

   * agent/mibgroup/agentx/: master.c, master_admin.c
:

   CHANGES: snmpd: PATCH: 1641685: Handle unresponsive AgentX subagents more reliably.
   Fix provided by Josef Moellers

2007-01-22 15:51  dts12

   * snmplib/vacm.c:

   CHANGES: snmplib: PATCH: 1640114: Don't store trailing null character.
   Reported by Michael Kirkham.

2007-01-19 14:22  tanders

   * configure.in, configure,
     agent/mibgroup/if-mib/data_access/interface_linux.c:

   CHANGES: Linux: fix ethtool configure check for recent systems (e.g. FC6, RHEL5).
   Patch provided by Magnus Fromreide.

2007-01-19 11:33  tanders

   * configure.in, configure,
     include/net-snmp/net-snmp-config.h.in,
     agent/mibgroup/host/hr_storage.c,
     agent/mibgroup/host/hr_filesys.c:

   CHANGES: build: add configure check for hasmntopt to fix the build on systems that lack it

2007-01-16 10:04  dts12

   * agent/mibgroup/notification/snmpNotifyTable.c:

   Reset 'send' flag to consider each sink individually.
   Reported by Michael Kirkham.

2007-01-16 10:02  dts12

   * agent/agent_trap.c:

   Protect against sending mismatched traps (v1 trap on v2 sink).
   Reported by Michael Kirkham.

2007-01-16 09:53  dts12

   * agent/mibgroup/ucd-snmp/diskio.c:

   Don't hardcode the size of counter64 structure (may be wrong on 64-bit boxes)

2007-01-12 00:23  tanders

   * configure, configure.in:

   fix broken backport: turn Perl off by default again

2007-01-09 15:20  dts12

   * snmplib/snmpTCPDomain.c:

   Store TCP/IPv4 address information in the same format as UDP/IPv4.
   This allows the community -> security name mapping to work correctly.
   Fixes Bug #1571945.
     Backport from 5.4.  It's not clear whether this is necessarily the
   best solution, but we'll keep the active lines in sync until the way
   forward is confirmed.

2007-01-09 14:19  dts12

   * agent/mibgroup/host/hr_device.c:

   Handle holes in the table properly.  Backport from 5.4

2007-01-09 10:21  dts12

   * snmplib/parse.c, snmplib/mib.c,
     include/net-snmp/library/parse.h:

   CHANGES: snmplib: BUG: 1537459,1540745: Fix missing MIB parsing tokens
   Backport from 5.4

2007-01-09 10:07  dts12

   * agent/agent_trap.c:

   CHANGES: snmpd: BUG: 1427410: Set auth engineID for SNMPv3 traps.
   (rather than sending a trap with no auth engineID).  Backport from 5.4

2007-01-09 09:56  dts12

   * man/snmpd.conf.5.def:

   Clarify discussion of view masks, and explicitly reference VNAME token.
   Thanks to Dominique Bastien and John Rouillard.  (Backport from 5.4)

2007-01-06 00:54  tanders

   * agent/mibgroup/host/hr_swrun.c:

   CHANGES: Solaris: BUG: 1626153: no hrSWRun informations on Solaris zones
   Patch provided by Klaus Muehlfeld

2007-01-06 00:34  tanders

   * perl/agent/agent.xs:

   CHANGES: perl: BUG: 1450669: PATCH: 1627949: from martin987: a perl agentx consumes memory

2007-01-03 22:53  tanders

   * perl/SNMP/: SNMP.xs, t/conf.t:

   - fix printing of opaque float and double compile warnings
   - clean up compile and fix tests
   Backports from 5.4/5.5.dev

2007-01-03 16:45  dts12

   * agent/mibgroup/mibII/vacm_conf.c:

   Keep braces balanced - it makes tracing code *so* much easier!
   Backported from 5.4

2007-01-03 16:44  dts12

   * snmplib/check_varbind.c:

   Fix size check for specialised integer-based assignments.
   (Bug #1572394 - patch provided by Phil Wilson)
   Backported from 5.4

2007-01-03 16:42  dts12

   * apps/snmptrapd_handlers.c:

   Don't moan about normal connection-based transport activity
   (and *do* moan sensibly about failed sends).

2007-01-03 16:39  dts12

   * agent/snmp_agent.c,
     include/net-snmp/agent/snmp_agent.h,
     agent/mibgroup/ucd-snmp/proxy.c:

   Associate errors from delegated requests with the correct varbind,
   and fix problems with failed proxied requests timing out.
   Reported by Pablo Passera  (See coders list - 5th Oct ff)
   Backported from 5.4

2007-01-02 22:53  tanders

   * perl/SNMP/SNMP.xs:

   BUG: Coverity #178: never pass a NULL oid_arr_len pointer to __concat_oid_str (which dereferences it)

2007-01-02 22:08  tanders

   * agent/mibgroup/agentx/master.c:

   BUG: Coverity #193: properly initialize session pointer before use

2007-01-02 16:48  dts12

   * local/mib2c:

   CHANGES: mib2c: BUG: 1582972: Handle @while@/@end@ properly.
   Patch provided by Douglas Dean

2007-01-02 16:37  dts12

   * configure.in, configure:

   CHANGES: build: BUG: 1585156: Fix --without-perl-modules
   Backport from 5.4

2007-01-02 16:00  dts12

   * snmplib/: snmpUDPDomain.c, snmpUDPIPv6Domain.c
, snmpUnixDomain.c:

   CHANGES: snmplib: BUG: 1600171: Support longer community strings in VACM config.
   Patch provided by Robert Wilcox

2007-01-02 12:13  dts12

   * snmplib/snmp_api.c:

   CHANGES: snmplib: BUG: 1554989: Fix handling of OID comparisons.
   Not totally convinced this is 100% right, but it addresses the immediate problem.

2007-01-02 11:24  dts12

   * agent/agent_trap.c:

   CHANGES: snmpd: BUG: 1546817: Fix snmpEnterprise varbind when forwarding v1 traps.
   Patch provided by Pablo Passera.

2007-01-02 10:50  dts12

   * agent/mibgroup/host/hr_storage.c,
     include/net-snmp/system/darwin8.h:

   NEWS: agent: PATCH 1520292: hr_storage.c fix for Darwin / OS X
   Provided by Chris Jalbert

2007-01-01 17:44  dts12

   * agent/mibgroup/util_funcs.c:

   CHANGES: snmpd: PATCH: 1601188, BUG: 1600432: Handle signals properly when restarting the agent.
   Fix provided by Loic Domaigne.

2007-01-01 16:13  dts12

   * snmplib/snmp_client.c:

   NEWS: snmplib: PATCHES 1592706: Fix memory leak when cloning varbinds.
   Based on a suggestion by Steven Dorigotti.

2007-01-01 15:32  dts12

   * snmplib/mib.c:

   CHANGES: snmplib: PATCH: 1548670: Fix range checks for unsigned integers
   From Kevin Humphries. See http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=383380

2007-01-01 15:16  dts12

   * apps/: snmpdf.c, snmpget.c, snmpgetnext.c
, snmpset.c:

   Move global 'failures' variable closer to where it is used.
   CHANGES: apps: PATCH: 1529523: Close SNMP session on failure.

2007-01-01 11:28  dts12

   * agent/mibgroup/agentx/master_admin.c:

   Ensure sysORDescriptions are null-terminated, so they can be
   safely passed to 'strdup()'.  Reported by Wolfgang Pedot.

2006-12-28 23:00  tanders

   * agent/mibgroup/host/hr_swrun.c:

   CHANGES: Solaris: PATCH: 1623447: from "Hrvoje Habjanic": hrSWRun fix: <exited> instead of endOfTable for terminated processes

2006-12-13 11:32  tanders

   * dist/net-snmp.spec:

   CHANGES: misc: RPM spec file fixes for 64-bit platforms

2006-12-12 23:53  tanders

   * agent/mibgroup/host/: hr_filesys.c, hr_storage.c
, hr_swinst.c:

   CHANGES: Linux: PATCH: 1581294: from "Michael Tatarinov": host-resources improvements

2006-12-12 21:21  tanders

   * win32/net-snmp/net-snmp-config.h.in:

   sync with win32/net-snmp/net-snmp-config.h

2006-12-08 22:20  tanders

   * local/Version-Munge.pl:

   fix dist/Makefile munging

2006-12-07 13:10  tanders

   * perl/SNMP/SNMP.pm:

   CHANGES: documentation: PATCH: 1604580: SNMP(3) manual page corrections (spotted by tek-ops)

2006-12-06 15:10  rstory

   * agent/mibgroup/ip-mib/ipAddressTable/ipAddressTable.c:

   NEWS: snmpd: BUG: 1558823: fix ipAddressTable memory leak

2006-12-06 14:34  rstory

   * agent/mibgroup/if-mib/data_access/interface_ioctl.c:

   tweak/add debug msgs in netsnmp_access_interface_ioctl_ifindex_get

2006-12-04 17:53  hardaker

   * COPYING:

   remove obsolete history section

2006-11-24 01:11  tanders

   * agent/mibgroup/README.smux:

   CHANGES: documentation: PATCH: 1601261: from "Stephen J. Friedl": update README.smux

2006-11-19 07:28  tanders

   * agent/mibgroup/if-mib/data_access/interface_ioctl.c:

   fix debug output

2006-11-19 00:06  tanders

   * apps/snmptrapd.c:

   CHANGES: snmptrapd: PATCH: 1598968: from "Peter Eckel": fix bug #1587759: snmptrapd doesn't recognize -A option

2006-11-16 00:30  tanders

   * man/: Makefile.in, encode_keychange.1.def,
     fixproc.1.def, mib2c-update.1.def,
     net-snmp-config.1.def, tkmib.1.def,
     traptoemail.1.def:

   CHANGES: documentation: BUG: 1577913: add missing manual pages for executables, supplied by Debian

2006-11-16 00:22  tanders

   * man/mib2c-update.1.def:

   file mib2c-update.1.def was added on branch V5-3-patches on 2006-11-16 00:30:46 +0000

2006-11-16 00:22  tanders

   * man/net-snmp-config.1.def:

   file net-snmp-config.1.def was added on branch V5-3-patches on 2006-11-16 00:30:46 +0000

2006-11-16 00:22  tanders

   * man/tkmib.1.def:

   file tkmib.1.def was added on branch V5-3-patches on 2006-11-16 00:30:46 +0000

2006-11-16 00:22  tanders

   * man/traptoemail.1.def:

   file traptoemail.1.def was added on branch V5-3-patches on 2006-11-16 00:30:46 +0000

2006-11-16 00:22  tanders

   * man/fixproc.1.def:

   file fixproc.1.def was added on branch V5-3-patches on 2006-11-16 00:30:46 +0000

2006-11-16 00:22  tanders

   * man/encode_keychange.1.def:

   file encode_keychange.1.def was added on branch V5-3-patches on 2006-11-16 00:30:46 +0000

2006-11-15 23:35  tanders

   * man/snmpnetstat.1.def:

   Update to the new syntax of the snmpnetstat rewrite. Inspired by Debian.

2006-11-15 22:45  tanders

   * man/snmpset.1.def:

   format fix (from Debian patch 07_docfiles.patch)

2006-11-15 19:35  tanders

   * man/snmp_trap_api.3.def:

   Put description on a single line. Taken from Debian patch 07_docfiles.patch

2006-11-14 22:20  rstory

   * agent/mibgroup/ip-forward-mib/:
     inetCidrRouteTable/inetCidrRouteTable.c,
     ipCidrRouteTable/ipCidrRouteTable.c:

   NEWS: Linux: BUG: 1596638: fix memory leak in pCidrRouteTable, inetCidrRouteTable

2006-11-14 11:18  tanders

   * testing/tests/T160snmpnetstat:

   udpTable requires /dev/kmem access on IRIX and Tru64 Unix

2006-11-14 09:56  tanders

   * man/mib_api.3.def:

   CHANGES: documentation: PATCH: 1596028: from "Stephen J. Friedl": const fixes for the mib_api(3) manual page

2006-11-14 00:17  tanders

   * perl/agent/test.pl:

   CHANGES: perl: make perltest fixes for Solaris 2.6 and earlier

2006-11-13 23:54  tanders

   * perl/SNMP/SNMP.xs:

   NEWS: perl: SNMP.pm fixes for 64-bit platforms

2006-11-13 23:49  tanders

   * perl/SNMP/t/bulkwalk.t:

   CHANGES: perl: make perltest fixes for HP-UX

2006-11-13 23:26  tanders

   * perl/agent/test.pl:

   Drop Data::Dumper since Perl 5.00405 as shipped with IRIX 6.5 doesn't include it.

2006-11-13 22:51  tanders

   * perl/SNMP/t/bulkwalk.t:

   CHANGES: perl: make perltest fixes for IRIX

2006-11-13 22:51  tanders

   * perl/OID/test.pl:

   Drop unneeded dependency on Data::Dumper.

2006-11-07 15:25  hardaker

   * mibs/NET-SNMP-TC.txt:

   add a missing paren to a description field

2006-11-06 15:16  tanders

   * testing/tests/: T120proxyget, T121proxyset,
     T122proxysetfail:

   sh doesn't like "==", of course.

2006-11-06 11:16  tanders

   * testing/tests/: T120proxyget, T121proxyset,
     T122proxysetfail:

   skip proxy tests for TCP because the proxy code doesn't support TCP yet

2006-11-04 01:39  tanders

   * testing/tests/: T058agentauthtrap, T065agentextend
, T200snmpv2cwalkall:

   CHANGES: misc: "make test" fixes for non-UDP transports

2006-11-01 16:36  rstory

   * local/mib2c-conf.d/mfd-interface.m2c:

   CHANGES: mib2c: BUG: 1585815: fix mfd bits length calculation

2006-10-31 19:51  rstory

   * agent/mibgroup/if-mib/data_access/interface.c:

   add name to secondary interface container

2006-10-27 10:04  tanders

   * local/snmp-ucd.sh:

   CHANGES: misc: BUG: 1585250: don't use deprecated options in start script

2006-10-24 17:12  rstory

   * agent/helpers/table_iterator.c:

   init ptr to NULL, add missing return val

2006-10-24 17:11  rstory

   * agent/helpers/row_merge.c:

   use intptr_t for int<>void* casting

2006-10-19 16:39  hardaker

   * snmplib/snmp_api.c:

   fix transport sock patch

2006-10-18 22:09  dts12

   * agent/mibgroup/disman/event/mteTriggerConf.c:

   Handle invalid payload object OIDs.

2006-10-18 04:19  hardaker

   * agent/: agent_handler.c, agent_registry.c:

   CHANGES: snmpd: PATCH: 1565703: patch to fix rapid registrations/deregistration issues

2006-10-18 04:12  hardaker

   * agent/mibgroup/agentx/subagent.c:

   CHANGES: snmpd: PATCH: 1562688: fix ping/reattach agentx code

2006-10-18 04:03  hardaker

   * snmplib/snmp_api.c:

   CHANGES: snmplib: PATCH: 1562168: check for a sock fd less than 0.

2006-10-18 03:15  hardaker

   * include/net-snmp/library/snmp_logging.h,
     snmplib/snmp_api.c, snmplib/snmp_logging.c:

   remove new feature accidentially added to 5.2 and 5.3 (shutdown of logging)

2006-10-18 03:12  hardaker

   * include/net-snmp/library/snmp_logging.h,
     snmplib/snmp_api.c, snmplib/snmp_logging.c:

   CHANGES: snmplib: PATCH: 1570650: from "Benoit Amiaux": create a logging shutdown function to properly clean up log registrations if needed.

2006-10-18 03:05  hardaker

   * include/net-snmp/agent/table_iterator.h:

   CHANGES: snmpd: PATCH: 1570650: from "Benoit Amiaux": make delete table function public

2006-10-18 02:51  hardaker

   * perl/SNMP/SNMP.xs:

   CHANGES: perl: PATCH: 1575937: from martin987: fix usenumeric output in async varbinds so they return OIDs instead of empty strings.

2006-10-18 02:46  hardaker

   * agent/snmpd.c:

   CHANGES: snmpd: PATCH: 1575984: from rtyle: block SIGHUP during reconfig

2006-10-13 23:16  tanders

   * man/: snmpd.conf.5.def, snmpd.examples.5.def
:

   smuxsocket needs to be an IPv4 address

2006-10-13 22:45  tanders

   * testing/tests/: Sv3config, Sv3usmconfigagent,
     Svanyconfig:

   smuxsocket needs to be an IPv4 address

2006-10-13 22:36  dts12

   * agent/mibgroup/smux/smux.c:

   Handle errors from recv() - see Bug #1527930

2006-10-13 21:50  tanders

   * perl/agent/default_store/: default_store.pm,
     default_store.xs:

   remove NETSNMP_DS_AGENT_H which isn't a default store variable

2006-10-13 10:05  tanders

   * man/snmpd.conf.5.def:

   Clarify the parsing of boolean monitor expressions.

2006-10-12 23:21  dts12

   * agent/mibgroup/utilities/iquery.c:

   Ensure internal query configuration is available (and active)
   *before* monitor directives attempt to use it.

2006-10-12 11:03  dts12

   * agent/mibgroup/disman/event/mteTriggerTable.c:

   Fix handling of assignments to mteTriggerValueID
       [Bug #1574713, Patch #1574743, from Ross Tyler]

2006-10-10 11:52  tanders

   * net-snmp-config.in:

   fix shell syntax errors reported by Richard Chonak

2006-09-26 21:09  hardaker

   * configure, configure.in:

   fix rpm checks

2006-09-26 00:57  hardaker

   * agent/mibgroup/ucd-snmp/diskio.c:

   CHANGES: snmpd: BUG: 1559358: from tramker: check scanf results for diskio scanning

2006-09-26 00:54  hardaker

   * configure, configure.in:

   CHANGES: build: BUG: 1564233: Have configure test for rpm headers not just the libraries

2006-09-25 22:33  tanders

   * snmplib/snmpUDPIPv6Domain.c:

   CHANGES: snmplib: PATCH: 1565293: from adp: UDPIPv6 transport reports wrong port number

2006-09-25 17:55  tanders

   * perl/agent/test.pl:

   NetSNMP::agent tests neither need config nor MIBs

2006-09-25 17:25  tanders

   * perl/SNMP/t/: async.t, bulkwalk.t, conf.t
, get.t, getnext.t, mib.t
, mibload.t, notify.t, session.t
, set.t:

   Make perl test suite work even if net-snmp isn't installed yet.

2006-09-25 13:35  tanders

   * NEWS:

   Don't mix tabs and spaces for indentation. Convert all (rarely used) tabs to spaces.

2006-09-22 11:29  tanders

   * perl/SNMP/t/: notify.t, startagent.pl:

   fix SNMP.pm notify test (start snmptrapd with valid options)

2006-09-21 14:09  tanders

   * agent/mibgroup/if-mib/data_access/interface_linux.c:

   fix potential segfault introduced by patch 1561277

2006-09-21 13:21  tanders

   * agent/mibgroup/smux/smux.c:

   #include <net-snmp/library/tools.h> for SNMP_STRORNULL

2006-09-20 13:18  tanders

   * perl/SNMP/SNMP.xs:

   build fix for IRIX with SGI's cc

2006-09-19 19:00  hardaker

   * perl/SNMP/SNMP.xs:

   Applied tanders patch to fix SNMP.xs for older perl versions

2006-09-19 18:34  hardaker

   * perl/SNMP/SNMP.xs:

   Attempt number 2 to support a better non-popping items var definition

2006-09-19 17:34  tanders

   * agent/mibgroup/smux/smux.c:

   NEWS: snmpd: BUG: 1527930: fix smux authentication

2006-09-19 14:24  tanders

   * agent/mibgroup/if-mib/data_access/interface_linux.c:

   NEWS: snmpd: PATCH: 1561277: use net.ipv6.neigh.lo.base_reachable_time_ms instead of deprecated base_reachable_time

2006-09-19 05:31  hardaker

   * agent/mibgroup/if-mib/: data_access/interface_ioctl.c,
     ifTable/ifTable.h, ifXTable/ifXTable.c:

   CHANGES: snmpd: BUGS: 1474468: ifConnectorPresent always returns 0

2006-09-19 05:19  hardaker

   * agent/snmp_agent.c:

   CHANGES: snmpd: PATCH: 1047706: make end-of-mib-view RFC compliant about the variable name it returns

2006-09-19 04:26  hardaker

   * agent/mibgroup/udp-mib/data_access/udp_endpoint_linux.c
,
     agent/mibgroup/udp-mib/udpEndpointTable/udpEndpointTable_data_access.c
, include/net-snmp/data_access/udp_endpoint.h:

   CHANGES: snmpd: PATCH: 1524755: from apersson to better support the UDPTable for unknown address types

2006-09-14 23:14  hardaker

   * README:

   [no log message]

2006-09-14 23:12  hardaker

   * snmplib/snmpUDPDomain.c:

   NEWS: snmplib: PATCH: 1553447: responses will get sent from the original dest IP address when possible.

2006-09-14 22:09  hardaker

   * agent/mibgroup/ucd-snmp/proxy.c:

   CHANGES: snmpd: PATCH: 1554827: from rtyle: fix handling of failed proxy SET requests

2006-09-14 21:57  hardaker

   * agent/: snmp_agent.c,
     mibgroup/disman/event/mteTrigger.c:

   CHANGES: snmpd: PATCHES: 1557514 from rtyle: Do not attempt to collect data during SET processing.

2006-09-12 18:27  dts12

   * snmplib/vacm.c:

   CHANGES: snmpd: BUG: 1502267: Build access list in the correct order.

2006-09-12 18:25  dts12

   * local/mib2c.iterate.conf:

   Use the correct API call for remembering a newly-created row.
   (Spotted by Zhang Chuan).

2006-09-10 22:31  tanders

   * apps/snmpdf.c:

   fix typo in previous patch that broke the build

2006-09-08 18:38  hardaker

   * perl/SNMP/SNMP.pm:

   version update for new publish to CPAN

2006-09-08 17:09  rstory

   * agent/mibgroup/mibII/: at.c, ipAddr.c,
     udpTable.c, var_route.c:

   fix size of IpAddress values on various 64bit systems

2006-09-08 16:59  rstory

   * agent/mibgroup/: tcp-mib/data_access/tcpConn_linux.c,
     udp-mib/data_access/udp_endpoint_linux.c:

   fix byterorder for tcp/udp mfd modules

2006-09-08 16:58  rstory

   * include/net-snmp/library/tools.h, snmplib/tools.c
:

   new netsnmp_addrstr_hton for 'byteswap' of hex-strings

2006-09-08 16:53  rstory

   * agent/helpers/row_merge.c:

   clear/restore prev pointer too

2006-09-08 16:50  dts12

   * apps/snmpdf.c:

   CHANGES: snmpdf: BUG: 1515507: Handle failed requests better
   (Don't go into an infinite loop!)

2006-09-08 16:43  dts12

   * local/mib2c.iterate_access.conf:

   CHANGES: mib2c: BUG: 1479916: Restore consistency in row creation code.

2006-09-08 16:41  rstory

   * agent/mibgroup/if-mib/: data_access/interface_linux.c,
     ifTable/ifTable.h:

   fix several missing stats in the ifXTable

2006-09-08 04:42  hardaker

   * perl/SNMP/SNMP.xs:

   fix, I think, the bulkwalk problems; all tests pass.  I believe the patch is the correct combination between the two different patches (the old one and the new one) that should fix both problems.  NEWS: perl - Fixed the perl bulkwalk function

2006-09-07 17:29  rstory

   * local/mib2c-conf.d/mfd-interface.m2c:

   fix typo which broke persistence

2006-09-02 00:20  hardaker

   * man/snmpcmd.1.def:

   document the -Y command

2006-09-01 23:26  tanders

   * dist/net-snmp.spec:

   re-add custom spec file for the 5.3.x branch

2006-09-01 21:58  tanders

   * NEWS, perl/OID/OID.xs,
     perl/TrapReceiver/TrapReceiver.xs, perl/agent/agent.xs
:

   OID handling was fully broken on various 64bit platforms

2006-09-01 16:03  hardaker

   * snmplib/keytools.c:

   coverity 59,60: use ints for checking negative return values

2006-09-01 16:00  hardaker

   * snmplib/parse.c:

   coverity 156: fix resource leaks when parsing broken MIBs

2006-09-01 15:59  hardaker

   * agent/mibgroup/ip-mib/data_access/scalars_linux.c:

   coverity 155: Close a file-pointer that was left open

2006-09-01 15:55  hardaker

   * snmplib/snmp_logging.c:

   coverity 151: check for non-initialized argv pointer

2006-09-01 14:54  hardaker

   * apps/snmptable.c:

   coverity bug 127: protect against possibly null pointer.

2006-08-27 22:34  tanders

   * testing/tests/T160snmpnetstat:

   udpTable requires /dev/kmem access (root:system) on AIX

2006-08-27 00:23  tanders

   * configure, configure.in,
     include/net-snmp/net-snmp-config.h.in:

   make autoheader protect PACKAGE_* variables

2006-08-26 00:23  tanders

   * testing/tests/: Sv3config, Sv3usmconfigagent,
     Svanyconfig:

   Fix smuxsocket config to point to /smux_socket instead of /dev/null to avoid removing /dev/null when running as root.

2006-08-25 14:55  tanders

   * perl/TrapReceiver/TrapReceiver.xs:

   properly cast when printing pointers

2006-08-25 14:35  tanders

   * apps/snmptrapd_handlers.c:

   netsnmp_trapd_check_auth() only takes a single argument

2006-08-25 13:56  tanders

   * agent/agent_registry.c:

   Change int to size_t to prevent crash during mib registration on some 64bit platforms (patch from darix).

2006-08-25 12:46  tanders

   * apps/snmptrapd.c:

   #include "mibII/vacm_conf.h" for vacm_standard_views

2006-08-25 10:57  tanders

   * testing/tests/T115agentxperl:

   make sure we can fulfill external library dependencies

2006-08-25 10:33  tanders

   * perl/TrapReceiver/TrapReceiver.xs:

   proper types in format string

2006-08-23 21:33  rstory

   * agent/mibgroup/if-mib/ifXTable/ifXTable.c:

   skip ifConnectorPresent/ifLinkUpDownTrapEnable if no data

2006-08-23 20:23  rstory

   * agent/mibgroup/if-mib/ifXTable/ifXTable.c:

   correct scale when using ifSpeed as ifHighSpeed

2006-08-23 19:58  rstory

   * agent/mibgroup/if-mib/ifXTable/ifXTable.c:

   use ifSpeed if ifHighSpeed==0

2006-08-17 16:44  tanders

   * snmplib/snmpv3.c:

   BUG: Coverity #149: potential NULL pointer dereference

2006-08-17 16:16  tanders

   * snmplib/mib.c:

   BUG: Coverity #159: potential resource leak after malloc failure

2006-08-17 16:03  rstory

   * agent/mibgroup/: if-mib/ifTable/ifTable_interface.c,
     ip-forward-mib/inetCidrRouteTable/inetCidrRouteTable_interface.c
,
     ip-forward-mib/ipCidrRouteTable/ipCidrRouteTable_interface.c
,
     ip-mib/ipAddressPrefixTable/ipAddressPrefixTable_interface.c
, ip-mib/ipAddressTable/ipAddressTable_interface.c
,
     ip-mib/ipSystemStatsTable/ipSystemStatsTable_interface.c
,
     snmp-notification-mib/snmpNotifyFilterTable/snmpNotifyFilterTable_interface.c
,
     snmp-usm-dh-objects-mib/usmDHUserKeyTable/usmDHUserKeyTable_interface.c
,
     tcp-mib/tcpConnectionTable/tcpConnectionTable_interface.c
, tcp-mib/tcpListenerTable/tcpListenerTable_interface.c
, udp-mib/udpEndpointTable/udpEndpointTable_interface.c
:

   BUG: Coverity #56: don't continue if malloc fails

2006-08-17 15:50  rstory

   *
     agent/mibgroup/ip-mib/inetNetToMediaTable/inetNetToMediaTable_interface.c
, local/mib2c-conf.d/mfd-interface.m2c:

   BUG: Coverity #56: don't continue after failed malloc

2006-08-17 15:31  rstory

   * agent/mibgroup/ip-mib/data_access/ipaddress_common.c:

   BUG: Coverity #174: don't return ptr to freed memory

2006-08-17 09:52  dts12

   * agent/mibgroup/tcp-mib/data_access/tcpConn_linux.c:

   Fix variable types to match parameter usage.  Spotted by Scott Moynes.

2006-08-16 06:57  tanders

   * man/: snmpd.conf.5.def, snmpd.examples.5.def
:

   fix typo

2006-08-11 15:56  tanders

   * snmplib/snmp_logging.c:

   vsnprintf() needs to be followed by va_end

2006-08-11 14:45  tanders

   * snmplib/snmp_logging.c:

   don't call va_end() if we've only memcpy()ed

2006-08-11 10:59  tanders

   * snmplib/snmp_logging.c:

   simple attempt to fix recently introduced va_copy() build issues

2006-08-11 10:24  tanders

   * agent/mibgroup/kernel_sunos5.c:

   fix ifInOctets statistics on Solaris (patch 1520603 from John Green)

2006-08-10 15:11  dts12

   * snmplib/snmp_api.c:

   CHANGES: snmplib: BUG: 1399370: Report a failure to build the PDU.

2006-08-10 09:58  dts12

   * EXAMPLE.conf.def:

   With fear and trepidation, remove the warnings against use of AgentX.
   Doomed, we're aaaall dooooomed....

2006-08-09 18:38  hardaker

   * perl/OID/MANIFEST:

   added the typemap file

2006-08-09 18:25  hardaker

   * perl/agent/MANIFEST:

   added netsnmp_request_infoPtr.pm to the list

2006-08-09 18:21  hardaker

   * perl/agent/MANIFEST:

   include default_store files in the manifest

2006-08-09 18:13  hardaker

   * perl/: Makefile.PL, Makefile.subs.pl,
     ASN/Makefile.PL, OID/Makefile.PL,
     SNMP/Makefile.PL, TrapReceiver/Makefile.PL,
     agent/Makefile.PL, agent/default_store/Makefile.PL
, default_store/Makefile.PL:

   another pass at perl/CPAN specific versioning checks

2006-08-09 18:07  hardaker

   * perl/SNMP/SNMP.pm:

   version update for CPAN release

2006-08-09 17:57  hardaker

   * perl/: Makefile.PL, Makefile.subs.pl,
     ASN/Makefile.PL, OID/Makefile.PL,
     SNMP/Makefile.PL, TrapReceiver/Makefile.PL,
     agent/Makefile.PL, agent/default_store/Makefile.PL
, default_store/Makefile.PL:

   allow for very minor deviations in perl CPAN source versions from net-snmp versions

2006-08-09 17:46  hardaker

   * perl/SNMP/README:

   major update for CPAN release

2006-08-09 17:41  hardaker

   * perl/SNMP/MANIFEST:

   update for recent needed testing files

2006-08-09 10:16  tanders

   * agent/mibgroup/ucd-snmp/lmSensors.c:

   build fix

2006-08-08 23:06  bshaw666

   * agent/mibgroup/ucd-snmp/: lmSensors.c, lmSensors.h
:

   numerous bug fixes and enhancements, normalizing with MAIN

2006-08-08 14:18  tanders

   * include/net-snmp/net-snmp-config.h.in:

   run autoheader

2006-08-08 14:18  tanders

   * acconfig.h:

   add HAVE_LIBNM in order to make autoheader work again

2006-08-07 16:33  tanders

   * testing/TESTCONF.sh:

   Already randomize the initial port we try. Lowers the chance of collisions if multiple test suites run in parallel.

2006-08-07 11:03  dts12

   * man/snmpd.conf.5.def:

   Fix typo.  Spotted by Leo Lei

2006-08-05 20:17  tanders

   * Makefile.in:

   add directory containing libperl.so to LD_RUN_PATH

2006-08-04 02:02  tanders

   * Makefile.in:

   override LD_RUN_PATH for the perl modules to avoid dependencies on the build directory (patch from darix)

2006-08-01 00:42  hardaker

   * perl/SNMP/t/mibload.t:

   fix a test that may succeed when it shouldn't

2006-08-01 00:04  hardaker

   * NEWS:

   version number fix

2006-07-31 22:47  hardaker

   * perl/SNMP/SNMP.pm:

   fix gettable support; broken in many misc ways by ignoring most options

2006-07-31 21:23  tanders

   * apps/snmptrapd.c:

   initialize snmptrapd authorization unconditionally of using AgentX (fixes bug 1527661)

2006-07-27 20:48  hardaker

   * local/tkmib:

   patch from Julien Pinon to fix a few tkmib problems

2006-07-27 14:29  dts12

   * agent/mibgroup/ucd-snmp/diskio.c:

   CHANGES: snmpd: PATCH: 1520286: Prevent potential crash in Darwin.

2006-07-27 14:17  dts12

   * agent/kernel.h:

   Support '--without-kmem-usage' on non-Linux systems.  (Patch #1520278)

2006-07-27 13:25  dts12

   * snmplib/Makefile.in:

   Include 'pkcs' in the list of files to compile.  (Patch #1514867)

2006-07-27 13:12  dts12

   * snmplib/snmpv3.c:

   Accept -Z 0 values for engineBoot/engineTime.  (Patch #1510032)

2006-07-27 13:12  dts12

   * snmplib/snmp_parse_args.c:

   CHANGES: snmplib: PATCH: 1510032: Accept -Z 0 values for engineBoot/engineTime.

2006-07-27 11:08  dts12

   * agent/mibgroup/if-mib/data_access/interface_linux.c:

   CHANGES: snmpd: PATCH: 1482169: Attempt to use the most up-to-date sysctl APIs.

2006-07-26 12:56  dts12

   * snmplib/snmp_logging.c:

   CHANGES: snmplib: BUG: 1516045: Handle long (dynamic-buffered) messages correctly.

2006-07-26 12:50  dts12

   * agent/mibgroup/target/target.c:

   CHANGES: snmpd: BUG: 1517454: Ensure the secModel is initialised for SNMPv3 notifications.

2006-07-26 12:29  dts12

   * agent/mibgroup/ucd-snmp/extensible.c:

   CHANGES: snmpd: BUG: 1506707: Only sort relocatable extension entries.
   Those in the main extTable don't have an OID to sort on, so
   attempting to do so may scramble them into a random order.

2006-07-25 16:57  dts12

   * agent/mibgroup/host/: hr_disk.h, hr_network.h,
     hr_other.h, hr_partition.h,
     hr_print.h, hr_proc.h, hr_storage.h:

   CHANGES: snmpd: BUG: 1505325: Indicate dependencies between HostRes modules.

2006-07-25 16:26  dts12

   * agent/mibgroup/mibII/var_route.c:

   CHANGES: snmpd: BUG: 1504501: Ensure that IP Address values are reported as 4-octet values on 64-bit architectures.

2006-07-25 14:48  dts12

   * snmplib/mib.c:

   CHANGES: snmplib: BUG: 1459665: Handle malformed Display Hints sensibly, rather than going into an infinite loop.

2006-07-25 13:48  dts12

   * agent/helpers/table_iterator.c:

   CHANGES: snmpd: BUG: 1445116: Don't assume that all requests are necessarily valid.

2006-07-25 13:00  dts12

   * snmplib/snmpUDPIPv6Domain.c:

   CHANGES: snmplib: BUG: 1445089: Use the defined default port (if specified) for numeric IPv6 addresses, rather than hardwiring SNMP_PORT.

2006-07-25 11:08  dts12

   * agent/helpers/debug_handler.c:

   CHANGES: snmpd: BUG: 1429469: Don't choke on missing labels.

2006-07-25 10:29  dts12

   * local/mib2c.table_data.conf:

   CHANGES: mib2c: BUG: 1422708: Include missing flags parameter.

2006-07-25 09:31  dts12

   * snmplib/snmp_api.c:

   CHANGES: snmplib: BUG: 1399370: Remove broken assertion

2006-07-25 09:17  dts12

   * snmplib/read_config.c, snmplib/snmpCallbackDomain.c
, snmplib/snmpUDPDomain.c,
     snmplib/snmp_api.c, apps/snmpdelta.c,
     apps/snmptable.c, apps/snmptrapd_handlers.c
, apps/snmptrapd_log.c, apps/snmpusm.c
:

   Fix assorted signedness mismatches

2006-07-25 09:11  dts12

   * snmplib/snmpv3.c:

   CHANGES: snmplib: BUG: 1397891: Re-fix unsigned comparisons against 0
   including fix for test #24

2006-07-25 09:04  dts12

   * snmplib/tools.c:

   CHANGES: snmplib: BUG: 1397906: Fix signedness of return values.

2006-07-25 09:04  dts12

   * agent/mibgroup/ucd-snmp/disk.c:

   CHANGES: snmpd: BUG: 1397906: Fix signedness of return values.

2006-07-18 15:03  hardaker

   * local/mib2c.container.conf:

   SNMP_TYPEDEF_MALLOC -> SNMP_MALLOC_TYPEDEF

2006-07-14 15:57  hardaker

   * NEWS:

   realistic NEWS file

2006-07-13 22:55  hardaker

   * FAQ, README, configure,
     configure.in, sedscript.in,
     snmplib/snmp_version.c:

   - version tag ( 5.3.1 )

-------------------------------------------------------------------------------

Changes: V5.3 -> V5.3.1

2006-07-13 14:44  hardaker

   * man/: netsnmp_agent.3, netsnmp_agent_registry.3
, netsnmp_agent_trap.3,
     netsnmp_asn1_packet_parse.3, netsnmp_baby_steps.3
, netsnmp_bulk_to_next.3,
     netsnmp_cache_handler.3, netsnmp_callback.3
, netsnmp_container.3, netsnmp_data_list.3
, netsnmp_debug.3, netsnmp_default_store.3
, netsnmp_handler.3, netsnmp_instance.3
, netsnmp_iterator_info_s.3, netsnmp_leaf.3
, netsnmp_library.3,
     netsnmp_mib_maintenance.3, netsnmp_mib_utilities.3
, netsnmp_mode_end_call.3,
     netsnmp_multiplexer.3,
     netsnmp_netsnmp_agent_request_info_s.3,
     netsnmp_netsnmp_column_info_t.3,
     netsnmp_netsnmp_data_list_s.3,
     netsnmp_netsnmp_handler_registration_s.3,
     netsnmp_netsnmp_iterator_info_s.3,
     netsnmp_netsnmp_mib_handler_access_methods.3,
     netsnmp_netsnmp_mib_handler_methods.3,
     netsnmp_netsnmp_mib_handler_s.3,
     netsnmp_netsnmp_request_info_s.3,
     netsnmp_netsnmp_table_registration_info_s.3,
     netsnmp_netsnmp_table_request_info_s.3,
     netsnmp_oid_stash.3, netsnmp_old_api.3,
     netsnmp_read_config.3, netsnmp_read_only.3,
     netsnmp_row_merge.3, netsnmp_scalar.3,
     netsnmp_scalar_group_group.3, netsnmp_serialize.3
, netsnmp_snmp_agent.3, netsnmp_snmp_alarm.3
, netsnmp_snmp_client.3,
     netsnmp_snmp_logging.3, netsnmp_snmp_pdu.3,
     netsnmp_snmp_session.3, netsnmp_stash_cache.3
, netsnmp_stash_to_next.3, netsnmp_table.3
, netsnmp_table_array.3,
     netsnmp_table_container.3, netsnmp_table_data.3
, netsnmp_table_dataset.3,
     netsnmp_table_generic.3, netsnmp_table_indexes.3
, netsnmp_table_iterator.3,
     netsnmp_table_iterator.h.3,
     netsnmp_table_maintenance.3, netsnmp_table_rows.3
, netsnmp_tdata.3, netsnmp_util.3,
     netsnmp_utilities.3, netsnmp_variable_list.3
, netsnmp_watcher.3:

   documentation update

2006-07-13 14:43  hardaker

   * doxygen.conf:

   - version tag ( 5.3.1 )

2006-07-07 15:07  hardaker

   * man/: netsnmp_agent.3, netsnmp_agent_registry.3
, netsnmp_agent_trap.3,
     netsnmp_asn1_packet_parse.3, netsnmp_baby_steps.3
, netsnmp_bulk_to_next.3,
     netsnmp_cache_handler.3, netsnmp_callback.3
, netsnmp_container.3, netsnmp_data_list.3
, netsnmp_debug.3, netsnmp_default_store.3
, netsnmp_handler.3, netsnmp_instance.3
, netsnmp_iterator_info_s.3, netsnmp_leaf.3
, netsnmp_library.3,
     netsnmp_mib_maintenance.3, netsnmp_mib_utilities.3
, netsnmp_mode_end_call.3,
     netsnmp_multiplexer.3,
     netsnmp_netsnmp_agent_request_info_s.3,
     netsnmp_netsnmp_column_info_t.3,
     netsnmp_netsnmp_data_list_s.3,
     netsnmp_netsnmp_handler_registration_s.3,
     netsnmp_netsnmp_iterator_info_s.3,
     netsnmp_netsnmp_mib_handler_access_methods.3,
     netsnmp_netsnmp_mib_handler_methods.3,
     netsnmp_netsnmp_mib_handler_s.3,
     netsnmp_netsnmp_request_info_s.3,
     netsnmp_netsnmp_table_registration_info_s.3,
     netsnmp_netsnmp_table_request_info_s.3,
     netsnmp_oid_stash.3, netsnmp_old_api.3,
     netsnmp_read_config.3, netsnmp_read_only.3,
     netsnmp_row_merge.3, netsnmp_scalar.3,
     netsnmp_scalar_group_group.3, netsnmp_serialize.3
, netsnmp_snmp_agent.3, netsnmp_snmp_alarm.3
, netsnmp_snmp_client.3,
     netsnmp_snmp_logging.3, netsnmp_snmp_pdu.3,
     netsnmp_snmp_session.3, netsnmp_stash_cache.3
, netsnmp_stash_to_next.3, netsnmp_table.3
, netsnmp_table_array.3,
     netsnmp_table_container.3, netsnmp_table_data.3
, netsnmp_table_dataset.3,
     netsnmp_table_generic.3, netsnmp_table_indexes.3
, netsnmp_table_iterator.3,
     netsnmp_table_iterator.h.3,
     netsnmp_table_maintenance.3, netsnmp_table_rows.3
, netsnmp_tdata.3, netsnmp_util.3,
     netsnmp_utilities.3, netsnmp_variable_list.3
, netsnmp_watcher.3:

   documentation update

2006-07-07 15:06  hardaker

   * doxygen.conf:

   - version tag ( 5.3.1.rc4 )

2006-07-07 14:52  hardaker

   * apps/snmpnetstat/inet6.c:

   Dave's patch for compilation fixes for windows

2006-07-07 14:51  hardaker

   * configure, configure.in:

   Dave's patch to remove host mib support for windows by default

2006-07-07 13:29  hardaker

   * ChangeLog:

   added note about patch from robert

2006-07-07 13:25  hardaker

   * agent/mibgroup/if-mib/ifTable/ifTable_data_access.c:

   Patch from robert to fix a potential NULL dereference

2006-07-07 13:25  hardaker

   * agent/mibgroup/if-mib/ifTable/ifTable_data_access.c:

   Patch from robert to fix a potential NULL dereference

2006-07-07 13:06  hardaker

   * man/: netsnmp_agent.3, netsnmp_agent_registry.3
, netsnmp_agent_trap.3,
     netsnmp_asn1_packet_parse.3, netsnmp_baby_steps.3
, netsnmp_bulk_to_next.3,
     netsnmp_cache_handler.3, netsnmp_callback.3
, netsnmp_container.3, netsnmp_data_list.3
, netsnmp_debug.3, netsnmp_default_store.3
, netsnmp_handler.3, netsnmp_instance.3
, netsnmp_iterator_info_s.3, netsnmp_leaf.3
, netsnmp_library.3,
     netsnmp_mib_maintenance.3, netsnmp_mib_utilities.3
, netsnmp_mode_end_call.3,
     netsnmp_multiplexer.3,
     netsnmp_netsnmp_agent_request_info_s.3,
     netsnmp_netsnmp_column_info_t.3,
     netsnmp_netsnmp_data_list_s.3,
     netsnmp_netsnmp_handler_registration_s.3,
     netsnmp_netsnmp_iterator_info_s.3,
     netsnmp_netsnmp_mib_handler_access_methods.3,
     netsnmp_netsnmp_mib_handler_methods.3,
     netsnmp_netsnmp_mib_handler_s.3,
     netsnmp_netsnmp_request_info_s.3,
     netsnmp_netsnmp_table_registration_info_s.3,
     netsnmp_netsnmp_table_request_info_s.3,
     netsnmp_oid_stash.3, netsnmp_old_api.3,
     netsnmp_read_config.3, netsnmp_read_only.3,
     netsnmp_row_merge.3, netsnmp_scalar.3,
     netsnmp_scalar_group_group.3, netsnmp_serialize.3
, netsnmp_snmp_agent.3, netsnmp_snmp_alarm.3
, netsnmp_snmp_client.3,
     netsnmp_snmp_logging.3, netsnmp_snmp_pdu.3,
     netsnmp_snmp_session.3, netsnmp_stash_cache.3
, netsnmp_stash_to_next.3, netsnmp_table.3
, netsnmp_table_array.3,
     netsnmp_table_container.3, netsnmp_table_data.3
, netsnmp_table_dataset.3,
     netsnmp_table_generic.3, netsnmp_table_indexes.3
, netsnmp_table_iterator.3,
     netsnmp_table_iterator.h.3,
     netsnmp_table_maintenance.3, netsnmp_table_rows.3
, netsnmp_tdata.3, netsnmp_util.3,
     netsnmp_utilities.3, netsnmp_variable_list.3
, netsnmp_watcher.3:

   documentation update

2006-07-07 13:05  hardaker

   * doxygen.conf:

   - version tag ( 5.3.1.rc3 )

2006-07-05 08:51  rstory

   * mibs/: DISMAN-NSLOOKUP-MIB.txt, DISMAN-PING-MIB.txt
, DISMAN-TRACEROUTE-MIB.txt:

   update from RFC 4560

2006-06-30 22:12  hardaker

   * local/Version-Munge.pl:

   support for optional files (don't exist in every branch)

2006-06-30 21:46  hardaker

   * man/: netsnmp_agent.3, netsnmp_agent_registry.3
, netsnmp_agent_trap.3,
     netsnmp_asn1_packet_parse.3, netsnmp_baby_steps.3
, netsnmp_bulk_to_next.3,
     netsnmp_cache_handler.3, netsnmp_callback.3
, netsnmp_container.3, netsnmp_data_list.3
, netsnmp_debug.3, netsnmp_default_store.3
, netsnmp_handler.3, netsnmp_instance.3
, netsnmp_iterator_info_s.3, netsnmp_leaf.3
, netsnmp_library.3,
     netsnmp_mib_maintenance.3, netsnmp_mib_utilities.3
, netsnmp_mode_end_call.3,
     netsnmp_multiplexer.3,
     netsnmp_netsnmp_agent_request_info_s.3,
     netsnmp_netsnmp_column_info_t.3,
     netsnmp_netsnmp_data_list_s.3,
     netsnmp_netsnmp_handler_registration_s.3,
     netsnmp_netsnmp_iterator_info_s.3,
     netsnmp_netsnmp_mib_handler_access_methods.3,
     netsnmp_netsnmp_mib_handler_methods.3,
     netsnmp_netsnmp_mib_handler_s.3,
     netsnmp_netsnmp_request_info_s.3,
     netsnmp_netsnmp_table_registration_info_s.3,
     netsnmp_netsnmp_table_request_info_s.3,
     netsnmp_oid_stash.3, netsnmp_old_api.3,
     netsnmp_read_config.3, netsnmp_read_only.3,
     netsnmp_row_merge.3, netsnmp_scalar.3,
     netsnmp_scalar_group_group.3, netsnmp_serialize.3
, netsnmp_snmp_agent.3, netsnmp_snmp_alarm.3
, netsnmp_snmp_client.3,
     netsnmp_snmp_logging.3, netsnmp_snmp_pdu.3,
     netsnmp_snmp_session.3, netsnmp_stash_cache.3
, netsnmp_stash_to_next.3, netsnmp_table.3
, netsnmp_table_array.3,
     netsnmp_table_container.3, netsnmp_table_data.3
, netsnmp_table_dataset.3,
     netsnmp_table_generic.3, netsnmp_table_indexes.3
, netsnmp_table_iterator.3,
     netsnmp_table_iterator.h.3,
     netsnmp_table_maintenance.3, netsnmp_table_rows.3
, netsnmp_tdata.3, netsnmp_util.3,
     netsnmp_utilities.3, netsnmp_variable_list.3
, netsnmp_watcher.3:

   documentation update

2006-06-30 21:46  hardaker

   * doxygen.conf:

   - version tag ( 5.3.1.rc2 )

2006-06-30 21:45  hardaker

   * local/Version-Munge.pl:

   doxygen.conf support

2006-06-30 21:24  hardaker

   * local/Version-Munge.pl:

   check for file existence

2006-06-30 21:07  hardaker

   * local/Version-Munge.pl:

   exit with the cvs commit status if run

2006-06-30 15:53  hardaker

   * perl/: Makefile.PL, Makefile.subs.pl,
     ASN/Makefile.PL, OID/Makefile.PL,
     SNMP/Makefile.PL, TrapReceiver/Makefile.PL,
     agent/Makefile.PL, agent/default_store/Makefile.PL
, default_store/Makefile.PL:

   better env name for not checking the version

2006-06-30 15:26  hardaker

   * perl/: Makefile.PL, Makefile.subs.pl,
     ASN/ASN.pm, ASN/Makefile.PL,
     AnyData_SNMP/Storage.pm, OID/Makefile.PL,
     OID/OID.pm, SNMP/Makefile.PL, SNMP/SNMP.pm
, TrapReceiver/Makefile.PL,
     TrapReceiver/TrapReceiver.pm, agent/Makefile.PL
, agent/agent.pm,
     agent/default_store/Makefile.PL,
     agent/default_store/default_store.pm,
     default_store/Makefile.PL,
     default_store/default_store.pm:

   new perl versioning support

2006-06-30 15:19  hardaker

   * local/Version-Munge.pl:

   much better support for cvs commit, version numbering, etc

2006-06-30 15:17  hardaker

   * Makefile.in:

   remove version changing support; now in makerelease

2006-06-30 15:16  hardaker

   * agent/mibgroup/versiontag:

   remove tag support from versiontag; now in makerelease

2006-06-30 15:14  hardaker

   * perl/SNMP/: MANIFEST, MANIFEST.SKIP:

   manifest changes for upcoming CPAN release (needs more)

2006-06-28 09:35  dts12

   * include/net-snmp/system/mingw32.h,
     win32/net-snmp/net-snmp-config.h:

   Ensure UDP addresses are handled correctly on Windows x86 systems.

2006-06-27 11:40  tanders

   * testing/tests/: T061agentperl, T115agentxperl
:

   set DYLD_LIBRARY_PATH for OSX and SHLIB_PATH for HP-UX

2006-06-27 09:42  rstory

   * README.osX:

   remove embeded perl info; add perl agentx info

2006-06-27 08:25  tanders

   * agent/mibgroup/mibII/udpTable.c:

   fix more udpTable byte-order issues (indices) on *BSD and Solaris/x86

2006-06-26 18:00  alex_b

   * perl/: Makefile.PL, Makefile.makefiles,
     Makefile.subs.pl, make-perl-makefiles,
     ASN/Makefile.PL, OID/Makefile.PL,
     SNMP/Makefile.PL, TrapReceiver/Makefile.PL,
     agent/Makefile.PL, agent/default_store/Makefile.PL
, default_store/Makefile.PL:

   -'perl Makefile.PL -NET-SNMP-IN-SOURCE=true' was not working.  Fix: call
    'nsconfig' --version inside of InitMakeParams instead of Check_Version
   -Support module: NetSNMPGetOpts call should pass parent folder so net-snmp-config
    can be found
   -Skip version check for Win32 MSVC
   -add TrapReceiver and agent/Support to Makefile.makefiles
   -make-perl-makefiles:  rename files AFTER closing them, not before

2006-06-26 15:28  tanders

   * testing/TESTCONF.sh:

   add netstat path for IRIX

2006-06-26 08:33  tanders

   * include/net-snmp/system/netbsd.h:

   udpTable byte-order fix (values only) for NetBSD and OpenBSD

2006-06-25 14:43  tanders

   * testing/tests/T061agentperl:

   prepend (instead of replace) a non-empty LD_LIBRARY_PATH; fixes test errors on systems that rely on it

2006-06-25 14:25  tanders

   * testing/tests/T160snmpnetstat:

   fix test error on Solaris etc.: only use "id -u" on systems that support it

2006-06-23 12:50  tanders

   * testing/tests/T160snmpnetstat:

   check for 127.0.0.1., not just , to identify byte-order issues

2006-06-23 09:06  hardaker

   * agent/mibgroup/mibII/udpTable.c,
     include/net-snmp/system/cygwin.h,
     include/net-snmp/system/freebsd.h,
     include/net-snmp/system/solaris.h:

   Clean fixing of ordering problems with kernel storage of UDP values

2006-06-23 02:47  tanders

   * agent/mibgroup/mibII/udpTable.c:

   fix earlier "don't reverse address byte order for solaris (specifically x86) for local addresses" patch that broke byte order for all platforms

2006-06-20 12:12  tanders

   * testing/tests/T061agentperl:

   more portable way of exporting

2006-06-20 05:41  tanders

   * testing/tests/T061agentperl:

   set LD_LIBRARY_PATH to make sure that NetSNMP::agent's agent.so can load (uninstalled) libnetsnmp*.so; otherwise test fails at least on FreeBSD

2006-06-15 15:10  tanders

   * testing/eval_tools.sh:

   suppress stderr warnings for "ps -e" in order to fix [false] nightly build error messages on SF CF host alpha-linux1

2006-06-15 06:52  tanders

   * testing/tests/T160snmpnetstat:

   add OpenBSD and NetBSD to the list of systems that require root privileges for udpTable (according to Dave's testing)

2006-06-13 14:53  tanders

   * testing/tests/T115agentxperl:

   fix NETSNMP_DS_AGENT_NO_ROOT_ACCESS setting (needed for e.g. Solaris 2.6)

2006-06-13 05:50  tanders

   * agent/agent_registry.c,
     agent/mibgroup/notification-log-mib/notification_log.c
, include/net-snmp/library/tools.h,
     snmplib/callback.c:

   fix bug 1505341: agent segfaults on Solaris with -DALL

2006-06-12 16:59  hardaker

   * perl/TrapReceiver/TrapReceiver.pm:

   - (perl/TrapReceiver/TrapReceiver.pm): version tag ( 5.3.1.rc1 )

Changes: V5.3 -> V5.3.1

2006-06-12 16:54  hardaker

   * man/: netsnmp_agent.3, netsnmp_agent_registry.3
, netsnmp_agent_trap.3,
     netsnmp_asn1_packet_parse.3, netsnmp_baby_steps.3
, netsnmp_bulk_to_next.3,
     netsnmp_cache_handler.3, netsnmp_callback.3
, netsnmp_container.3, netsnmp_data_list.3
, netsnmp_debug.3, netsnmp_default_store.3
, netsnmp_handler.3, netsnmp_instance.3
, netsnmp_iterator_info_s.3, netsnmp_leaf.3
, netsnmp_library.3,
     netsnmp_mib_maintenance.3, netsnmp_mib_utilities.3
, netsnmp_mode_end_call.3,
     netsnmp_multiplexer.3,
     netsnmp_netsnmp_agent_request_info_s.3,
     netsnmp_netsnmp_column_info_t.3,
     netsnmp_netsnmp_data_list_s.3,
     netsnmp_netsnmp_handler_registration_s.3,
     netsnmp_netsnmp_iterator_info_s.3,
     netsnmp_netsnmp_mib_handler_access_methods.3,
     netsnmp_netsnmp_mib_handler_methods.3,
     netsnmp_netsnmp_mib_handler_s.3,
     netsnmp_netsnmp_request_info_s.3,
     netsnmp_netsnmp_table_registration_info_s.3,
     netsnmp_netsnmp_table_request_info_s.3,
     netsnmp_oid_stash.3, netsnmp_old_api.3,
     netsnmp_read_config.3, netsnmp_read_only.3,
     netsnmp_row_merge.3, netsnmp_scalar.3,
     netsnmp_scalar_group_group.3, netsnmp_serialize.3
, netsnmp_snmp_agent.3, netsnmp_snmp_alarm.3
, netsnmp_snmp_client.3,
     netsnmp_snmp_logging.3, netsnmp_snmp_pdu.3,
     netsnmp_snmp_session.3, netsnmp_stash_cache.3
, netsnmp_stash_to_next.3, netsnmp_table.3
, netsnmp_table_array.3,
     netsnmp_table_container.3, netsnmp_table_data.3
, netsnmp_table_dataset.3,
     netsnmp_table_generic.3, netsnmp_table_indexes.3
, netsnmp_table_iterator.3,
     netsnmp_table_iterator.h.3,
     netsnmp_table_maintenance.3, netsnmp_table_rows.3
, netsnmp_tdata.3, netsnmp_util.3,
     netsnmp_utilities.3, netsnmp_variable_list.3
, netsnmp_watcher.3:

   documentation update

2006-06-12 16:42  tanders

   * testing/TESTCONF.sh:

   introduce "net-snmp-config --perlprog" and use it in the "AgentX subagent in perl" test

2006-06-12 16:40  hardaker

   * configure, configure.in:

   version update

2006-06-12 16:00  tanders

   * net-snmp-config.in, testing/tests/T115agentxperl
:

   introduce "net-snmp-config --perlprog" and use it in the "AgentX subagent in perl" test

2006-06-12 15:44  rstory

   * local/mib2c-conf.d/mfd-interface.m2c:

   define mfd_*_rowreq_from_index if persistent enabled

2006-06-12 13:23  rstory

   * apps/snmpnetstat/: inet6.c, route.c:

   add sys/types.h to fix OS X build

2006-06-12 13:01  rstory

   * agent/mibgroup/ip-forward-mib/inetCidrRouteTable/:
     inetCidrRouteTable.c, inetCidrRouteTable_constants.h
, inetCidrRouteTable_interface.c,
     inetCidrRouteTable_interface.h:

   add miss inetCidrRouteNumber scalar

2006-06-12 10:27  hardaker

   * testing/tests/T141snmpv2cvacmgetfail:

   fix for new failure error code

2006-06-12 10:11  hardaker

   * agent/snmp_agent.c:

   Fix bug reported by Robert Wilcox: return no access instead of not writable on VACM denials

2006-06-12 09:00  hardaker

   * perl/: Makefile.subs.pl, ASN/Makefile.PL,
     OID/Makefile.PL, SNMP/Makefile.PL,
     TrapReceiver/Makefile.PL, agent/Makefile.PL,
     agent/default_store/Makefile.PL:

   finally a working version of the version working check

2006-06-12 08:54  hardaker

   * perl/: Makefile.subs.pl, ASN/Makefile.PL,
     OID/Makefile.PL, SNMP/Makefile.PL,
     TrapReceiver/Makefile.PL, agent/Makefile.PL,
     agent/default_store/Makefile.PL:

   fix preX version numbers before checking

2006-06-12 08:46  hardaker

   * perl/: Makefile.subs.pl, ASN/Makefile.PL,
     OID/Makefile.PL, SNMP/Makefile.PL,
     TrapReceiver/Makefile.PL, agent/Makefile.PL,
     agent/default_store/Makefile.PL:

   check the perl module version number against the net-snmp version number

2006-06-12 01:16  tanders

   * doxygen.conf:

   version update

2006-06-09 13:42  tanders

   * agent/mibgroup/ucd-snmp/diskio.c:

   fix typo

2006-06-09 05:54  rstory

   * apps/snmptrapd_auth.c:

   - don't free pdu if it's not a clone

2006-06-07 05:24  tanders

   * agent/agent_registry.c:

   patch from Dave to prevent crash with -Dregister_mib

2006-06-07 05:13  tanders

   * apps/snmpnetstat/route.c:

   include netinet/in.h and arpa/inet.h to pick up ntohl on hpux10.20

2006-06-05 15:37  rstory

   * agent/mibgroup/ucd-snmp/proxy.c:

   fix double-free of delegated cache

2006-06-05 14:27  rstory

   * testing/tests/T141snmpv2cvacmgetfail:

   add vacm set tests

2006-06-05 14:21  rstory

   * testing/tests/Svacmconfig:

   add (ro|rw)community config for rw vacm test

2006-06-05 10:38  rstory

   * agent/mibgroup/host/hr_storage.c:

   add missing MBUF stats for darwin

2006-06-05 10:34  rstory

   * agent/mibgroup/disman/event/mteTrigger.c:

   - use new ability to schedule alarm in 0 sec to run mte tirggers asap after
     startup, instead of during config file parsing
   - add missing \n to log msg

2006-06-05 10:31  rstory

   * snmplib/snmp_alarm.c:

   - allow a 0 time in snmp_alarm_register, to mean run ASAP (i.e. 1 usec)
   - allow sec/usec of 0 in sa_update_entry, except for SA_REPEAT case

2006-06-05 10:26  rstory

   * agent/mibgroup/disman/event/mteTriggerConf.c:

   - log error (and don't create entry) if sess user not found
   - log error if agentSecName (default user) not specified
   - add missing \n to debug msg

2006-06-01 06:29  rstory

   * agent/mibgroup/host/hr_swrun.c:

   enforce MIB object lengths

2006-05-29 02:39  tanders

   * testing/tests/: Sv3config, Sv3usmconfigagent,
     Svanyconfig:

   don't open default smux port/socket

2006-05-29 01:35  tanders

   * testing/tests/T060trapdperl:

   re-fix newline issues

2006-05-28 13:13  tanders

   * perl/TrapReceiver/TrapReceiver.xs:

   temporary workaround to prevent snmptrapd embedded perl crash on x86_64 (bug 1494882)

2006-05-27 23:58  hardaker

   * testing/tests/: T059trapdtraphandle, T060trapdperl
:

   use CHECKORDIE instead of CHECKFILE when doing multiple checks (was succeeding when it shouldn't have).  Also, open embedded perl LOG in append mode so second routine doesn't trump the first

2006-05-27 23:21  hardaker

   * perl/TrapReceiver/TrapReceiver.pm:

   - (perl/TrapReceiver/TrapReceiver.pm): version tag ( 5.3.1.pre3 )

2006-05-27 23:05  hardaker

   * man/: netsnmp_agent.3, netsnmp_agent_registry.3
, netsnmp_agent_trap.3,
     netsnmp_asn1_packet_parse.3, netsnmp_baby_steps.3
, netsnmp_bulk_to_next.3,
     netsnmp_cache_handler.3, netsnmp_callback.3
, netsnmp_container.3, netsnmp_data_list.3
, netsnmp_debug.3, netsnmp_default_store.3
, netsnmp_handler.3, netsnmp_instance.3
, netsnmp_iterator_info_s.3, netsnmp_leaf.3
, netsnmp_library.3,
     netsnmp_mib_maintenance.3, netsnmp_mib_utilities.3
, netsnmp_mode_end_call.3,
     netsnmp_multiplexer.3,
     netsnmp_netsnmp_agent_request_info_s.3,
     netsnmp_netsnmp_column_info_t.3,
     netsnmp_netsnmp_data_list_s.3,
     netsnmp_netsnmp_handler_registration_s.3,
     netsnmp_netsnmp_iterator_info_s.3,
     netsnmp_netsnmp_mib_handler_access_methods.3,
     netsnmp_netsnmp_mib_handler_methods.3,
     netsnmp_netsnmp_mib_handler_s.3,
     netsnmp_netsnmp_request_info_s.3,
     netsnmp_netsnmp_table_registration_info_s.3,
     netsnmp_netsnmp_table_request_info_s.3,
     netsnmp_oid_stash.3, netsnmp_old_api.3,
     netsnmp_read_config.3, netsnmp_read_only.3,
     netsnmp_row_merge.3, netsnmp_scalar.3,
     netsnmp_scalar_group_group.3, netsnmp_serialize.3
, netsnmp_snmp_agent.3, netsnmp_snmp_alarm.3
, netsnmp_snmp_client.3,
     netsnmp_snmp_logging.3, netsnmp_snmp_pdu.3,
     netsnmp_snmp_session.3, netsnmp_stash_cache.3
, netsnmp_stash_to_next.3, netsnmp_table.3
, netsnmp_table_array.3,
     netsnmp_table_container.3, netsnmp_table_data.3
, netsnmp_table_dataset.3,
     netsnmp_table_generic.3, netsnmp_table_indexes.3
, netsnmp_table_iterator.3,
     netsnmp_table_iterator.h.3,
     netsnmp_table_maintenance.3, netsnmp_table_rows.3
, netsnmp_tdata.3, netsnmp_util.3,
     netsnmp_utilities.3, netsnmp_variable_list.3
, netsnmp_watcher.3:

   documentation update

2006-05-27 22:54  hardaker

   * configure, configure.in:

   version update

2006-05-27 22:30  hardaker

   * apps/snmpnetstat/inet6.c:

   include netinet/in.h and arpa/inet.h to pick up htonl, etc, on hpux10.20

2006-05-27 22:16  hardaker

   * Makefile.top:

   way simple DESTDIR support

2006-05-27 07:41  tanders

   * testing/tests/T115agentxperl:

   set libtool-like LD_LIBRARY_PATH to make sure the perl agent starts properly (fixes bug 1495433)

2006-05-26 15:24  hardaker

   * agent/mibgroup/mibII/udpTable.c:

   don't reverse address byte order for solaris (specifically x86) for local addresses

2006-05-26 09:58  hardaker

   * perl/SNMP/SNMP.xs:

   one intptr_t cast from a pointer

2006-05-26 09:33  hardaker

   * acconfig.h, configure.in,
     include/net-snmp/net-snmp-config.h.in,
     include/net-snmp/types.h, configure:

   check for uintptr_t and intptr_t

2006-05-26 06:29  hardaker

   * perl/TrapReceiver/TrapReceiver.xs:

   Another proper pointer cast

2006-05-26 06:15  hardaker

   * perl/: SNMP/SNMP.xs, TrapReceiver/TrapReceiver.xs
, agent/agent.xs:

   Patch from darix to properly cast pointers to an IV instead of an int to fix 64bit issues

2006-05-26 01:52  tanders

   * testing/eval_tools.sh:

   make daemons bind to localhost by default only (fixes bug 1424293)

2006-05-25 15:13  tanders

   * testing/TESTCONF.sh:

   set SNMP_PERSISTENT_DIR for all apps/daemons

2006-05-25 15:03  tanders

   * testing/TESTCONF.sh:

   set SNMPCONFPATH for all apps/daemons

2006-05-25 14:59  tanders

   * testing/TESTCONF.sh:

   set SNMPCONFPATH for all apps/daemons

2006-05-25 07:32  tanders

   * testing/tests/: T035snmpv3trapdusermgmt, T110agentxget
, T111agentxset, T112agentxsetfail,
     T113agentxtrap, T120proxyget, T121proxyset
, T122proxysetfail:

   backport fix for bug 1335767: "make test" should do port probing for snmptrapd+AgentX also

2006-05-25 05:43  tanders

   * testing/TESTCONF.sh:

   backport port probing from MAIN to fix bug 1424293

2006-05-24 08:32  tanders

   * testing/tests/T061agentperl:

   more portable way of calling perl

2006-05-24 08:30  tanders

   * testing/tests/T115agentxperl:

   new test: 'AgentX subagent in Perl (using NetSNMP::agent)' with double-forking perl subagent

2006-05-24 08:28  tanders

   * testing/TESTCONF.sh:

   introduce additional variables for subagent tests: AGENTX_CONFIG_FILE, SNMP_AGENTX_PID_FILE, SNMP_AGENTX_LOG_FILE

2006-05-24 08:26  tanders

   * testing/tests/T115agentxperl:

   file T115agentxperl was added on branch V5-3-patches on 2006-05-24 15:30:50 +0000

2006-05-22 15:48  tanders

   * testing/tests/T151solarishostdisk:

   this test requires host/hr_system in particular and uses v1, not v2c

2006-05-22 15:42  tanders

   * testing/tests/T150solarishostcpu:

   this test requires host/hr_device in particular and uses v1, not v2c

2006-05-22 15:36  tanders

   * testing/tests/T153solarisswap:

   this test uses v1, not v2c

2006-05-22 15:18  tanders

   * testing/tests/T152hostuptime:

   this test requires host/hr_system in particular

2006-05-22 03:08  tanders

   * testing/tests/T153solarisswap:

   this test requires host/hr_storage in particular

2006-05-19 11:31  rstory

   * agent/agent_trap.c:

   - fix for bug 1313667 removed synch send, allowing us to uncomment the
     commented out pdu free on error, plugging a memory leak identified
     on coders by derekl at blueyonder co uk

2006-05-19 10:02  rstory

   * agent/mibgroup/host/hr_proc.c:

   - use nrprocs-1 as index instead of i, which will be negative if cpuinfo
     doesn't contain a 'processor' line

2006-05-17 15:11  rstory

   * apps/snmptrapd_auth.c:

   need sys/types.h before netinet/in.h on some platforms

2006-05-13 00:21  hardaker

   * agent/mibgroup/versiontag:

   update CVS host name

2006-05-12 15:07  hardaker

   * perl/: ASN/Makefile.PL, OID/Makefile.PL,
     SNMP/Makefile.PL, SNMP/SNMP.pm,
     SNMP/SNMP.xs, TrapReceiver/Makefile.PL,
     agent/Makefile.PL, agent/default_store/Makefile.PL
, default_store/Makefile.PL:

   change -W flag substition to be exact match of flags to remove, rather than removing any -W flag for portability reasons

2006-05-12 07:48  tanders

   * testing/tests/T050snmpv3trap:

   introduce delays to not lose traps

2006-05-12 07:46  tanders

   * testing/tests/: T060trapdperl, T061agentperl:

   fix newline issues

2006-05-12 07:45  tanders

   * README.aix:

   update README for AIX based on build test experience on AIX 4.3.3/5.1/5.2/5.3

2006-05-12 07:43  tanders

   * testing/tests/: T053agentv1trap, T054agentv2ctrap
, T055agentv1mintrap, T056agentv2cmintrap
, T113agentxtrap:

   ensure the tests work even if UCD-SNMP-MIB isn't in defaults MIBS list

2006-05-08 07:45  hardaker

   * dist/: Makefile, README.build-scripts,
     RELEASE-INSTRUCTIONS, cvsup, makerelease
, net-snmp.spec, nsb-config,
     nsb-functions, nsb-nightly, nsb-package
, nsb-platform:

   cleaned dist dir to branch release files

2006-05-08 00:47  tanders

   * agent/mibgroup/Rmon/row_api.h:

   build fix for C89 compilers (e.g. xlc on AIX 4.3.3): no trailing comma after last entry of a "typedef enum"

2006-05-05 16:03  tanders

   * dist/nsb-functions:

   further tweaking of the exception regex

2006-05-05 15:26  tanders

   * README.irix:

   initial README for IRIX

2006-05-05 14:51  hardaker

   * apps/snmptrapd_log.c:

   put the snprintf length into a dereferenced pointer

2006-05-05 14:22  tanders

   * configure, configure.in:

   fix IRIX 6.5 "present but cannot be compiled" warning for sys/vnode.h and sys/h
   ashing.h

2006-05-04 14:44  hardaker

   * agent/snmp_agent.c:

   covertiy 135: double check netsnmp_oid_find_prefix returns a positive result (should only happen in broken-tree cases)

2006-05-04 14:36  hardaker

   * agent/mibgroup/agentx/subagent.c:

   coverity #136: free mem leak in rare bad-agentx packet case

2006-05-03 13:59  tanders

   * NEWS, agent/mibgroup/mibII/ipAddr.c:

   [ 1481012 ] HP-UX 11.0/11i: ipAdEntBcastAddr wrong (patch submitted by Johannes Schmidt-Fischer)

2006-04-30 22:56  hardaker

   * perl/TrapReceiver/TrapReceiver.pm:

   - (perl/TrapReceiver/TrapReceiver.pm): version tag ( 5.3.1.pre1 )

2006-04-30 22:48  hardaker

   * snmplib/snmp_debug.c:

   // -> /**/

2006-04-30 22:38  hardaker

   * man/: netsnmp_agent.3, netsnmp_agent_registry.3
, netsnmp_agent_trap.3,
     netsnmp_asn1_packet_parse.3, netsnmp_baby_steps.3
, netsnmp_bulk_to_next.3,
     netsnmp_cache_handler.3, netsnmp_callback.3
, netsnmp_container.3, netsnmp_data_list.3
, netsnmp_debug.3, netsnmp_default_store.3
, netsnmp_handler.3, netsnmp_instance.3
, netsnmp_iterator_info_s.3, netsnmp_leaf.3
, netsnmp_library.3,
     netsnmp_mib_maintenance.3, netsnmp_mib_utilities.3
, netsnmp_mode_end_call.3,
     netsnmp_multiplexer.3,
     netsnmp_netsnmp_agent_request_info_s.3,
     netsnmp_netsnmp_column_info_t.3,
     netsnmp_netsnmp_data_list_s.3,
     netsnmp_netsnmp_handler_registration_s.3,
     netsnmp_netsnmp_iterator_info_s.3,
     netsnmp_netsnmp_mib_handler_access_methods.3,
     netsnmp_netsnmp_mib_handler_methods.3,
     netsnmp_netsnmp_mib_handler_s.3,
     netsnmp_netsnmp_request_info_s.3,
     netsnmp_netsnmp_table_registration_info_s.3,
     netsnmp_netsnmp_table_request_info_s.3,
     netsnmp_oid_stash.3, netsnmp_old_api.3,
     netsnmp_read_config.3, netsnmp_read_only.3,
     netsnmp_row_merge.3, netsnmp_scalar.3,
     netsnmp_scalar_group_group.3, netsnmp_serialize.3
, netsnmp_snmp_agent.3, netsnmp_snmp_alarm.3
, netsnmp_snmp_client.3,
     netsnmp_snmp_logging.3, netsnmp_snmp_pdu.3,
     netsnmp_snmp_session.3, netsnmp_stash_cache.3
, netsnmp_stash_to_next.3, netsnmp_table.3
, netsnmp_table_array.3,
     netsnmp_table_container.3, netsnmp_table_data.3
, netsnmp_table_dataset.3,
     netsnmp_table_generic.3, netsnmp_table_indexes.3
, netsnmp_table_iterator.3,
     netsnmp_table_iterator.h.3,
     netsnmp_table_maintenance.3, netsnmp_table_rows.3
, netsnmp_tdata.3, netsnmp_util.3,
     netsnmp_utilities.3, netsnmp_variable_list.3
, netsnmp_watcher.3:

   documentation update

2006-04-30 22:26  hardaker

   * Makefile.top, configure, configure.in
:

   version update

2006-04-30 22:25  hardaker

   * snmplib/mib.c:

   fix a very rare oid parsing bug for strings in truncated OIDs

2006-04-30 22:07  hardaker

   * apps/snmpusm.c:

   [ 1478616 ] snmpusm outputs to stderr on success

2006-04-30 22:02  hardaker

   * agent/mibgroup/ucd-snmp/diskio.c:

   [ 1479071 ] 64 bits counter on Linux & good parsing of diskstats (again) [modified] from Fabrice Bacchella

2006-04-25 10:39  hardaker

   * configure, configure.in,
     agent/mibgroup/if-mib/data_access/interface_linux.c:

   [ 1466450 ] fix compilation with linux/ethtool.  In other words: ugh nasty but needed patch

2006-04-25 10:25  hardaker

   * agent/mibgroup/mibII/ipAddr.c:

   modified version of [ 1466451 ] ipAddress size with 64bit to use sizeof() for the datatype in question

2006-04-21 05:30  dts12

   * apps/snmpnetstat/inet.c, snmplib/snmp_client.c
:

   Skip missing entries (rather than crashing out completely)

2006-04-20 17:24  tanders

   * snmplib/: container.c, snmpusm.c:

   fix typos

2006-04-20 17:13  tanders

   * NEWS:

   rephrased

2006-04-20 17:06  tanders

   * NEWS:

   rephrased

2006-04-20 16:55  tanders

   * NEWS:

   document changes since 5.3.0.1

2006-04-20 16:19  tanders

   * testing/tests/T061agentperl:

   add SIGHUP test

2006-04-20 16:03  tanders

   * testing/tests/: T059trapdtraphandle, T060trapdperl
:

   add SIGHUP test

2006-04-20 15:28  tanders

   * testing/tests/T035snmpv3trapdusermgmt:

   add SIGHUP test

2006-04-20 15:27  rstory

   * apps/snmptrapd.c:

   - fix bug 1473289: Re-init of 5.3.0.1 daemons fail after SIGHUP

2006-04-20 15:15  rstory

   * agent/agent_read_config.c:

   - fix bug 1473289: Re-init of 5.3.0.1 agent fails after SIGHUP

2006-04-20 15:15  tanders

   * testing/tests/T030snmpv3usercreation:

   add SIGHUP test

2006-04-20 15:09  tanders

   * testing/eval_tools.sh:

   introduce HUPPROG(), HUPAGENT() and HUPTRAPD() for upcoming SIGHUP tests

2006-04-18 12:14  hardaker

   * README.solaris:

   Bug #1432165: typos in the filenames

2006-04-18 11:01  hardaker

   * man/snmpd.conf.5.def:

   fix bug 1458685: man page for setaccess was missing a token in the summary line

2006-04-18 10:58  hardaker

   * man/snmpd.conf.5.def:

   fix bug 1458818: authcommunity and friends use -V not -v to specify a view

2006-04-18 10:36  hardaker

   * local/mib2c.old-api.conf:

   [ 1341098 ] Fix mib2c.old-api.conf oid suffixes, suffix lengths from nshulman

2006-04-18 10:16  hardaker

   * snmplib/read_config.c:

   [ 1465485 ] netsnmp_config_remember_free_list mem leak from Robert Wilcox

2006-04-18 06:58  hardaker

   * mibs/: IP-FORWARD-MIB.txt, IP-MIB.txt,
     rfclist:

   update from newly published RFCs

2006-04-13 13:10  hardaker

   * agent/mibgroup/ucd-snmp/diskio.c:

   [ 1371778 ] diskIOTable contains invalid data for some devices on Linux

2006-04-13 11:20  hardaker

   * agent/mibgroup/ucd-snmp/vmstat.c:

   [ 1386264 ] 5.2.2 - fix Linux CPU counters on SMP machines

2006-04-12 10:08  hardaker

   * snmplib/vacm.c:

   fix a bug reported in 1118814 where init length wasn't getting initialized properly

2006-04-11 04:09  tanders

   * agent/mibgroup/utilities/iquery.c:

   Build fix for "configure --with-out-transports=Callback" (fixes first part
   of bug 1467724).
   Why do tests 21-25 and 34-35 (all involving snmptrapd) fail in 5.3+ (unlike
   5.2.x) if the callback transport isn't available?

2006-04-10 07:26  hardaker

   * perl/SNMP/SNMP.xs:

   [ 1364648 ] Fix segfault on perl async bulkwalk from Ole Bjorn

2006-04-10 06:48  hardaker

   * agent/helpers/table_iterator.c:

   [ 1429455 ] endless loop, table_iterator, 5.3 from Kris (tinker105)

2006-04-09 21:43  hardaker

   * snmplib/fd_event_manager.c:

   [ 1460082 ] [PATCH]: Fix external fd handling (anon)

2006-03-27 16:52  tanders

   * testing/tests/T200snmpv2cwalkall:

   remove (useful) "-Cp -Ct" stderr output since it has been seen to interfere with the stdout messages to be checked

2006-03-24 08:46  dts12

   * agent/mibgroup/agent/extend.c:

   Recognise failed/duplicate registrations, and don't plough on regardless

2006-03-24 08:43  dts12

   * apps/snmpnetstat/inet.c:

   Don't choke on SNMPv2 exceptions
   (Still need to handle SNMPv1 errors)
   Fix a couple of minor output typos.

2006-03-23 16:00  tanders

   * man/mib2c.conf.5.in:

   Fix section of mib2c.conf.5 (Debian patch #16 from 5.2.2-3)

2006-03-16 02:00  dts12

   * agent/mibgroup/agent/extend.c:

   Root second output table correctly

2006-03-16 01:54  dts12

   * agent/mibgroup/disman/event/mteTrigger.c:

   Correct logic of startup tests

2006-03-15 05:55  dts12

   * agent/mibgroup/disman/event/mteTriggerConf.c:

   Recognise built-in versus config-defined notifications,
   and set owner accordingly.

2006-03-10 07:42  hardaker

   * agent/mibgroup/mibII/vacm_conf.c:

   don't use perfectly legal perl structures in C code

2006-03-09 22:52  tanders

   * apps/snmptrapd_handlers.c:

   build fix: typo

2006-03-09 16:30  hardaker

   * agent/mibgroup/host/hr_disk.c:

   fix typos

2006-03-09 16:27  hardaker

   * agent/mibgroup/disman/schedule/schedCore.c:

   fix schedule typo

2006-03-09 14:01  hardaker

   * snmplib/snmp_api.c:

   coverity 73: free malloc in error condition when decode function not specified

2006-03-09 13:53  hardaker

   * snmplib/: snmp_client.c, snmpv3.c:

   ensure that if op == received message that we have a PDU too (always will be the case)

2006-03-09 13:40  hardaker

   * snmplib/snmp_api.c:

   dont delve into future if statement when session fails to probe

2006-03-09 13:36  hardaker

   * snmplib/snmp_client.c:

   free a pdu on the error case of no session...

2006-03-09 13:33  hardaker

   * snmplib/vacm.c:

   reverse a patch that was trying to free an array

2006-03-09 13:31  hardaker

   * snmplib/snmpCallbackDomain.c:

   coverity 75: ensure free in rare case where other side of transport not found (shouldn't ever happen)

2006-03-09 13:28  hardaker

   * snmplib/snmpv3.c:

   misc error checking (unneeded by other logic, but...  why not)

2006-03-09 13:13  hardaker

   * snmplib/snmpusm.c:

   coverity 34: check that usm wasn't actually illegally passed a null session (should have been stopped long before now)

2006-03-09 13:03  hardaker

   * snmplib/vacm.c:

   coverity multiple: check a few pointers for null refs just in case

2006-03-09 12:55  hardaker

   * snmplib/: text_utils.c, vacm.c:

   coverity 79: free memory in error condition spots

2006-03-09 12:44  hardaker

   * agent/mibgroup/mibII/vacm_conf.c:

   allow for questionably legal null community strings

2006-03-09 12:37  hardaker

   * agent/snmp_agent.c:

   coverity 61: check return value from in tree to ensure it's not negative

2006-03-09 12:24  hardaker

   * agent/agent_trap.c:

   coverity 80: free vblist in some failure cases

2006-03-09 10:38  hardaker

   * agent/mibgroup/hardware/memory/hw_mem.c:

   coverity 83: free mem on should-never-get-here spot

2006-03-09 10:31  hardaker

   * agent/helpers/table_tdata.c:

   coverity 90: free memory on other malloc failures

2006-03-09 10:25  hardaker

   * agent/mibgroup/disman/schedule/schedCore.c:

   coverity 43: check for null owner in 2 other spots

2006-03-09 10:13  hardaker

   * agent/helpers/table_iterator.c:

   coverity 97/48: free lost memory on illegal table; check for null that shouldn't ever be

2006-03-09 10:03  hardaker

   * agent/helpers/table_iterator.c:

   coverity 96: fix potential leak when malloc fails

2006-03-09 10:00  hardaker

   * agent/helpers/stash_cache.c:

   free a handler if a subsequence malloc fails

2006-03-09 09:52  hardaker

   * agent/mibgroup/agent/nsTransactionTable.c:

   coverity 102/101: in case of malloc failures free what you have succeed in mallocing

2006-03-09 09:44  hardaker

   * agent/mibgroup/notification/snmpNotifyFilterProfileTable.c
:

   double check that never-should-be-null conditions are true

2006-03-09 09:39  hardaker

   * agent/mibgroup/host/hr_disk.c:

   coverity 91: free various memory allocations when subsequent allocations fail

2006-03-09 09:31  hardaker

   * agent/mibgroup/host/hr_swinst.c:

   coverity #41: not likely a real null deref for valid use cases; cases.  double check for issues anyway

2006-03-09 08:38  hardaker

   * agent/mibgroup/agent/extend.c:

   coverity 50: double check we could find the extension

2006-03-09 08:35  hardaker

   * agent/mibgroup/agent/extend.c:

   coverity 51: double check we could find the extension to remove

2006-03-09 08:25  hardaker

   * agent/mibgroup/agent/extend.c:

   ensure illegal configuration of too long OIDs doesn't occur

2006-03-09 08:19  hardaker

   * agent/mibgroup/ucd-snmp/dlmod.c:

   coverity 66: check that null isn't written beyond end

2006-03-09 08:15  hardaker

   * agent/mibgroup/ucd-snmp/dlmod.c:

   coverity 67: ensure we don't write the null beyond the end of the buffer

2006-03-09 08:05  hardaker

   * agent/mibgroup/utilities/override.c:

   coverity 92: free data structure in event somehow an unsupported data type is passed in (can't actually happen with current code)

2006-03-09 08:03  hardaker

   * agent/mibgroup/utilities/override.c:

   coverity 93: free pointers where malloc succeeded if it suddenly stopped succeeding

2006-03-09 07:31  hardaker

   * agent/mibgroup/target/snmpTargetAddrEntry.c:

   coverity #105: free storage in error loop

2006-03-08 21:47  hardaker

   * agent/mibgroup/notification/snmpNotifyTable.c:

   coverity 52: rare (never) dereference in illegal code cases.

2006-03-08 21:40  hardaker

   * agent/mibgroup/agentx/subagent.c:

   coverity 106: rare memory leak on illegal agentx pdu's being passed to the client

2006-03-08 21:32  hardaker

   * agent/mibgroup/ip-mib/data_access/arp_linux.c:

   coverity 112: close file handle for /proc/net/arp

2006-03-08 21:24  hardaker

   * agent/mibgroup/ip-mib/data_access/systemstats_linux.c:

   coverity bug #113: fclose an open file descriptor in error loop

2006-03-08 16:13  hardaker

   * agent/mibgroup/agentx/master_admin.c:

   coverity bug #53: check that close_agentx_session wasn't passed a NULL session

2006-03-08 16:04  hardaker

   * agent/mibgroup/agentx/master.c:

   coverity #107: fix rare pdu memory leak when function called illegaly

2006-03-08 16:03  tanders

   * agent/mibgroup/versiontag:

   *at least* issue a WARNING if we'll create non-portable tar archives just because the release manager failed to install star.

2006-03-08 15:58  hardaker

   * agent/mibgroup/hardware/cpu/cpu.c:

   coverity bug #108: still should free memory in the never-should-happen case

2006-03-08 15:52  hardaker

   * agent/mibgroup/host/hr_proc.c:

   coverity #109: close file pointer in error condtions to avoid potential rare leaks

2006-03-08 15:10  rstory

   * agent/helpers/instance.c:

   coverity bug 85, r15: fix potential memory leak

2006-03-08 14:48  rstory

   * agent/helpers/table_array.c:

   - coverity bug 40, run 15: fix potential null dereference
   - misc other cleanup/error handling
     - release memory that won't be used before returning errors
     - check for potential null return from function
     - assign values to correct variable

2006-03-08 14:26  hardaker

   * apps/: snmptrapd_handlers.c, snmptrapd_log.c
:

   129: check session open results when forwarding and bail if failed to open

2006-03-08 14:19  hardaker

   * agent/mibgroup/header_complex.c:

   coverity bug # check for null before dereferencing

2006-03-08 14:15  hardaker

   * agent/mibgroup/utilities/override.c:

   coverity bug # 115: check for malloc failure before using the results

2006-03-08 13:54  hardaker

   * agent/mibgroup/snmpv3/usmUser.c:

   coverity bug # 116: check (anyway) for null in variables that should never be null

2006-03-08 13:51  hardaker

   * agent/mibgroup/ucd-snmp/extensible.c:

   coverity bug #117: double check that pointer isn't null for safe programming (should never happen)

2006-03-08 13:39  hardaker

   * agent/mibgroup/ucd-snmp/extensible.c:

   coverity bug #118: double check that pointer isn't null for safe programming (should never happen)

2006-03-08 13:29  hardaker

   * agent/agent_registry.c:

   coverity bug #120: avoid a possible deference to a freed variable

2006-03-08 13:11  hardaker

   * snmplib/snmpUnixDomain.c:

   coverity bug #122: return NULL after failing to open transport.

2006-03-08 12:57  hardaker

   * agent/helpers/table.c:

   coverity bug #123: avoid double free for long OID cases during getnext

2006-03-08 10:51  rstory

   * agent/mibgroup/versiontag:

   check for star before using

2006-03-08 10:48  rstory

   * dist/cvsup:

   use star if available

2006-03-07 22:55  hardaker

   * agent/mibgroup/mibII/vacm_context.c:

   coverity bug #104: rare case memory leak if you're out of memory in the first place

2006-03-07 22:46  hardaker

   * agent/mibgroup/mibII/vacm_vars.c:

   coverity bugs #119 initialize 2 pointers to 0

2006-03-07 22:36  hardaker

   * apps/snmpusm.c:

   coverity bug #132: free various pointers in error loops

2006-03-07 22:24  hardaker

   * apps/snmpusm.c:

   coverity bug #133: free key after malloc in exit loop after openssl failed

2006-03-07 22:21  hardaker

   * apps/snmptrapd_auth.c:

   coverity bug #134: free newpdu during a vacm-not-configured bail-out

2006-03-06 03:55  dts12

   * agent/mibgroup/host/hr_filesys.c:

   Fix retrieval of filesystem information on NetBSD

2006-03-06 03:29  dts12

   * agent/mibgroup/ucd_snmp.h:

   Support UCD memory/cpu MIBs on NetBSD 3.0 and OpenBSD 3.x

2006-02-22 08:59  dts12

   * agent/mibgroup/disman/expr/: expErrorTable.c,
     expExpression.c, expExpression.h,
     expExpressionConf.c, expExpressionConf.h,
     expExpressionTable.c, expObject.c, expValue.c
, expValue.h, expValueTable.c,
     exp_enum.h:

   Improved expression parsing, and preliminary evaluation of expressions.

2006-02-22 03:09  dts12

   * agent/mibgroup/disman/event/: mteEventConf.c,
     mteObjectsConf.c, mteTrigger.c,
     mteTriggerConf.c:

   Remove C++-style comments. (Reported by	Joerg Hinz)

2006-02-21 12:57  rstory

   * perl/TrapReceiver/TrapReceiver.pm:

   - (perl/TrapReceiver/TrapReceiver.pm): version tag ( 5.3.1.dev )

2006-02-21 12:56  rstory

   * perl/AnyData_SNMP/Storage.pm:

   - (perl/AnyData_SNMP/Storage.pm): version tag ( 5.3.1.dev )

2006-02-21 12:56  rstory

   * perl/ASN/ASN.pm:

   - (perl/ASN/ASN.pm): version tag ( 5.3.1.dev )

2006-02-21 12:56  rstory

   * perl/OID/OID.pm:

   - (perl/OID/OID.pm): version tag ( 5.3.1.dev )

2006-02-21 12:56  rstory

   * perl/default_store/default_store.pm:

   - (perl/default_store/default_store.pm): version tag ( 5.3.1.dev )

2006-02-21 12:56  rstory

   * perl/agent/default_store/default_store.pm:

   - (perl/agent/default_store/default_store.pm): version tag ( 5.3.1.dev )

2006-02-21 12:55  rstory

   * perl/agent/agent.pm:

   - (perl/agent/agent.pm): version tag ( 5.3.1.dev )

2006-02-21 12:55  rstory

   * sedscript.in:

   - (sedscript.in): version tag ( 5.3.1.dev )

2006-02-21 12:55  rstory

   * dist/net-snmp.spec:

   - (dist/net-snmp.spec): version tag ( 5.3.1.dev )

2006-02-21 12:55  rstory

   * FAQ:

   - (FAQ): version tag ( 5.3.1.dev )

2006-02-21 12:54  rstory

   * README:

   - (README): version tag ( 5.3.1.dev )

2006-02-21 12:54  rstory

   * snmplib/snmp_version.c:

   - (snmplib/snmp_version.c): version tag ( 5.3.1.dev )

2006-02-20 15:44  tanders

   * README.solaris:

   Remove historic references to tar problems (at even more places)

2006-02-20 15:38  tanders

   * README.solaris:

   Remove historic paragraph on tar problems:-)

2006-02-20 15:22  tanders

   * agent/mibgroup/versiontag:

   (further) clarify the original GNU tar problems

2006-02-20 09:58  hardaker

   * agent/mibgroup/versiontag:

   use star instead of tar for creating archives to get around gnu tar incompatibilities

2006-02-17 07:14  rstory

   * agent/mibgroup/tunnel/tunnel.c:

   -fix bug 1399421: 5.2+: tunnel mib fails to build w/ if-mib rewrite

2006-02-16 15:19  tanders

   * testing/tests/: T035snmpv3trapdusermgmt,
     T049snmpv3inform, T049snmpv3informauth,
     T049snmpv3informpriv, T052snmpv2cinform,
     T057trapdauthtest, T057trapdauthtest2,
     T057trapdauthtest3, T059trapdtraphandle,
     T060trapdperl:

   add "-t $SNMP_SLEEP" to snmpinform in order to avoid test failures on slow machines even with an increased SNMP_SLEEP (fixes bug 1403688)

2006-02-15 16:27  tanders

   * testing/tests/: T054agentv2ctrap, T055agentv1mintrap
, T056agentv2cmintrap:

   don't let snmptrapd open system agentx socket during testing (see bug 1424293)

2006-02-15 16:02  tanders

   * testing/tests/: T049snmpv3inform, T049snmpv3informauth
, T049snmpv3informpriv, T050snmpv3trap
, T051snmpv2ctrap, T052snmpv2cinform
, T053agentv1trap, T054agentv2ctrap,
     T056agentv2cmintrap, T057trapdauthtest,
     T057trapdauthtest2, T057trapdauthtest3,
     T058agentauthtrap, T059trapdtraphandle,
     T060trapdperl:

   don't let snmptrapd open system agentx socket during testing (see bug 1424293)

2006-02-15 10:30  hardaker

   * perl/SNMP/SNMP.pm:

   gettable:  fix repeat count for SNMPv1 & fix -columns to actually work

2006-02-14 06:40  dts12

   * agent/mibgroup/if-mib/ifTable/: ifTable.c,
     ifTable_constants.h:

   Register ifNumber as a scalar object, not an instance, so that
   it handles invalid instances properly, and fix OID registration.

2006-02-13 17:42  alex_b

   * README.win32:

   Update PSDK download instructions.

2006-02-13 15:53  rstory

   * agent/mibgroup/if-mib/ifTable/: ifTable.c,
     ifTable_constants.h:

   fix bug 1399369: ifNumber broken

2006-02-13 10:49  tanders

   * NEWS:

   add 5.3.0.1 security fix and smux trap patch

2006-02-13 10:32  tanders

   * agent/mibgroup/smux/smux.c:

   fix trap processing from SMUX peers (patch 1430824 from Dell, submitted by SuSE)

2006-02-11 15:34  tanders

   * testing/tests/T059trapdtraphandle:

   set persistentDir for snmptrapd in order to avoid being invasive (see bugs 1403688, 1424293)

2006-02-10 14:58  rstory

   * agent/mibgroup/if-mib/ifTable/ifTable_interface.c:

   fix casting to keep newer gcc happy

2006-02-04 14:32  tanders

   * dist/nsb-functions:

   don't fail "make" on SNMP_ERR_NOERROR

2006-02-03 17:31  tanders

   * testing/tests/Sv3usmconfigtrapd:

   fix typo

2006-02-03 17:21  tanders

   * snmplib/snmpv3.c:

   backing out previous patch (which breaks test #24 "SNMPv3 traps received and sent by tools") until someone finds the time to review it again

2006-02-02 19:31  alex_b

   * apps/snmptrapd.c:

   Fix for bug 1420758.  Missing call (typo?) for FD_ZERO(&exceptfds).

2006-02-02 14:12  rstory

   * snmplib/mib.c:

   - use tree_head if tree_top was NULL. hanldes OID and name lookups.

2006-02-01 09:39  rstory

   * snmplib/mib.c:

   - revert changes from version 5.88, which broke parsing fully qualified
     named OIDs (eg .iso.org). Another fix for parsing numeric OIDs before
     MIB files are loaded needs to be investigated.

2006-01-31 10:31  tanders

   * man/: mib2c.extract.pl, snmpnetstat.1.def:

   fix manual page formatting errors (Debian patch #17, original author Nicolas Francois)

2006-01-31 09:32  alex_b

   * win32/netsnmpmibssdk/netsnmpmibssdk.dsp:

   Fix Begin source / end source lines.  Bug 1404402.

2006-01-30 04:07  dts12

   * snmplib/: scapi.c, snmpv3.c:

   Fix assorted unsigned comparisons against 0.  (See Bug #1397891)

2006-01-30 01:27  dts12

   * agent/mibgroup/disman/mteTriggerTable.c:

   Don't release the response PDU prematurely, before trying to
   extract OIDs from it.  Patch #1277508.

2006-01-30 01:26  tanders

   * README.solaris:

   fix PATH typo

2006-01-27 03:07  dts12

   * apps/snmpnetstat/if.c:

   Handle missing values more gracefully.

2006-01-25 08:25  dts12

   * doxygen.conf, agent/agent_handler.c,
     agent/agent_registry.c, agent/agent_trap.c,
     agent/object_monitor.c, agent/snmp_agent.c,
     agent/snmp_vars.c, agent/helpers/baby_steps.c
, agent/helpers/bulk_to_next.c,
     agent/helpers/cache_handler.c,
     agent/helpers/debug_handler.c, agent/helpers/instance.c
, agent/helpers/mode_end_call.c,
     agent/helpers/multiplexer.c, agent/helpers/read_only.c
, agent/helpers/row_merge.c,
     agent/helpers/scalar.c, agent/helpers/scalar_group.c
, agent/helpers/serialize.c,
     agent/helpers/stash_cache.c,
     agent/helpers/stash_to_next.c,
     agent/helpers/table_array.c,
     agent/helpers/table_container.c,
     agent/helpers/table_data.c,
     agent/helpers/table_dataset.c,
     agent/helpers/table_tdata.c, agent/helpers/watcher.c
, agent/mibgroup/examples/netSnmpHostsTable_checkfns.c
,
     agent/mibgroup/examples/netSnmpHostsTable_checkfns_local.c
, agent/mibgroup/examples/notification.c,
     agent/mibgroup/if-mib/data_access/interface.c,
     agent/mibgroup/if-mib/data_access/interface_ioctl.c,
     agent/mibgroup/if-mib/ifTable/ifTable.c,
     agent/mibgroup/if-mib/ifTable/ifTable.h,
     agent/mibgroup/if-mib/ifTable/ifTable_data_access.c,
     agent/mibgroup/if-mib/ifTable/ifTable_interface.h,
     agent/mibgroup/if-mib/ifXTable/ifXTable.c,
     agent/mibgroup/if-mib/ifXTable/ifXTable.h,
     agent/mibgroup/if-mib/ifXTable/ifXTable_data_access.c,
     agent/mibgroup/if-mib/ifXTable/ifXTable_interface.h,
     agent/mibgroup/ip-forward-mib/inetCidrRouteTable/inetCidrRouteTable.c
,
     agent/mibgroup/ip-forward-mib/inetCidrRouteTable/inetCidrRouteTable.h
,
     agent/mibgroup/ip-forward-mib/inetCidrRouteTable/inetCidrRouteTable_data_access.c
,
     agent/mibgroup/ip-forward-mib/inetCidrRouteTable/inetCidrRouteTable_interface.h
,
     agent/mibgroup/ip-forward-mib/ipCidrRouteTable/ipCidrRouteTable.c
,
     agent/mibgroup/ip-forward-mib/ipCidrRouteTable/ipCidrRouteTable.h
,
     agent/mibgroup/ip-forward-mib/ipCidrRouteTable/ipCidrRouteTable_data_access.c
,
     agent/mibgroup/ip-forward-mib/ipCidrRouteTable/ipCidrRouteTable_interface.h
, agent/mibgroup/ip-mib/data_access/ipaddress_common.c
,
     agent/mibgroup/ip-mib/inetNetToMediaTable/inetNetToMediaTable.c
,
     agent/mibgroup/ip-mib/inetNetToMediaTable/inetNetToMediaTable.h
,
     agent/mibgroup/ip-mib/inetNetToMediaTable/inetNetToMediaTable_data_access.c
,
     agent/mibgroup/ip-mib/inetNetToMediaTable/inetNetToMediaTable_interface.h
,
     agent/mibgroup/ip-mib/ipAddressPrefixTable/ipAddressPrefixTable.c
,
     agent/mibgroup/ip-mib/ipAddressPrefixTable/ipAddressPrefixTable.h
,
     agent/mibgroup/ip-mib/ipAddressPrefixTable/ipAddressPrefixTable_data_access.c
,
     agent/mibgroup/ip-mib/ipAddressPrefixTable/ipAddressPrefixTable_interface.h
, agent/mibgroup/ip-mib/ipAddressTable/ipAddressTable.c
, agent/mibgroup/ip-mib/ipAddressTable/ipAddressTable.h
,
     agent/mibgroup/ip-mib/ipAddressTable/ipAddressTable_data_access.c
,
     agent/mibgroup/ip-mib/ipAddressTable/ipAddressTable_interface.h
,
     agent/mibgroup/ip-mib/ipSystemStatsTable/ipSystemStatsTable.c
,
     agent/mibgroup/ip-mib/ipSystemStatsTable/ipSystemStatsTable.h
,
     agent/mibgroup/ip-mib/ipSystemStatsTable/ipSystemStatsTable_data_access.c
,
     agent/mibgroup/ip-mib/ipSystemStatsTable/ipSystemStatsTable_interface.h
,
     agent/mibgroup/ip-mib/ipv4InterfaceTable/ipv4InterfaceTable.c
,
     agent/mibgroup/ip-mib/ipv4InterfaceTable/ipv4InterfaceTable.h
,
     agent/mibgroup/ip-mib/ipv4InterfaceTable/ipv4InterfaceTable_data_access.c
,
     agent/mibgroup/ip-mib/ipv4InterfaceTable/ipv4InterfaceTable_interface.h
,
     agent/mibgroup/ip-mib/ipv6InterfaceTable/ipv6InterfaceTable.c
,
     agent/mibgroup/ip-mib/ipv6InterfaceTable/ipv6InterfaceTable.h
,
     agent/mibgroup/ip-mib/ipv6InterfaceTable/ipv6InterfaceTable_data_access.c
,
     agent/mibgroup/ip-mib/ipv6InterfaceTable/ipv6InterfaceTable_interface.h
, agent/mibgroup/mibII/vacm_conf.c,
     agent/mibgroup/snmp-notification-mib/snmpNotifyFilterTable/snmpNotifyFilterTable.c
,
     agent/mibgroup/snmp-notification-mib/snmpNotifyFilterTable/snmpNotifyFilterTable.h
,
     agent/mibgroup/snmp-notification-mib/snmpNotifyFilterTable/snmpNotifyFilterTable_data_access.c
,
     agent/mibgroup/snmp-notification-mib/snmpNotifyFilterTable/snmpNotifyFilterTable_interface.h
,
     agent/mibgroup/snmp-usm-dh-objects-mib/usmDHUserKeyTable/usmDHUserKeyTable.c
,
     agent/mibgroup/snmp-usm-dh-objects-mib/usmDHUserKeyTable/usmDHUserKeyTable.h
,
     agent/mibgroup/snmp-usm-dh-objects-mib/usmDHUserKeyTable/usmDHUserKeyTable_data_access.c
,
     agent/mibgroup/snmp-usm-dh-objects-mib/usmDHUserKeyTable/usmDHUserKeyTable_data_get.c
,
     agent/mibgroup/snmp-usm-dh-objects-mib/usmDHUserKeyTable/usmDHUserKeyTable_data_set.c
,
     agent/mibgroup/snmp-usm-dh-objects-mib/usmDHUserKeyTable/usmDHUserKeyTable_interface.h
,
     agent/mibgroup/tcp-mib/tcpConnectionTable/tcpConnectionTable.c
,
     agent/mibgroup/tcp-mib/tcpConnectionTable/tcpConnectionTable.h
,
     agent/mibgroup/tcp-mib/tcpConnectionTable/tcpConnectionTable_data_access.c
,
     agent/mibgroup/tcp-mib/tcpConnectionTable/tcpConnectionTable_interface.h
,
     agent/mibgroup/tcp-mib/tcpListenerTable/tcpListenerTable.c
,
     agent/mibgroup/tcp-mib/tcpListenerTable/tcpListenerTable.h
,
     agent/mibgroup/tcp-mib/tcpListenerTable/tcpListenerTable_data_access.c
,
     agent/mibgroup/tcp-mib/tcpListenerTable/tcpListenerTable_interface.h
,
     agent/mibgroup/udp-mib/data_access/udp_endpoint_linux.c
,
     agent/mibgroup/udp-mib/udpEndpointTable/udpEndpointTable.c
,
     agent/mibgroup/udp-mib/udpEndpointTable/udpEndpointTable.h
,
     agent/mibgroup/udp-mib/udpEndpointTable/udpEndpointTable_data_access.c
,
     agent/mibgroup/udp-mib/udpEndpointTable/udpEndpointTable_interface.h
, include/net-snmp/agent/object_monitor.h,
     include/net-snmp/agent/table_iterator.h,
     include/net-snmp/library/tools.h, snmplib/callback.c
, snmplib/container_null.c,
     snmplib/data_list.c, snmplib/default_store.c
, snmplib/int64.c, snmplib/mib.c,
     snmplib/oid_stash.c, snmplib/read_config.c,
     snmplib/snmp_api.c, snmplib/snmp_logging.c,
     snmplib/text_utils.c, snmplib/tools.c:

   Comprehensive review of in-line documentation.
   A most impressive effort by  Nazim Baizid  (Patch #1394068)

2006-01-25 07:37  dts12

   * agent/agent_registry.c:

   Don't be in such a rush to release MIB registration structure.
   See Patch #1386528

2006-01-24 08:21  dts12

   * snmplib/snmp_api.c:

   Release memory before re-allocating it.  See Patch #1407173

2006-01-24 08:02  dts12

   * perl/SNMP/SNMP.xs:

   Improved/fixed perl warnings.  See Patch #1334598

2006-01-24 06:40  dts12

   * perl/SNMP/SNMP.xs:

   Check "TimeStamp" reference before use (in line with
   the other occurances in this file).  See Bug #1375282

2006-01-24 06:31  dts12

   * agent/mibgroup/disman/event/mteTrigger.c:

   Check for missing monitored values (see Bug #1404605)

2006-01-24 02:27  tanders

   * configure, configure.in:

   replace "==" by "=" when using "test" (reported by Magnus Fromreide)

2006-01-18 16:06  tanders

   * NEWS, apps/snmpusm.c:

   Avoid expensive generate_Ku() if newpass is a localized key (instead of a passphrase). Makes a huge performance improvement then.

2006-01-18 07:18  tanders

   * apps/encode_keychange.c:

   fix typo

2006-01-17 07:55  dts12

   * include/net-snmp/library/mib.h, snmplib/mib.c
:

   Remove references to obsolete (and missing) routine.  See Bug #1011051

2006-01-17 06:35  dts12

   * snmplib/parse.c:

   Recognise range parsing errors properly.

2006-01-15 23:42  tanders

   * testing/tests/T030snmpv3usercreation:

   allow write support for new user to test password changes

2006-01-15 11:55  rstory

   * agent/mibgroup/: if-mib/ifXTable/ifXTable_interface.c,
     ip-mib/ipv4InterfaceTable/ipv4InterfaceTable_interface.c
,
     ip-mib/ipv6InterfaceTable/ipv6InterfaceTable_interface.c
:

   - better cooperation for interface tables using shared container
     - use one dirty variable
     - use new ref counting undo alloc/free function from ifTable

2006-01-15 06:17  rstory

   * agent/mibgroup/if-mib/ifXTable/ifXTable.c:

   only reference undo promisc if set enabled for it

2006-01-15 06:11  rstory

   * agent/mibgroup/if-mib/ifTable/ifTable_interface.c:

   - move undo ifentry handling here
   - add reference counting for undo

2006-01-15 06:07  rstory

   * agent/mibgroup/if-mib/ifTable/ifTable.c:

   move undo ifentry handling into interface

2006-01-13 15:23  rstory

   * agent/mibgroup/mibII/vacm_conf.c:

   fix bitwise test to use bitwise macros

2006-01-13 08:40  rstory

   * agent/mibgroup/if-mib/ifTable/ifTable.c:

   don't double allocate undo ifentry

2006-01-13 07:52  rstory

   * agent/mibgroup/if-mib/data_access/interface_linux.c:

   - correct proc path for base reachable time
   - use correct flag for base reachable availability
   - actually put base reachable time in ifentry after reading it

2006-01-11 12:44  tanders

   * snmplib/parse.c:

   - build fix: #include <limits.h> to cover recently introduced LONG_MAX
   - wrap "#if HAVE_SYS_STAT_H" around "#include <sys/stat.h>"
   - remove old changelog from the top of the file

2006-01-11 08:38  dts12

   * agent/mibgroup/mibII/var_route.c:

   SET support for manipulating the routing table isn't really implemented
   properly (except on Cygwin), so we shouldn't pretend it is.

2006-01-11 08:00  dts12

   * snmplib/parse.c:

   Downgrade upper-bound parsing problems to a warning - keep TrogL happy:-)
   Don't think the check is quite right yet though:-(

2006-01-11 07:17  dts12

   * local/mib2c.table_data.conf:

   Bring code template into line with final helper API.

2006-01-11 07:09  dts12

   * net-snmp-config.in:

   Correct a misleading comment.

2006-01-11 07:02  dts12

   * snmplib/parse.c:

   Associate MIB node types with the *last* entry parsed from the
   definition value, not the first.  Fixes problem with MIB definitions
   that use intermediate subidentifiers (see bug #759412)

2006-01-11 06:54  dts12

   * agent/helpers/table_dataset.c:

   Clarify the behaviour of netsnmp_table_dataset_remove_row()

2006-01-10 13:45  tanders

   * perl/TrapReceiver/TrapReceiver.xs:

   fix format string bug (reported by darix on IRC)

2006-01-10 03:07  tanders

   *
     agent/mibgroup/snmp-notification-mib/snmpNotifyFilterTable/snmpNotifyFilterTable_data_access.c
:

   C89 compiler build fix (bug 1398545) part 2: "A declaration cannot appear after an executable statement in a block."

2006-01-09 13:53  rstory

   * include/ucd-snmp/.cvsignore:

   don't ignore ucd-snmp-config.h, since it's no longer a generated file

2006-01-09 13:40  tanders

   * configure, configure.in:

   --disable-ucd-snmp-compatibility and --enable-ucd-snmp-compatibility=no now actually *disable* UCD-SNMP compatibility instead of enabling it (and keep it the default)

2006-01-09 09:29  rstory

   * agent/mibgroup/if-mib/ifTable/ifTable_data_access.c:

   restore lost ifLastChange tracking

2006-01-09 07:06  dts12

   * man/netsnmp_mib_maintenance.3:

   file netsnmp_mib_maintenance.3 was added on branch V5-3-patches on 2006-01-09 15:07:17 +0000

2006-01-09 07:06  dts12

   * man/netsnmp_stash_to_next.3:

   file netsnmp_stash_to_next.3 was added on branch V5-3-patches on 2006-01-09 15:07:17 +0000

2006-01-09 07:06  dts12

   * man/netsnmp_table_generic.3:

   file netsnmp_table_generic.3 was added on branch V5-3-patches on 2006-01-09 15:07:17 +0000

2006-01-09 07:06  dts12

   * man/netsnmp_table_indexes.3:

   file netsnmp_table_indexes.3 was added on branch V5-3-patches on 2006-01-09 15:07:17 +0000

2006-01-09 07:06  dts12

   * man/netsnmp_table_maintenance.3:

   file netsnmp_table_maintenance.3 was added on branch V5-3-patches on 2006-01-09 15:07:17 +0000

2006-01-09 07:06  dts12

   * man/netsnmp_table_rows.3:

   file netsnmp_table_rows.3 was added on branch V5-3-patches on 2006-01-09 15:07:17 +0000

2006-01-09 07:06  dts12

   * man/netsnmp_tdata.3:

   file netsnmp_tdata.3 was added on branch V5-3-patches on 2006-01-09 15:07:17 +0000

2006-01-09 07:06  dts12

   * agent/helpers/all_helpers.c, snmplib/container_null.c
, agent/helpers/baby_steps.c,
     agent/helpers/bulk_to_next.c,
     agent/helpers/cache_handler.c,
     agent/helpers/debug_handler.c, agent/helpers/instance.c
, agent/helpers/mode_end_call.c,
     agent/helpers/multiplexer.c, agent/helpers/old_api.c
, agent/helpers/read_only.c,
     agent/helpers/row_merge.c, agent/helpers/scalar.c
, agent/helpers/scalar_group.c,
     agent/helpers/serialize.c, agent/helpers/stash_cache.c
, agent/helpers/stash_to_next.c,
     agent/helpers/table.c, agent/helpers/table_array.c
, agent/helpers/table_container.c,
     agent/helpers/table_data.c,
     agent/helpers/table_dataset.c,
     agent/helpers/table_generic.c,
     agent/helpers/table_iterator.c,
     agent/helpers/table_tdata.c, agent/helpers/watcher.c
, man/netsnmp_Container_iterator.3,
     man/netsnmp_agent.3, man/netsnmp_agent_registry.3
, man/netsnmp_agent_trap.3,
     man/netsnmp_asn1_packet_parse.3,
     man/netsnmp_baby_steps.3, man/netsnmp_bulk_to_next.3
, man/netsnmp_cache_handler.3,
     man/netsnmp_callback.3, man/netsnmp_container.3
, man/netsnmp_data_list.3,
     man/netsnmp_debug.3, man/netsnmp_default_store.3
, man/netsnmp_handler.3,
     man/netsnmp_instance.3, man/netsnmp_iterator_info_s.3
, man/netsnmp_leaf.3, man/netsnmp_library.3
, man/netsnmp_mib_maintenance.3,
     man/netsnmp_mib_utilities.3,
     man/netsnmp_mode_end_call.3, man/netsnmp_multiplexer.3
, man/netsnmp_netsnmp_agent_request_info_s.3
, man/netsnmp_netsnmp_column_info_t.3,
     man/netsnmp_netsnmp_data_list_s.3,
     man/netsnmp_netsnmp_handler_registration_s.3,
     man/netsnmp_netsnmp_iterator_info_s.3,
     man/netsnmp_netsnmp_mib_handler_access_methods.3,
     man/netsnmp_netsnmp_mib_handler_methods.3,
     man/netsnmp_netsnmp_mib_handler_s.3,
     man/netsnmp_netsnmp_request_info_s.3,
     man/netsnmp_netsnmp_table_registration_info_s.3,
     man/netsnmp_netsnmp_table_request_info_s.3,
     man/netsnmp_oid_stash.3, man/netsnmp_old_api.3
, man/netsnmp_read_config.3,
     man/netsnmp_read_only.3, man/netsnmp_row_merge.3
, man/netsnmp_scalar.3,
     man/netsnmp_scalar_group_group.3,
     man/netsnmp_serialize.3, man/netsnmp_snmp_agent.3
, man/netsnmp_snmp_alarm.3,
     man/netsnmp_snmp_client.3, man/netsnmp_snmp_logging.3
, man/netsnmp_snmp_pdu.3,
     man/netsnmp_snmp_session.3, man/netsnmp_stash_cache.3
, man/netsnmp_stash_to_next.3,
     man/netsnmp_table.3, man/netsnmp_table_array.3
, man/netsnmp_table_container.3,
     man/netsnmp_table_data.3, man/netsnmp_table_dataset.3
, man/netsnmp_table_generic.3,
     man/netsnmp_table_indexes.3,
     man/netsnmp_table_iterator.3,
     man/netsnmp_table_maintenance.3,
     man/netsnmp_table_rows.3, man/netsnmp_tdata.3
, man/netsnmp_util.3, man/netsnmp_utilities.3
, man/netsnmp_variable_list.3,
     man/netsnmp_watcher.3:

   Adjust doxygen "defgroup" comments to improve auto-generated man page format.
   See bug #835321

2006-01-09 05:01  dts12

   * snmplib/parse.c:

   Report failure to parse ranges correctly (Bug #411594/757121)

2006-01-09 03:51  dts12

   * local/mib2c.old-api.conf:

   Display correct MIB group names in comments.  (Bug #1076655)

2006-01-06 15:15  tanders

   * agent/mibgroup/mibII/udpTable.c:

   fix udpTable on Solaris/x86: host byte order for udpLocalPort (bug 1393197)

2006-01-06 09:43  rstory

   * agent/mibgroup/if-mib/data_access/interface_linux.c:

   - subtract multicast packets from total packets for unicast packets
     (there is no broadcast packet counter to subtract)

2006-01-06 07:09  tanders

   *
     agent/mibgroup/snmp-notification-mib/snmpNotifyFilterTable/snmpNotifyFilterTable_data_access.c
:

   C89 compiler build fix (bug 1398545)

2006-01-05 16:21  tanders

   * agent/mibgroup/mibII/tcp.c:

   fix multiple <netinet/tcp_var.h> inclusion (bug 1396639, IRIX build fix)

2006-01-05 15:58  rstory

   * agent/mibgroup/if-mib/ifXTable/ifXTable_interface.c:

   - don't save/restore promiscuous mode

2006-01-05 15:56  rstory

   * agent/mibgroup/if-mib/ifXTable/ifXTable.c:

   - update to report proper value from promiscuous mode

2006-01-05 15:48  rstory

   * agent/mibgroup/if-mib/ifXTable/ifXTable_constants.h:

   - clear promiscuous mode from settable flags

2006-01-05 15:41  rstory

   * dist/net-snmp.spec:

   bump library version number in provides

2006-01-05 15:24  rstory

   * agent/mibgroup/if-mib/ifTable/ifTable.h:

   - point promiscuous mode refs to interface entry value
   - rename old var (don't delete, so struct size doesn't change)

2006-01-05 15:15  rstory

   * agent/mibgroup/if-mib/data_access/interface_linux.c:

   set promiscuous flag for interfaces

-------------------------------------------------------------------------------

Changes: V5.2 -> V5.3

2005-12-28 12:49  rstory

   * perl/TrapReceiver/TrapReceiver.pm:

   - (perl/TrapReceiver/TrapReceiver.pm): version tag ( 5.3 )

2005-12-28 12:49  rstory

   * perl/AnyData_SNMP/Storage.pm:

   - (perl/AnyData_SNMP/Storage.pm): version tag ( 5.3 )

2005-12-28 12:49  rstory

   * perl/ASN/ASN.pm:

   - (perl/ASN/ASN.pm): version tag ( 5.3 )

2005-12-28 12:49  rstory

   * perl/OID/OID.pm:

   - (perl/OID/OID.pm): version tag ( 5.3 )

2005-12-28 12:48  rstory

   * perl/default_store/default_store.pm:

   - (perl/default_store/default_store.pm): version tag ( 5.3 )

2005-12-28 12:48  rstory

   * perl/agent/default_store/default_store.pm:

   - (perl/agent/default_store/default_store.pm): version tag ( 5.3 )

2005-12-28 12:48  rstory

   * perl/agent/agent.pm:

   - (perl/agent/agent.pm): version tag ( 5.3 )

2005-12-28 12:48  rstory

   * perl/SNMP/SNMP.pm:

   - (perl/SNMP/SNMP.pm): version tag ( 5.3 )

2005-12-28 12:48  rstory

   * sedscript.in:

   - (sedscript.in): version tag ( 5.3 )

2005-12-28 12:48  rstory

   * dist/net-snmp.spec:

   - (dist/net-snmp.spec): version tag ( 5.3 )

2005-12-28 12:47  rstory

   * FAQ:

   - (FAQ): version tag ( 5.3 )

2005-12-28 12:47  rstory

   * README:

   - (README): version tag ( 5.3 )

2005-12-28 12:47  rstory

   * snmplib/snmp_version.c:

   - (snmplib/snmp_version.c): version tag ( 5.3 )

2005-12-28 12:41  rstory

   * man/: netsnmp_Container_iterator.3, netsnmp_agent.3
, netsnmp_agent_registry.3, netsnmp_agent_trap.3
, netsnmp_asn1_packet_parse.3, netsnmp_baby_steps.3
, netsnmp_bulk_to_next.3, netsnmp_cache_handler.3
, netsnmp_callback.3, netsnmp_container.3,
     netsnmp_data_list.3, netsnmp_debug.3,
     netsnmp_default_store.3, netsnmp_handler.3,
     netsnmp_instance.3, netsnmp_iterator_info_s.3,
     netsnmp_leaf.3, netsnmp_library.3,
     netsnmp_mib_utilities.3, netsnmp_mode_end_call.3,
     netsnmp_multiplexer.3,
     netsnmp_netsnmp_agent_request_info_s.3,
     netsnmp_netsnmp_column_info_t.3,
     netsnmp_netsnmp_data_list_s.3,
     netsnmp_netsnmp_handler_registration_s.3,
     netsnmp_netsnmp_iterator_info_s.3,
     netsnmp_netsnmp_mib_handler_access_methods.3,
     netsnmp_netsnmp_mib_handler_methods.3,
     netsnmp_netsnmp_mib_handler_s.3,
     netsnmp_netsnmp_request_info_s.3,
     netsnmp_netsnmp_table_registration_info_s.3,
     netsnmp_netsnmp_table_request_info_s.3,
     netsnmp_oid_stash.3, netsnmp_old_api.3,
     netsnmp_read_config.3, netsnmp_read_only.3,
     netsnmp_row_merge.3, netsnmp_scalar.3,
     netsnmp_scalar_group_group.3, netsnmp_serialize.3,
     netsnmp_snmp_agent.3, netsnmp_snmp_alarm.3,
     netsnmp_snmp_client.3, netsnmp_snmp_logging.3,
     netsnmp_snmp_pdu.3, netsnmp_snmp_session.3,
     netsnmp_stash_cache.3, netsnmp_table.3,
     netsnmp_table_array.3, netsnmp_table_container.3,
     netsnmp_table_data.3, netsnmp_table_dataset.3,
     netsnmp_table_iterator.3, netsnmp_util.3,
     netsnmp_utilities.3, netsnmp_variable_list.3,
     netsnmp_watcher.3:

   documentation update

2005-12-28 12:20  rstory

   * configure, configure.in:

   version update

2005-12-27 17:06  tanders

   * README.agent-mibs:

   Last-minute update for 5.3:
   - ucd-snmp/lmSensors implements LM-SENSORS-MIB, not UCD-SNMP-MIB!
   - disman/schedule now ships with 5.3

2005-12-27 16:45  tanders

   * FAQ:

   Last-minute updates for 5.3:
   - remove two mirror servers that don't exist anymore
   - tweak list of supported platforms to list the better supported ones first
   - fix snmptrapd examples to not use deprecated options
   - mention the 5.3 snmptrapd authorization change
   - mention that disman/event and host are enabled by default in 5.3
   - mention disman/schedule MIB

2005-12-21 06:08  dts12

   * man/snmpd.conf.5.def:

   Minor tweaks.

2005-12-21 04:31  dts12

   * NEWS:

   Correct the description of 'snmpnetstat' changes.
   The status of the 5.3 line is *not* the same as the 5.2 version.

2005-12-21 00:07  rstory

   * perl/TrapReceiver/TrapReceiver.pm:

   - (perl/TrapReceiver/TrapReceiver.pm): version tag ( 5.3.rc2 )

2005-12-21 00:06  rstory

   * perl/AnyData_SNMP/Storage.pm:

   - (perl/AnyData_SNMP/Storage.pm): version tag ( 5.3.rc2 )

2005-12-21 00:06  rstory

   * perl/ASN/ASN.pm:

   - (perl/ASN/ASN.pm): version tag ( 5.3.rc2 )

2005-12-21 00:06  rstory

   * perl/OID/OID.pm:

   - (perl/OID/OID.pm): version tag ( 5.3.rc2 )

2005-12-21 00:06  rstory

   * perl/default_store/default_store.pm:

   - (perl/default_store/default_store.pm): version tag ( 5.3.rc2 )

2005-12-21 00:06  rstory

   * perl/agent/default_store/default_store.pm:

   - (perl/agent/default_store/default_store.pm): version tag ( 5.3.rc2 )

2005-12-21 00:06  rstory

   * perl/agent/agent.pm:

   - (perl/agent/agent.pm): version tag ( 5.3.rc2 )

2005-12-21 00:05  rstory

   * perl/SNMP/SNMP.pm:

   - (perl/SNMP/SNMP.pm): version tag ( 5.3.rc2 )

2005-12-21 00:05  rstory

   * sedscript.in:

   - (sedscript.in): version tag ( 5.3.rc2 )

2005-12-21 00:05  rstory

   * dist/net-snmp.spec:

   - (dist/net-snmp.spec): version tag ( 5.3.rc2 )

2005-12-21 00:05  rstory

   * FAQ:

   - (FAQ): version tag ( 5.3.rc2 )

2005-12-21 00:04  rstory

   * README:

   - (README): version tag ( 5.3.rc2 )

2005-12-21 00:04  rstory

   * snmplib/snmp_version.c:

   - (snmplib/snmp_version.c): version tag ( 5.3.rc2 )

2005-12-21 00:04  rstory

   * ChangeLog:

   version update

2005-12-20 23:58  rstory

   * man/: netsnmp_Container_iterator.3, netsnmp_agent.3
, netsnmp_agent_registry.3, netsnmp_agent_trap.3
, netsnmp_asn1_packet_parse.3, netsnmp_baby_steps.3
, netsnmp_bulk_to_next.3, netsnmp_cache_handler.3
, netsnmp_callback.3, netsnmp_container.3,
     netsnmp_data_list.3, netsnmp_debug.3,
     netsnmp_default_store.3, netsnmp_handler.3,
     netsnmp_instance.3, netsnmp_iterator_info_s.3,
     netsnmp_leaf.3, netsnmp_library.3,
     netsnmp_mib_utilities.3, netsnmp_mode_end_call.3,
     netsnmp_multiplexer.3,
     netsnmp_netsnmp_agent_request_info_s.3,
     netsnmp_netsnmp_column_info_t.3,
     netsnmp_netsnmp_data_list_s.3,
     netsnmp_netsnmp_handler_registration_s.3,
     netsnmp_netsnmp_iterator_info_s.3,
     netsnmp_netsnmp_mib_handler_access_methods.3,
     netsnmp_netsnmp_mib_handler_methods.3,
     netsnmp_netsnmp_mib_handler_s.3,
     netsnmp_netsnmp_request_info_s.3,
     netsnmp_netsnmp_table_registration_info_s.3,
     netsnmp_netsnmp_table_request_info_s.3,
     netsnmp_oid_stash.3, netsnmp_old_api.3,
     netsnmp_read_config.3, netsnmp_read_only.3,
     netsnmp_row_merge.3, netsnmp_scalar.3,
     netsnmp_scalar_group_group.3, netsnmp_serialize.3,
     netsnmp_snmp_agent.3, netsnmp_snmp_alarm.3,
     netsnmp_snmp_client.3, netsnmp_snmp_logging.3,
     netsnmp_snmp_pdu.3, netsnmp_snmp_session.3,
     netsnmp_stash_cache.3, netsnmp_table.3,
     netsnmp_table_array.3, netsnmp_table_container.3,
     netsnmp_table_data.3, netsnmp_table_dataset.3,
     netsnmp_table_iterator.3, netsnmp_util.3,
     netsnmp_utilities.3, netsnmp_variable_list.3,
     netsnmp_watcher.3:

   documentation update

2005-12-20 23:40  rstory

   * agent/Makefile.depend, agent/helpers/Makefile.depend
, agent/mibgroup/Makefile.depend,
     apps/Makefile.depend, snmplib/Makefile.depend:

   make depend

2005-12-20 23:15  rstory

   * configure, configure.in:

   version update

2005-12-20 10:33  tanders

   * local/mib2c.int_watch.conf:

   fix bug 1386088: use LOG_ERR instead of LOG_ERROR

2005-12-19 20:46  tanders

   * agent/mibgroup/mibII/vacm_conf.c:

   traps -> notifications

2005-12-19 20:37  tanders

   * man/snmptrapd.8.def:

   fix typo

2005-12-19 20:33  tanders

   * man/snmpd.conf.5.def:

   snmp_perl.pl *is* installed automatically (at least for me).

2005-12-19 20:16  tanders

   * man/snmp.conf.5.def:

   get rid of "default default"

2005-12-19 18:59  tanders

   * apps/snmptrapd.c:

   better help output for deprecated "-P"

2005-12-19 05:35  dts12

   * man/: snmp.conf.5.def, snmpcmd.1.def, snmpd.8.def
, snmpd.conf.5.def, snmptrapd.8.def,
     snmptrapd.conf.5.def:

   General revision of command and configuration file documentation.

2005-12-18 16:36  tanders

   * man/snmptrapd.conf.5.def:

   execute also covers embedded perl

2005-12-18 16:30  tanders

   * man/snmptrapd.conf.5.def:

   doNotRetainTrapLogs -> doNotRetainNotificationLogs

2005-12-14 11:40  dts12

   * man/snmptrapd.conf.5.def:

   Reworking of the trapd configuration documentation.

2005-12-14 05:39  dts12

   * apps/snmptrapd_auth.c:

   Withdraw alternative "acceptAllTraps" directive.
   (Keep it safe for another day).

2005-12-13 07:50  tanders

   * README.snmpv3:

   our binary releases *do* support encryption

2005-12-13 07:29  tanders

   * README.snmpv3:

   add AES

2005-12-11 15:15  rstory

   * perl/TrapReceiver/TrapReceiver.pm:

   - (perl/TrapReceiver/TrapReceiver.pm): version tag ( 5.3.rc1 )

2005-12-11 15:15  rstory

   * perl/AnyData_SNMP/Storage.pm:

   - (perl/AnyData_SNMP/Storage.pm): version tag ( 5.3.rc1 )

2005-12-11 15:15  rstory

   * perl/ASN/ASN.pm:

   - (perl/ASN/ASN.pm): version tag ( 5.3.rc1 )

2005-12-11 15:14  rstory

   * perl/OID/OID.pm:

   - (perl/OID/OID.pm): version tag ( 5.3.rc1 )

2005-12-11 15:14  rstory

   * perl/default_store/default_store.pm:

   - (perl/default_store/default_store.pm): version tag ( 5.3.rc1 )

2005-12-11 15:14  rstory

   * perl/agent/default_store/default_store.pm:

   - (perl/agent/default_store/default_store.pm): version tag ( 5.3.rc1 )

2005-12-11 15:14  rstory

   * perl/agent/agent.pm:

   - (perl/agent/agent.pm): version tag ( 5.3.rc1 )

2005-12-11 15:14  rstory

   * perl/SNMP/SNMP.pm:

   - (perl/SNMP/SNMP.pm): version tag ( 5.3.rc1 )

2005-12-11 15:13  rstory

   * sedscript.in:

   - (sedscript.in): version tag ( 5.3.rc1 )

2005-12-11 15:13  rstory

   * dist/net-snmp.spec:

   - (dist/net-snmp.spec): version tag ( 5.3.rc1 )

2005-12-11 15:13  rstory

   * FAQ:

   - (FAQ): version tag ( 5.3.rc1 )

2005-12-11 15:12  rstory

   * README:

   - (README): version tag ( 5.3.rc1 )

2005-12-11 15:12  rstory

   * snmplib/snmp_version.c:

   - (snmplib/snmp_version.c): version tag ( 5.3.rc1 )

2005-12-11 15:12  rstory

   * ChangeLog:

   version update

2005-12-11 15:10  rstory

   * agent/helpers/Makefile.depend,
     agent/mibgroup/Makefile.depend, agent/Makefile.depend
, apps/Makefile.depend, snmplib/Makefile.depend
:

   make depend

2005-12-11 15:00  rstory

   * man/: netsnmp_Container_iterator.3, netsnmp_agent.3
, netsnmp_agent_registry.3, netsnmp_agent_trap.3
, netsnmp_asn1_packet_parse.3, netsnmp_baby_steps.3
, netsnmp_bulk_to_next.3, netsnmp_cache_handler.3
, netsnmp_callback.3, netsnmp_container.3,
     netsnmp_data_list.3, netsnmp_debug.3,
     netsnmp_default_store.3, netsnmp_handler.3,
     netsnmp_instance.3, netsnmp_iterator_info_s.3,
     netsnmp_leaf.3, netsnmp_library.3,
     netsnmp_mib_utilities.3, netsnmp_mode_end_call.3,
     netsnmp_multiplexer.3,
     netsnmp_netsnmp_agent_request_info_s.3,
     netsnmp_netsnmp_column_info_t.3,
     netsnmp_netsnmp_data_list_s.3,
     netsnmp_netsnmp_handler_registration_s.3,
     netsnmp_netsnmp_iterator_info_s.3,
     netsnmp_netsnmp_mib_handler_access_methods.3,
     netsnmp_netsnmp_mib_handler_methods.3,
     netsnmp_netsnmp_mib_handler_s.3,
     netsnmp_netsnmp_request_info_s.3,
     netsnmp_netsnmp_table_registration_info_s.3,
     netsnmp_netsnmp_table_request_info_s.3,
     netsnmp_oid_stash.3, netsnmp_old_api.3,
     netsnmp_read_config.3, netsnmp_read_only.3,
     netsnmp_row_merge.3, netsnmp_scalar.3,
     netsnmp_scalar_group_group.3, netsnmp_serialize.3,
     netsnmp_snmp_agent.3, netsnmp_snmp_alarm.3,
     netsnmp_snmp_client.3, netsnmp_snmp_logging.3,
     netsnmp_snmp_pdu.3, netsnmp_snmp_session.3,
     netsnmp_stash_cache.3, netsnmp_table.3,
     netsnmp_table_array.3, netsnmp_table_container.3,
     netsnmp_table_data.3, netsnmp_table_dataset.3,
     netsnmp_table_iterator.3, netsnmp_util.3,
     netsnmp_utilities.3, netsnmp_variable_list.3,
     netsnmp_watcher.3:

   documentation update

2005-12-11 14:13  nba

   * agent/snmp_vars.c, agent/mibgroup/disman/event/mteEvent.c
, agent/mibgroup/disman/event/mteEvent.h,
     agent/mibgroup/disman/event/mteTrigger.c,
     agent/mibgroup/disman/schedule/schedCore.c,
     agent/mibgroup/disman/schedule/schedCore.h,
     agent/mibgroup/ip-mib/ip_scalars.h, apps/snmptrapd_auth.c
, snmplib/container_binary_array.c:

   Add const and #include to fix warnings

2005-12-11 13:54  rstory

   * configure.in, configure:

   version update

2005-12-11 13:41  rstory

   * agent/mibgroup/versiontag:

   don't use CVSUSER if already in a cvs dir

2005-12-11 13:25  rstory

   * agent/mibgroup/testhandler.c:

   advance next pointer before continue

2005-12-11 12:55  rstory

   * agent/mibgroup/: ip-mib/data_access/arp_common.c,
     ip-mib/data_access/ipaddress_common.c,
     tcp-mib/data_access/tcpConn_common.c,
     udp-mib/data_access/udp_endpoint_common.c:

   don't free the container if asked not to

2005-12-11 12:18  rstory

   * agent/helpers/table.c:

   - fix 1362324: testhandler module causes infinite loop
     -  don't retry for ASN_NULL; this retries when the handler does nothing,
        which is what we tell people to do at the end of a table.
   - add comments

2005-12-11 10:37  rstory

   * apps/snmpnetstat/if.c:

   change nested comment to ifdef 0

2005-12-10 20:07  tanders

   * dist/README.build-scripts:

   fix typo

2005-12-10 20:02  tanders

   * dist/net-snmp-solaris-build/DEVENV:

   cleanup

2005-12-10 19:50  tanders

   * dist/net-snmp-solaris-build/net-snmp-5.0.6-build:

   replaced by updated buildpackage-solaris

2005-12-10 19:41  tanders

   * dist/net-snmp-solaris-build/: README, buildpackage-solaris
:

   script to create native Solaris packages, replaces net-snmp-5.0.6-build

2005-12-10 18:50  tanders

   * configure, configure.in:

   further improve mib module descriptions

2005-12-10 18:29  tanders

   * configure.in:

   fix --with-enterprise-notification-oid description

2005-12-10 18:17  tanders

   * configure, configure.in:

   improve text alignment in "configure --help" output

2005-12-10 12:30  alex_b

   * apps/snmpnetstat/if.c, win32/mib_module_includes.h,
     win32/libsnmp_dll/libsnmp.def,
     win32/libsnmp_dll/libsnmp.def.in:

   Win32: MSVC build fixes

2005-12-10 12:28  tanders

   * configure.in, configure:

   put priv/auth related options closer to each other

2005-12-10 11:37  rstory

   * apps/snmpnetstat/if.c, agent/snmp_agent.c:

   remove C++ comments or convert to C comments

2005-12-10 11:35  rstory

   * agent/mibgroup/: ip-forward-mib/data_access/route_common.c,
     ip-mib/inetNetToMediaTable/inetNetToMediaTable.c,
     tcp-mib/data_access/tcpConn_linux.c,
     udp-mib/data_access/udp_endpoint_linux.c:

   change cpp warnings to comments

2005-12-10 11:25  rstory

   * configure:

   update for configure.in

2005-12-10 11:23  rstory

   * configure.in:

   new 'os specific' section in mib module help

2005-12-09 21:22  rstory

   * agent/mibgroup/disman/event/: mteEventConf.h,
     mteTriggerConf.h, mteTriggerTable.h:

   config_require iquery

2005-12-09 21:21  rstory

   * agent/mibgroup/: ip-forward-mib/ipCidrRouteTable/.cvsignore
, ip-mib/inetNetToMediaTable/.cvsignore,
     ip-mib/ipAddressTable/.cvsignore,
     ip-mib/ipSystemStatsTable/.cvsignore:

   ignore misc generated files

2005-12-09 20:58  rstory

   *
     agent/mibgroup/ip-mib/ipv4InterfaceTable/ipv4InterfaceTable_data_access.c
:

   update renamed variable

2005-12-09 20:58  rstory

   * agent/mibgroup/ip-mib/ipv4InterfaceTable/ipv4InterfaceTable.h
:

   fix config_require path

2005-12-09 20:58  rstory

   * agent/mibgroup/ip-mib/ipv4InterfaceTable/:
     ipv4InterfaceTable_data_access.h,
     ipv4InterfaceTable_interface.h:

   remove experimental config_noinclude directives

2005-12-09 20:57  rstory

   *
     agent/mibgroup/ip-mib/ipv6InterfaceTable/ipv6InterfaceTable_interface.c
:

   fix cut-n-paste

2005-12-09 20:56  rstory

   * agent/mibgroup/ip-mib/:
     ipv4InterfaceTable/ipv4InterfaceTable_constants.h,
     ipv4InterfaceTable/ipv4InterfaceTable_interface.c,
     ipv6InterfaceTable/ipv6InterfaceTable_constants.h,
     ipv6InterfaceTable/ipv6InterfaceTable_interface.c:

   add missing registration of last change object

2005-12-09 20:44  rstory

   * agent/mibgroup/ip-mib/: ipv4InterfaceTable.h,
     ipv6InterfaceTable.h:

   add missing intermediate config_req headers

2005-12-09 20:32  rstory

   * include/net-snmp/agent/ds_agent.h:

   update compat mapping too

2005-12-09 19:49  hardaker

   * agent/mibgroup/notification-log-mib/notification_log.c,
     include/net-snmp/agent/ds_agent.h:

   proper naming conventions standardized and widely adopted by the Internet Engineering Task Force

2005-12-09 17:44  rstory

   * agent/mibgroup/notification-log-mib/notification_log.c,
     include/net-snmp/agent/ds_agent.h:

   - define new agent ds id for retaining traps

2005-12-09 10:43  hardaker

   * agent/mibgroup/notification-log-mib/notification_log.c:

   trap -> notification

2005-12-09 10:13  rstory

   * agent/mibgroup/notification-log-mib/notification_log.c:

   - restore dontRetainLogs
   - new, clearer doNotRetainTrapLogs use same ds id

2005-12-09 08:44  dts12

   * apps/snmptrapd.c:

   Use the common boolean parsing routine (to recognise
   the full list of documented values, not simply '1'!)

2005-12-09 08:43  dts12

   * include/net-snmp/library/default_store.h,
     snmplib/default_store.c:

   Pull parsing of boolean config values out into a separate routine.

2005-12-09 07:01  dts12

   * snmplib/snmpUDPIPv6Domain.c:

   Expand the source buffer so it can hold a maximum-length IPv6 specification.
   Patch provided by Shuki Sasson.

2005-12-08 08:10  dts12

   * agent/mibgroup/mibII/vacm_conf.c, apps/snmptrapd_auth.c
:

   Issue warnings when 'snmptrapd' is run without any access configuration.
   Both at startup, and when incoming traps are received (and dropped).

   Also define an alternative name for the 'disableAuthorization' directive,
   that is (IMO) more descriptive of what a network administrator might want to do.

2005-12-08 08:07  dts12

   * snmplib/vacm.c:

   Properly recognise when no access settings have been configured.
   (The new built-in views broke the previous test).

2005-12-08 06:08  dts12

   * configure, configure.in,
     agent/mibgroup/if-mib/data_access/interface_linux.c,
     include/net-snmp/net-snmp-config.h.in:

   Include (and check for) another header file - needed on RedHat 9 systems.

2005-12-07 17:55  tanders

   * README.agent-mibs:

   fix typo

2005-12-07 07:29  rstory

   * configure:

   update for configure.in

2005-12-07 07:27  rstory

   * configure.in:

   - fix mini-agent tests so that --disable doesn't actually enable it

2005-12-06 17:50  nba

   * mibs/rfclist:

   Update to current RFC issues

2005-12-06 12:44  rstory

   * agent/mibgroup/if-mib/ifTable/: ifTable_data_access.c,
     ifTable_data_access.h:

   reduce cache reload timeout below wrap threshold for gigabit interfaces

2005-12-06 08:50  dts12

   * man/snmpd.internal.5.def:

   Brief (and somewhat repetative) documentation of internal directives.

2005-12-06 08:11  dts12

   * man/snmpd.examples.5.def:

   Flesh out Event MIB, Schedule MIB and proxy examples
   (plus various minor tweaks).

2005-12-06 05:49  dts12

   * agent/mibgroup/disman/event/: mteEvent.c, mteObjects.c
, mteTriggerConf.c, mteTriggerConf.h:

   Implement missing "linkUpDownNotifications" directive
   (together with suitable standard entries)

2005-12-05 11:44  hardaker

   * remove-files:

   don't remove dist

2005-12-05 10:55  rstory

   * snmplib/snmp_api.c:

   fix missed var rename in conditional

2005-12-05 07:47  rstory

   * local/mib2c-conf.d/mfd-top.m2c:

   config_add_mib in header

2005-12-05 07:45  rstory

   * local/mib2c-conf.d/mfd-interactive-setup.m2c:

   tweaks per comments from wes; see coders note

2005-12-05 07:22  dts12

   * man/snmpd.examples.5.def:

   Flesh out AgentX examples.

2005-12-05 07:21  dts12

   * man/snmpd.examples.5.def:

   Flesh out trap handling and embedded perl examples.

2005-12-05 07:20  dts12

   * man/: snmpd.conf.5.def, snmpd.examples.5.def:

   Assorted wordsmithing, and pick up a couple of undocumented options.

2005-12-05 07:15  dts12

   * agent/mibgroup/util_funcs.c:

   Implement 'get_exec_output' as a wrapper round 'run_exec_command'
   to give proper handling of command tokenization.  (See Bug #1324057)
   Note this doesn't apply to Windows systems - that exec handling
   probably needs to be moved to 'run_exec_command' as well.

2005-12-04 18:03  rstory

   * remove-files:

   add -R for dist dir

2005-12-04 17:54  rstory

   * perl/TrapReceiver/TrapReceiver.pm:

   - (perl/TrapReceiver/TrapReceiver.pm): version tag ( 5.3.pre5 )

2005-12-04 17:54  rstory

   * perl/AnyData_SNMP/Storage.pm:

   - (perl/AnyData_SNMP/Storage.pm): version tag ( 5.3.pre5 )

2005-12-04 17:53  rstory

   * perl/ASN/ASN.pm:

   - (perl/ASN/ASN.pm): version tag ( 5.3.pre5 )

2005-12-04 17:53  rstory

   * perl/OID/OID.pm:

   - (perl/OID/OID.pm): version tag ( 5.3.pre5 )

2005-12-04 17:53  rstory

   * perl/default_store/default_store.pm:

   - (perl/default_store/default_store.pm): version tag ( 5.3.pre5 )

2005-12-04 17:53  rstory

   * perl/agent/default_store/default_store.pm:

   - (perl/agent/default_store/default_store.pm): version tag ( 5.3.pre5 )

2005-12-04 17:53  rstory

   * perl/agent/agent.pm:

   - (perl/agent/agent.pm): version tag ( 5.3.pre5 )

2005-12-04 17:53  rstory

   * perl/SNMP/SNMP.pm:

   - (perl/SNMP/SNMP.pm): version tag ( 5.3.pre5 )

2005-12-04 17:52  rstory

   * sedscript.in:

   - (sedscript.in): version tag ( 5.3.pre5 )

2005-12-04 17:52  rstory

   * dist/net-snmp.spec:

   - (dist/net-snmp.spec): version tag ( 5.3.pre5 )

2005-12-04 17:52  rstory

   * FAQ:

   - (FAQ): version tag ( 5.3.pre5 )

2005-12-04 17:52  rstory

   * README:

   - (README): version tag ( 5.3.pre5 )

2005-12-04 17:51  rstory

   * snmplib/snmp_version.c:

   - (snmplib/snmp_version.c): version tag ( 5.3.pre5 )

2005-12-04 17:51  rstory

   * ChangeLog:

   version update

2005-12-04 17:43  rstory

   * apps/snmpnetstat/Makefile.depend, apps/Makefile.depend
, snmplib/Makefile.depend:

   make depend

2005-12-04 17:26  rstory

   * man/: netsnmp_Container_iterator.3, netsnmp_agent.3
, netsnmp_agent_registry.3, netsnmp_agent_trap.3
, netsnmp_asn1_packet_parse.3, netsnmp_baby_steps.3
, netsnmp_bulk_to_next.3, netsnmp_cache_handler.3
, netsnmp_callback.3, netsnmp_container.3,
     netsnmp_data_list.3, netsnmp_debug.3,
     netsnmp_default_store.3, netsnmp_handler.3,
     netsnmp_instance.3, netsnmp_iterator_info_s.3,
     netsnmp_leaf.3, netsnmp_library.3,
     netsnmp_mib_utilities.3, netsnmp_mode_end_call.3,
     netsnmp_multiplexer.3,
     netsnmp_netsnmp_agent_request_info_s.3,
     netsnmp_netsnmp_column_info_t.3,
     netsnmp_netsnmp_data_list_s.3,
     netsnmp_netsnmp_handler_registration_s.3,
     netsnmp_netsnmp_iterator_info_s.3,
     netsnmp_netsnmp_mib_handler_access_methods.3,
     netsnmp_netsnmp_mib_handler_methods.3,
     netsnmp_netsnmp_mib_handler_s.3,
     netsnmp_netsnmp_request_info_s.3,
     netsnmp_netsnmp_table_registration_info_s.3,
     netsnmp_netsnmp_table_request_info_s.3,
     netsnmp_oid_stash.3, netsnmp_old_api.3,
     netsnmp_read_config.3, netsnmp_read_only.3,
     netsnmp_row_merge.3, netsnmp_scalar.3,
     netsnmp_scalar_group_group.3, netsnmp_serialize.3,
     netsnmp_snmp_agent.3, netsnmp_snmp_alarm.3,
     netsnmp_snmp_client.3, netsnmp_snmp_logging.3,
     netsnmp_snmp_pdu.3, netsnmp_snmp_session.3,
     netsnmp_stash_cache.3, netsnmp_table.3,
     netsnmp_table_array.3, netsnmp_table_container.3,
     netsnmp_table_data.3, netsnmp_table_dataset.3,
     netsnmp_table_iterator.3, netsnmp_util.3,
     netsnmp_utilities.3, netsnmp_variable_list.3,
     netsnmp_watcher.3:

   documentation update

2005-12-04 17:23  rstory

   * remove-files:

   remove dist and win32/dist

2005-12-04 17:14  rstory

   * dist/makerelease:

   do distclean before configure if Makefile exists

2005-12-04 16:49  rstory

   * dist/makerelease:

   note that Makefile.top usually only change for first prerelease

2005-12-04 16:48  rstory

   * configure.in, configure:

   version update

2005-12-04 16:47  rstory

   * dist/makerelease:

   add -q to update so potential changes don't scroll off screen

2005-12-04 16:29  rstory

   * mibs/IANAifType-MIB.txt:

   fix syntax errors

2005-12-04 13:44  rstory

   * dist/nsb-nightly:

   log rc w/error msg

2005-12-04 13:43  rstory

   * include/net-snmp/library/container.h, snmplib/container.c
:

   log container name, if avail, in log msg

2005-12-04 13:38  rstory

   * apps/snmptrapd.c:

   - add log file append (-A) option
   - remove Log/Print/Syslog distinction
   - bring startup/reconfig log message in line w/snmpd

2005-12-04 13:24  rstory

   * agent/Makefile.in:

   - fix bug 1297878: header_generic and header_simple_table prototypes
     - extra header list/install target
   - group perl install/uninstall together

2005-12-04 13:19  rstory

   * NEWS:

   important notes for 5.3

2005-12-04 09:42  rstory

   * configure:

   update for configure.in

2005-12-04 09:40  rstory

   * configure.in:

   - fix bug  1365128: snmpd quietly dies on hpux 11.11
     - add configure check for -lnm

2005-12-04 09:25  rstory

   * agent/mibgroup/ucd-snmp/diskio.c:

   - additional fix for bug 1103644, FreeBSD memory leak
     - problem pointed out by rojer on irc
     - use calloc instead of malloc/memset

2005-12-02 19:13  rstory

   * mibs/IANAifType-MIB.txt:

   update to 200510100000Z version

2005-12-02 18:48  rstory

   * mibs/IP-MIB.txt:

   - update from draft-ietf-ipv6-rfc2011-update-10.txt, currently in the RFC
     editor's queue

2005-12-02 17:47  rstory

   * snmplib/snmp_api.c:

   - bug 1337534: Read problem on stream sockets
     - properly save partial packet which isn't at start of buffer

2005-12-02 17:05  rstory

   * snmplib/snmp_api.c:

   - bug 1370856: ip address encoding on 64bit
     - use inet_addr_t for inet addr

2005-12-02 17:03  rstory

   * snmplib/snmp_client.c:

   - bug 1370856: ip address encoding on 64bit
     - sync snmp_set_var_value w/snmp_build_var_op: ASN_IPADDRESS as a string

2005-12-02 13:17  rstory

   * agent/mibgroup/: udp-mib.h, tcp-mib/tcpListenerTable.h
, udp-mib/udpEndpointTable.h:

   add missing config_req files

2005-12-02 13:12  rstory

   * local/mib2c-conf.d/details-node.m2i:

   only print ranges if they exist

2005-12-02 13:12  rstory

   * agent/mibgroup/tcp-mib.h:

   remove extra ;

2005-12-02 13:05  rstory

   * agent/mibgroup/udp-mib/udpEndpointTable/: udpEndpointTable.c
, udpEndpointTable.h, udpEndpointTable_constants.h
, udpEndpointTable_data_access.c,
     udpEndpointTable_data_access.h,
     udpEndpointTable_interface.c, udpEndpointTable_interface.h
:

   regenerate mfd code

2005-12-02 13:02  rstory

   * agent/mibgroup/tcp-mib/tcpListenerTable/: tcpListenerTable.c
, tcpListenerTable.h, tcpListenerTable_constants.h
, tcpListenerTable_data_access.c,
     tcpListenerTable_data_access.h,
     tcpListenerTable_interface.c, tcpListenerTable_interface.h
:

   regenerate mfd code

2005-12-02 11:45  hardaker

   * snmplib/asn1.c:

   fix counter64's when defined with 64bit long variables in the C64 structure

2005-12-02 10:52  dts12

   * agent/mibgroup/utilities/execute.c:

   Use 'copy_nword' to tokenize external commands.
   This means that quoted strings are handled in the natural manner.

2005-12-02 10:33  dts12

   * man/Makefile.in:

   It helps if you actually create the man page as well, Dave!

2005-12-02 09:55  tanders

   * man/.cvsignore:

   add the recently introduced manual pages

2005-12-02 09:50  dts12

   * man/: Makefile.in, snmpd.internal.5.def:

   Template for documenting internal snmpd config directives.
   (I've identified and listed the directives concerned,
    but haven't provided any descriptions of what they do!)

2005-12-02 05:36  nba

   * apps/snmpnetstat/: if.c, inet.c, inet6.c,
     main.c, main.h, netstat.h, route.c:

   Align with warning fixes for 5.2.2

2005-12-02 05:33  nba

   * snmplib/mib.c:

   Fix snmptranslate -Td display of UNITS

2005-12-02 00:41  hardaker

   * local/Makefile.in:

   added mfd-persistence.m2i

2005-12-01 16:42  rstory

   * agent/mibgroup/tcp-mib/tcpConnectionTable/: tcpConnectionTable.c
, tcpConnectionTable.h, tcpConnectionTable_constants.h
, tcpConnectionTable_data_access.c,
     tcpConnectionTable_data_access.h,
     tcpConnectionTable_interface.c,
     tcpConnectionTable_interface.h:

   regenerate mfd code

2005-12-01 16:31  rstory

   * agent/mibgroup/snmp-usm-dh-objects-mib/usmDHUserKeyTable/:
     usmDHUserKeyTable.c, usmDHUserKeyTable.h,
     usmDHUserKeyTable_data_access.c,
     usmDHUserKeyTable_data_access.h,
     usmDHUserKeyTable_data_get.c, usmDHUserKeyTable_data_get.h
, usmDHUserKeyTable_data_set.c,
     usmDHUserKeyTable_data_set.h, usmDHUserKeyTable_enums.h
, usmDHUserKeyTable_interface.c,
     usmDHUserKeyTable_interface.h, usmDHUserKeyTable_oids.h
:

   regenerate mfd code

2005-12-01 16:05  rstory

   * agent/mibgroup/snmp-notification-mib/snmpNotifyFilterTable/:
     snmpNotifyFilterTable.c, snmpNotifyFilterTable.h,
     snmpNotifyFilterTable_constants.h,
     snmpNotifyFilterTable_data_access.c,
     snmpNotifyFilterTable_data_access.h,
     snmpNotifyFilterTable_interface.c,
     snmpNotifyFilterTable_interface.h:

   regenerate mfd code

2005-12-01 15:52  rstory

   * agent/mibgroup/ip-mib/: ipv4InterfaceTable/ipv4InterfaceTable.c
, ipv4InterfaceTable/ipv4InterfaceTable.h,
     ipv4InterfaceTable/ipv4InterfaceTable_constants.h,
     ipv4InterfaceTable/ipv4InterfaceTable_data_access.c,
     ipv4InterfaceTable/ipv4InterfaceTable_data_access.h,
     ipv4InterfaceTable/ipv4InterfaceTable_interface.c,
     ipv4InterfaceTable/ipv4InterfaceTable_interface.h,
     ipv6InterfaceTable/ipv6InterfaceTable.c,
     ipv6InterfaceTable/ipv6InterfaceTable.h,
     ipv6InterfaceTable/ipv6InterfaceTable_constants.h,
     ipv6InterfaceTable/ipv6InterfaceTable_data_access.c,
     ipv6InterfaceTable/ipv6InterfaceTable_data_access.h,
     ipv6InterfaceTable/ipv6InterfaceTable_interface.c,
     ipv6InterfaceTable/ipv6InterfaceTable_interface.h:

   regenerate mfd code

2005-12-01 15:12  rstory

   * agent/mibgroup/ip-mib/ipSystemStatsTable/: ipSystemStatsTable.c
, ipSystemStatsTable.h, ipSystemStatsTable_constants.h
, ipSystemStatsTable_data_access.c,
     ipSystemStatsTable_data_access.h,
     ipSystemStatsTable_interface.c,
     ipSystemStatsTable_interface.h:

   regenerate mfd code

2005-12-01 12:00  rstory

   * agent/mibgroup/ip-mib/ipAddressTable/: ipAddressTable.c,
     ipAddressTable.h, ipAddressTable_constants.h,
     ipAddressTable_data_access.c, ipAddressTable_data_access.h
, ipAddressTable_interface.c,
     ipAddressTable_interface.h:

   regenerate mfd code

2005-12-01 11:13  dts12

   * man/snmpd.conf.5.def:

   Assorted minor tweaks and wordsmithing.

2005-12-01 10:50  dts12

   * man/: Makefile.in, snmpd.conf.5.def,
     snmpd.examples.5.def:

   Move snmpd.conf examples into a separate man page,
   and example the range of examples provided.
   (Not finished yet, but it's probably worth submitting
   this while we're still in pre-release mode)

2005-12-01 10:49  rstory

   * agent/mibgroup/ip-mib/ipAddressPrefixTable/:
     ipAddressPrefixTable.c, ipAddressPrefixTable.h,
     ipAddressPrefixTable_constants.h,
     ipAddressPrefixTable_data_access.c,
     ipAddressPrefixTable_data_access.h,
     ipAddressPrefixTable_interface.c,
     ipAddressPrefixTable_interface.h:

   regenerate mfd code

2005-12-01 08:09  dts12

   * README.solaris:

   Drop bogus "-p" port option (and apply consistent indentation).
   Should the other changes suggested in bug #1247164 be applied, too?

2005-12-01 07:45  dts12

   * apps/snmpstatus.c:

   Don't crash-and-burn on SNMP exceptions (see bug #1278809)

2005-11-30 19:45  rstory

   * agent/mibgroup/ip-mib/inetNetToMediaTable/: inetNetToMediaTable.c
, inetNetToMediaTable.h,
     inetNetToMediaTable_constants.h,
     inetNetToMediaTable_data_access.c,
     inetNetToMediaTable_data_access.h,
     inetNetToMediaTable_interface.c,
     inetNetToMediaTable_interface.h:

   regenerate mfd code

2005-11-30 18:47  tanders

   * testing/tests/T050snmpv3trap:

   Rewritten from scratch to verify noAuthNoPriv, authNoPriv *and* authPriv SNMPv3 traps. Let's never break this again.

2005-11-30 18:44  tanders

   * testing/tests/Sv3usmconfigtrapd:

   create noAuthNoPriv user

2005-11-30 18:43  tanders

   * testing/tests/Sv3usmconfigbase:

   introduce  to specify the engine ID for createUser

2005-11-30 17:32  rstory

   * agent/mibgroup/ip-forward-mib/ipCidrRouteTable/:
     ipCidrRouteTable.c, ipCidrRouteTable.h,
     ipCidrRouteTable_constants.h,
     ipCidrRouteTable_data_access.c,
     ipCidrRouteTable_data_access.h,
     ipCidrRouteTable_interface.c, ipCidrRouteTable_interface.h
:

   regenerate mfd code

2005-11-30 17:25  rstory

   * snmplib/file_utils.c:

   fix compiler warning; init var

2005-11-30 16:08  hardaker

   * include/net-snmp/library/snmp_api.h, snmplib/snmp_api.c
:

   fix automatic user creation for sessions that have probing off or delayed

2005-11-30 16:07  rstory

   * agent/mibgroup/ip-forward-mib/inetCidrRouteTable/:
     inetCidrRouteTable.c, inetCidrRouteTable.h,
     inetCidrRouteTable_constants.h,
     inetCidrRouteTable_data_access.c,
     inetCidrRouteTable_data_access.h,
     inetCidrRouteTable_interface.c,
     inetCidrRouteTable_interface.h:

   regenerate mfd code

2005-11-30 15:16  rstory

   * agent/mibgroup/if-mib/ifXTable/: ifXTable.c, ifXTable.h
, ifXTable_constants.h, ifXTable_data_access.c,
     ifXTable_data_access.h, ifXTable_interface.c,
     ifXTable_interface.h:

   regenerate mfd code

2005-11-30 13:10  hardaker

   * dist/net-snmp-solaris-build/README:

   added a README file that has been sitting in my directory un-checked-in

2005-11-29 18:36  tanders

   * configure.in:

   refer to agent/mibgroup/ipfwchains/README rather than "the ucd-snmp ftp site" for ipfwchains

2005-11-29 17:14  rstory

   * agent/mibgroup/if-mib/ifTable/: ifTable.c, ifTable.h
, ifTable_constants.h, ifTable_data_access.c,
     ifTable_data_access.h, ifTable_interface.c,
     ifTable_interface.h:

   regenerate mfd code

2005-11-29 14:28  rstory

   * local/mib2c-conf.d/mfd-access-container-cached-defines.m2i
:

   typo in log msg

2005-11-25 09:16  tanders

   * testing/tests/: T160snmpnetstat, T200snmpv2cwalkall:

   use SKIP

2005-11-25 05:12  dts12

   * testing/tests/: T160snmpnetstat, T200snmpv2cwalkall:

   Skip tests that are known to fail when not run as root.
   (May need to be extended to other O/S's as well).

2005-11-24 18:24  tanders

   * man/snmpd.conf.5.def:

   fix typo and layout

2005-11-24 18:14  tanders

   * testing/tests/: T030snmpv3usercreation,
     T035snmpv3trapdusermgmt, T049snmpv3informpriv:

   fix tests to work with --disable-privacy

2005-11-23 19:56  tanders

   * configure:

   run autoconf

2005-11-23 19:22  tanders

   * NEWS, configure.in, agent/Makefile.in:

   make "configure --disable-agent" finally work (fixes bugs 1006415, 908571)

2005-11-23 08:14  alex_b

   * win32/netsnmpmibs/netsnmpmibs.dsp:

   Win32: MSVC build fix for netsnmpmibs.dsp

2005-11-23 04:11  dts12

   * snmplib/snmp_parse_args.c:

   Move opening brace out of alternate #ifdef clauses
   (confuses brace-matching editors!)

2005-11-22 16:29  rstory

   * agent/mibgroup/Makefile.depend:

   update deps for deleted file

2005-11-22 05:43  dts12

   * agent/mibgroup/ucd-snmp/extensible.c:

   Beef up the "relocatable exec" warning message.

2005-11-22 05:37  dts12

   * man/snmpd.conf.5.def:

   Document Schedule MIB configuration.

2005-11-21 20:40  alex_b

   * README.win32, apps/snmpnetstat/inet.c,
     apps/snmpnetstat/inet6.c, win32/agent_module_inits.h
, win32/net-snmp/net-snmp-config.h,
     win32/net-snmp/net-snmp-config.h.in,
     win32/netsnmpmibs/Makefile.in,
     win32/netsnmpmibs/netsnmpmibs.dsp,
     win32/netsnmpmibssdk/Makefile.in,
     win32/netsnmpmibssdk/netsnmpmibssdk.dsp:

   Win32:  MSVC and Cygwin compile fixes

2005-11-21 19:23  rstory

   * agent/mibgroup/notification/: snmpNotifyFilterTable.c,
     snmpNotifyFilterTable.h:

   remove unused files; reimplemented in snmp-notification-mib/snmpNotifyFilterTable

2005-11-21 06:27  dts12

   * man/snmpd.conf.5.def:

   Revise the DisMan Event-MIB documentation to match the new implementation.

2005-11-21 06:17  dts12

   * agent/mibgroup/disman/event/mteTriggerConf.c:

   Properly detect all three styles of monitor expression automatically.
   (This makes the '-t' option redundant, though it's still accepted)

2005-11-20 18:51  tanders

   * testing/eval_tools.sh:

   CHECKANDDIE() should EXPECTRESULT 0

2005-11-20 18:30  tanders

   * testing/tests/T200snmpv2cwalkall:

   make the test also FAIL on "Wrong Type (should be ...)"

2005-11-20 18:28  tanders

   * testing/eval_tools.sh:

   introduce CHECKANDDIE() to FAIL if a pattern *is* found

2005-11-20 18:00  tanders

   * mibs/NET-SNMP-TC.txt:

   update LAST-UPDATED field to reflect recent changes

2005-11-20 17:48  tanders

   * man/snmpd.conf.5.def:

   clarify that "host" is only enabled by default on the major supported platforms

2005-11-20 17:35  tanders

   * man/snmpd.conf.5.def:

   fix description for engineID

2005-11-20 17:27  tanders

   * NEWS, man/snmp.conf.5.def:

   document noPersistentLoad and noPersistentSave

2005-11-20 16:30  rstory

   * dist/makerelease:

   use -q on final cvsupdate; add spacing

2005-11-20 16:17  rstory

   * perl/TrapReceiver/TrapReceiver.pm:

   - (perl/TrapReceiver/TrapReceiver.pm): version tag ( 5.3.pre4 )

2005-11-20 16:17  rstory

   * perl/AnyData_SNMP/Storage.pm:

   - (perl/AnyData_SNMP/Storage.pm): version tag ( 5.3.pre4 )

2005-11-20 16:17  rstory

   * perl/ASN/ASN.pm:

   - (perl/ASN/ASN.pm): version tag ( 5.3.pre4 )

2005-11-20 16:16  rstory

   * perl/OID/OID.pm:

   - (perl/OID/OID.pm): version tag ( 5.3.pre4 )

2005-11-20 16:16  rstory

   * perl/default_store/default_store.pm:

   - (perl/default_store/default_store.pm): version tag ( 5.3.pre4 )

2005-11-20 16:16  rstory

   * perl/agent/default_store/default_store.pm:

   - (perl/agent/default_store/default_store.pm): version tag ( 5.3.pre4 )

2005-11-20 16:16  rstory

   * perl/agent/agent.pm:

   - (perl/agent/agent.pm): version tag ( 5.3.pre4 )

2005-11-20 16:16  rstory

   * perl/SNMP/SNMP.pm:

   - (perl/SNMP/SNMP.pm): version tag ( 5.3.pre4 )

2005-11-20 16:15  rstory

   * sedscript.in:

   - (sedscript.in): version tag ( 5.3.pre4 )

2005-11-20 16:15  rstory

   * dist/net-snmp.spec:

   - (dist/net-snmp.spec): version tag ( 5.3.pre4 )

2005-11-20 16:15  rstory

   * FAQ:

   - (FAQ): version tag ( 5.3.pre4 )

2005-11-20 16:15  rstory

   * README:

   - (README): version tag ( 5.3.pre4 )

2005-11-20 16:15  rstory

   * snmplib/snmp_version.c:

   - (snmplib/snmp_version.c): version tag ( 5.3.pre4 )

2005-11-20 16:13  rstory

   * ChangeLog:

   version update

2005-11-20 16:07  rstory

   * agent/Makefile.depend, agent/helpers/Makefile.depend
, agent/mibgroup/Makefile.depend,
     apps/snmpnetstat/Makefile.depend, apps/Makefile.depend
, snmplib/Makefile.depend:

   make depend

2005-11-20 16:05  rstory

   * man/: netsnmp_Container_iterator.3, netsnmp_agent.3
, netsnmp_agent_registry.3, netsnmp_agent_trap.3
, netsnmp_asn1_packet_parse.3, netsnmp_baby_steps.3
, netsnmp_bulk_to_next.3, netsnmp_cache_handler.3
, netsnmp_callback.3, netsnmp_container.3,
     netsnmp_data_list.3, netsnmp_debug.3,
     netsnmp_default_store.3, netsnmp_handler.3,
     netsnmp_instance.3, netsnmp_iterator_info_s.3,
     netsnmp_leaf.3, netsnmp_library.3,
     netsnmp_mib_utilities.3, netsnmp_mode_end_call.3,
     netsnmp_multiplexer.3,
     netsnmp_netsnmp_agent_request_info_s.3,
     netsnmp_netsnmp_column_info_t.3,
     netsnmp_netsnmp_data_list_s.3,
     netsnmp_netsnmp_handler_registration_s.3,
     netsnmp_netsnmp_iterator_info_s.3,
     netsnmp_netsnmp_mib_handler_access_methods.3,
     netsnmp_netsnmp_mib_handler_methods.3,
     netsnmp_netsnmp_mib_handler_s.3,
     netsnmp_netsnmp_request_info_s.3,
     netsnmp_netsnmp_table_registration_info_s.3,
     netsnmp_netsnmp_table_request_info_s.3,
     netsnmp_oid_stash.3, netsnmp_old_api.3,
     netsnmp_read_config.3, netsnmp_read_only.3,
     netsnmp_row_merge.3, netsnmp_scalar.3,
     netsnmp_scalar_group_group.3, netsnmp_serialize.3,
     netsnmp_snmp_agent.3, netsnmp_snmp_alarm.3,
     netsnmp_snmp_client.3, netsnmp_snmp_logging.3,
     netsnmp_snmp_pdu.3, netsnmp_snmp_session.3,
     netsnmp_stash_cache.3, netsnmp_table.3,
     netsnmp_table_array.3, netsnmp_table_container.3,
     netsnmp_table_data.3, netsnmp_table_dataset.3,
     netsnmp_table_iterator.3, netsnmp_util.3,
     netsnmp_utilities.3, netsnmp_variable_list.3,
     netsnmp_watcher.3:

   documentation update

2005-11-20 15:55  rstory

   * dist/RELEASE-INSTRUCTIONS:

   - remove howto on libtool versioning match release numbers
   - update suggested configure test options

2005-11-20 15:38  rstory

   * dist/makerelease:

   use enable-ipv6 instead of specifying transports

2005-11-20 15:37  rstory

   * configure.in, configure:

   version update

2005-11-20 15:35  rstory

   * dist/makerelease:

   add missing ;

2005-11-20 14:42  rstory

   * snmplib/snmp_logging.c:

   - bug 1347709: snmpd doesnt handle large log files (>= 2GB) gracefully
     - partial fix: open/truncate log files at startup

2005-11-20 14:39  rstory

   * agent/snmpd.c:

   use new ds boolean for append logfiles, instead of local var

2005-11-20 14:38  rstory

   * include/net-snmp/library/default_store.h:

   new lib boolean for append logfiles

2005-11-18 16:57  rstory

   * snmplib/read_config.c:

   support for counters in read_config_read_memory

2005-11-18 14:21  marz

   * perl/SNMP/SNMP.pm:

   allow session params to override global defaults

2005-11-18 10:51  dts12

   * man/snmpd.conf.5.def:

   Revise the introduction to snmpd config files.

2005-11-18 10:36  dts12

   * man/snmpd.conf.5.def:

   Review and revise the DisMan Event MIB documentation.

2005-11-17 20:44  rstory

   * agent/mibgroup/host/hr_device.c:

   account for possible NULL value from function

2005-11-17 17:45  rstory

   * dist/nsb-nightly:

   include CONFIGURE_OPTIONS in results email

2005-11-17 17:03  rstory

   * agent/agent_registry.c:

   ifdef __aplha, ifdef out optimization causing alpha-linux1 to segfault

2005-11-17 14:29  rstory

   * agent/mibgroup/ucd_snmp.h:

   add memory/vmstats for freebsd6

2005-11-17 12:56  rstory

   * dist/nsb-functions:

   don't explictly config ipv6 transports; enable-ipv6 instead

2005-11-17 12:41  rstory

   * dist/nsb-nightly:

   - use sendmail on freebsd too
   - add Errors-To header to mail
   - echo to/subject to stdout

2005-11-17 11:45  dts12

   * man/snmpd.conf.5.def:

   Review and revise trap destination handling.

2005-11-17 11:16  dts12

   * man/snmpd.conf.5.def:

   Minor wordsmithing and formatting corrections.

2005-11-17 11:10  rstory

   * agent/mibgroup/mibII/interfaces.h:

   exclude interface get/next prototypes if using mfd rewrites

2005-11-17 11:07  rstory

   * local/mib2c-conf.d/mfd-interface.m2c:

   explicit cast to match prototype

2005-11-17 11:06  rstory

   * agent/mibgroup/ip-mib/data_access/ipaddress_ioctl.h:

   add missing prototype; add C++ extern wrappers

2005-11-17 11:06  rstory

   * agent/mibgroup/: if-mib/data_access/interface_ioctl.c,
     ip-forward-mib/data_access/route_linux.c:

   quite compiler: add headers for missing prototypes

2005-11-17 10:59  rstory

   * dist/nsb-nightly:

   special case for openbsd mail

2005-11-17 09:45  dts12

   * agent/mibgroup/disman/event-mib.h:

   Clarify that the "event-mib.h" warning *is* a warning rather than
   simply a note (which would belong in the documentation)

2005-11-16 16:36  rstory

   * configure:

   update for configure.in

2005-11-16 16:33  rstory

   * configure.in:

   netbsd wants netinet/ip6.h before netinet6/in6_pcb.h

2005-11-16 16:26  rstory

   * configure:

   update for configure.in

2005-11-16 16:26  rstory

   * configure.in:

   disallow ipv6 transports if ipv6 not enabled

2005-11-16 15:31  rstory

   * agent/mibgroup/:
     ip-forward-mib/inetCidrRouteTable/inetCidrRouteTable_interface.c
,
     ip-forward-mib/ipCidrRouteTable/ipCidrRouteTable_interface.c
,
     snmp-notification-mib/snmpNotifyFilterTable/snmpNotifyFilterTable_interface.c
:

   keep compiler happy: explicit argument cast

2005-11-16 15:27  rstory

   * agent/mibgroup/: if-mib/ifTable/ifTable_interface.c,
     if-mib/ifXTable/ifXTable_interface.c,
     ip-forward-mib/inetCidrRouteTable/inetCidrRouteTable_interface.c
,
     snmp-notification-mib/snmpNotifyFilterTable/snmpNotifyFilterTable_interface.c
, tcp-mib/tcpConnectionTable/tcpConnectionTable_interface.c
, tcp-mib/tcpListenerTable/tcpListenerTable_interface.c
:

   C++ cleanup: don't use new as variable name

2005-11-16 15:20  rstory

   * include/net-snmp/data_access/route.h:

   add missing prototype

2005-11-16 15:18  rstory

   *
     agent/mibgroup/ip-mib/inetNetToMediaTable/inetNetToMediaTable_interface.c
:

   keep compiler happy: explicit argument cast

2005-11-16 15:16  rstory

   * agent/mibgroup/if-mib/ifXTable/: ifXTable.c, ifXTable.h
:

   move initialize_table_ifXTable prototype to header

2005-11-16 15:11  rstory

   * include/net-snmp/data_access/interface.h:

   add prototypes for backwards compatibility interface functions

2005-11-16 15:02  rstory

   * agent/mibgroup/notification-log-mib/notification_log.h:

   C++ extern "C" wrappers

2005-11-16 15:01  rstory

   * agent/mibgroup/notification/snmpNotifyTable.c:

   include header w/needed prototype

2005-11-16 14:51  rstory

   * agent/mibgroup/if-mib/ifTable/ifTable_interface.h,
     agent/mibgroup/if-mib/ifXTable/ifXTable_interface.h,
     agent/mibgroup/ip-forward-mib/inetCidrRouteTable/inetCidrRouteTable_interface.h
,
     agent/mibgroup/tcp-mib/tcpConnectionTable/tcpConnectionTable_interface.h
,
     agent/mibgroup/snmp-notification-mib/snmpNotifyFilterTable/snmpNotifyFilterTable_interface.h
,
     agent/mibgroup/tcp-mib/tcpListenerTable/tcpListenerTable_interface.h
, include/net-snmp/data_access/ipaddress.h,
     include/net-snmp/data_access/systemstats.h,
     include/net-snmp/data_access/tcpConn.h:

   C++ cleanup: don't use new as variable name

2005-11-16 14:44  rstory

   * agent/mibgroup/mibII/ipv6.c:

   - C++ cleanup
     - don't use __P() (nowhere else in the code uses it)
     - don't use new as a variable name

2005-11-16 12:17  hardaker

   * perl/TrapReceiver/TrapReceiver.xs:

   // -> /* */

2005-11-16 10:42  dts12

   * apps/snmpnetstat/main.h:

   Provide a definition for NI_MAXHOST if missing.

2005-11-16 10:10  tanders

   * agent/agent_read_config.c, agent/snmp_agent.c,
     agent/mibgroup/mibII/vacm_conf.c,
     agent/mibgroup/notification/snmpNotifyTable.c,
     agent/mibgroup/ucd-snmp/proxy.c, apps/snmptrapd_log.c
, snmplib/snmpCallbackDomain.c, snmplib/snmp_api.c
, snmplib/snmp_parse_args.c,
     testing/tests/T058agentauthtrap, testing/tests/T100agenthup
, testing/tests/T152hostuptime:

   build fixes for sole --disable-snmpv1 (*without* --disable-snmpv2c)

2005-11-16 08:06  tanders

   * agent/mibgroup/utilities/iquery.c, apps/snmptrapd_auth.c
:

   build fix for --disable-snmpv1/--disable-snmpv2c

2005-11-16 06:20  tanders

   * snmplib/snmpCallbackDomain.c:

   build fix for --disable-snmpv1/--disable-snmpv2c

2005-11-16 05:58  dts12

   * man/snmpd.conf.5.def:

   Better layout of 'inject_handler' documentation.

2005-11-16 05:09  dts12

   * man/snmpd.conf.5.def:

   Review and revise load average and file monitoring configuration.
   (plus assorted tidying up).

2005-11-16 04:58  dts12

   * man/snmpd.conf.5.def:

   Review and revise the disk monitoring configuration

2005-11-16 04:57  dts12

   * man/snmpd.conf.5.def:

   Review and revise the process monitoring configuration

2005-11-16 04:57  dts12

   * man/snmpd.conf.5.def:

   Review and revise the Host Resources configuration

2005-11-16 04:56  dts12

   * man/snmpd.conf.5.def:

   Review and revise the system group configuration.

2005-11-16 04:55  dts12

   * man/snmpd.conf.5.def:

   Consolidate the "system information", and "agent behaviour" configuration
   directives to be documented together (as two distinct sections).

2005-11-15 21:14  rstory

   *
     agent/mibgroup/snmp-notification-mib/snmpNotifyFilterTable/snmpNotifyFilterTable_interface.c
:

   uncomment out cleanup code

2005-11-15 21:10  rstory

   * agent/mibgroup/mibII/ipAddr.c:

   extra error checking for freebsd

2005-11-15 21:08  rstory

   *
     agent/mibgroup/ip-forward-mib/inetCidrRouteTable/inetCidrRouteTable.c
:

   remove cpp #warning lines

2005-11-15 21:04  rstory

   * Makefile.in, Makefile.top:

   - use find found by configure
   - tweak commentcheck regexp to miss regexp in perl header

2005-11-15 20:39  rstory

   * agent/mibgroup/mibII/udpTable.c:

   - solaris fixes
     - don't set sorted flag for solaris (data on sf cf 5.9 is not sorted)
     - reverse condition on idle test so some data gets returned

2005-11-15 19:25  rstory

   * agent/mibgroup/ip-mib/inetNetToMediaTable/inetNetToMediaTable.c
:

   use state from arp entry instead of hardcoded value

2005-11-15 19:24  rstory

   *
     agent/mibgroup/ip-mib/inetNetToMediaTable/inetNetToMediaTable_data_access.c
:

   default row status to active

2005-11-15 19:24  tanders

   * testing/tests/T065agentextend:

   introduce snmpd test for extend

2005-11-15 19:23  rstory

   * agent/mibgroup/ip-mib/data_access/arp_linux.c:

   - don't ignore incomplete entries
   - set state to reachable if ! incomplete

2005-11-15 19:02  tanders

   * testing/tests/T200snmpv2cwalkall:

   fix typo

2005-11-15 18:46  tanders

   * testing/tests/T061agentperl:

   some optimization

2005-11-15 18:32  rstory

   * README.agentx:

   document default ping interval

2005-11-15 18:12  tanders

   * man/snmpd.conf.5.def:

   minor tweaks

2005-11-15 17:46  tanders

   * README.agentx:

   minor tweaks

2005-11-15 11:37  rstory

   * net-snmp-config.in, agent/snmp_agent.c,
     agent/snmpd.c, apps/snmptrapd.c:

   ping, pong; restore netsnmp_running changes

2005-11-15 10:51  dts12

   * man/snmpd.conf.5.def:

   Review and revise AgentX config.

2005-11-15 09:35  dts12

   * man/snmpd.conf.5.def:

   Review and revise dlmod, proxy and SMUX descriptions
   (plus assorted minor tweaks)

2005-11-15 05:28  dts12

   * FAQ:

   Expand discussion of mib2c configs.

2005-11-14 20:19  alex_b

   * apps/snmpnetstat/inet6.c:

   Win32:  snmpnetstat IPv6 build fixes

2005-11-14 19:11  tanders

   * testing/tests/T061agentperl:

   We finally have snmpd embedded perl testing. Feel free to review/scream/back out -- or applaud.

2005-11-14 18:19  rstory

   * snmplib/file_utils.c:

   - remove C++ style comments
   - add additional error handling/logging
   - more comments
   - doxygen docs

2005-11-14 18:02  hardaker

   * snmplib/: snmpSTDDomain.c, snmplocalsm.c:

   remove C++ related comments

2005-11-14 17:59  hardaker

   * dist/makerelease:

   don't manual update to SF servers

2005-11-14 17:46  rstory

   * snmplib/callback.c:

   - undefine  NETSNMP_PARANOID_LEVEL_HIGH, document what it does
   - update lock assert/warn cases for lock per callback expectations

2005-11-14 17:28  rstory

   *
     agent/mibgroup/ip-mib/ipAddressPrefixTable/ipAddressPrefixTable_data_access.c
:

   remove commented out code

2005-11-14 17:26  rstory

   * agent/mibgroup/ip-forward-mib/data_access/route_ioctl.c:

   remove commented out includes

2005-11-14 17:25  rstory

   * agent/helpers/table_tdata.c:

   remove c++ style commented out code

2005-11-14 17:23  rstory

   * agent/helpers/row_merge.c:

   remove temporary comments

2005-11-14 13:16  rstory

   * agent/helpers/table_container.c:

   fix bug 1352554: Seg fault in netsnmp_container_table_row_insert

2005-11-14 13:12  rstory

   * net-snmp-config.in, agent/snmp_agent.c,
     agent/snmpd.c, apps/snmptrapd.c:

   - move running flag back into applications
   - restore infinite loop in get-next loop handling

2005-11-14 11:32  tanders

   * man/snmpd.conf.5.def:

   document smuxsocket and enhance AgentX*

2005-11-14 10:54  tanders

   * man/snmpd.conf.5.def:

   minor fixes after reviewing Dave's changes

2005-11-14 10:43  dts12

   * man/snmpd.conf.5.def:

   Review and revise embedded perl documentation.

2005-11-14 06:35  dts12

   * man/snmpd.conf.5.def:

   Fix a couple of typos, and specify a more definite SET
   protocol for 'pass_persist' - compatible with the
   current behaviour, but opening the door for more
   flexible handling in the future.

2005-11-14 06:29  dts12

   * man/snmpd.conf.5.def:

   Review and revise pass-through support.

2005-11-14 06:22  dts12

   * man/snmpd.conf.5.def:

   Review and revise "exec"/"extend" documention

2005-11-14 05:55  dts12

   * man/snmpd.conf.5.def:

   Consolidate all the extension mechanisms to be documented together.

2005-11-14 05:53  dts12

   * man/snmpd.conf.5.def:

   Review the Access Control section, including separation into
   distinct subsections.

2005-11-14 05:52  dts12

   * man/snmpd.conf.5.def:

   Simple documentation for the auth* directives.

2005-11-14 04:41  tanders

   * agent/mibgroup/mibII/udpTable.c:

   fix typo

2005-11-14 01:52  rstory

   * dist/makerelease:

   check for gpg key instead of userid

2005-11-14 01:47  rstory

   * dist/makerelease:

   add option to repeat failed steps

2005-11-14 01:44  rstory

   * FAQ, README, perl/OID/OID.pm,
     perl/default_store/default_store.pm:

   version update

2005-11-14 01:39  rstory

   * perl/TrapReceiver/TrapReceiver.pm:

   - (perl/TrapReceiver/TrapReceiver.pm): version tag ( 5.3.pre3 )

2005-11-14 01:39  rstory

   * perl/AnyData_SNMP/Storage.pm:

   - (perl/AnyData_SNMP/Storage.pm): version tag ( 5.3.pre3 )

2005-11-14 01:39  rstory

   * perl/ASN/ASN.pm:

   - (perl/ASN/ASN.pm): version tag ( 5.3.pre3 )

2005-11-14 01:38  rstory

   * perl/agent/default_store/default_store.pm:

   - (perl/agent/default_store/default_store.pm): version tag ( 5.3.pre3 )

2005-11-14 01:38  rstory

   * perl/agent/agent.pm:

   - (perl/agent/agent.pm): version tag ( 5.3.pre3 )

2005-11-14 01:38  rstory

   * perl/SNMP/SNMP.pm:

   - (perl/SNMP/SNMP.pm): version tag ( 5.3.pre3 )

2005-11-14 01:38  rstory

   * sedscript.in:

   - (sedscript.in): version tag ( 5.3.pre3 )

2005-11-14 01:38  rstory

   * dist/net-snmp.spec:

   - (dist/net-snmp.spec): version tag ( 5.3.pre3 )

2005-11-14 01:37  rstory

   * snmplib/snmp_version.c:

   - (snmplib/snmp_version.c): version tag ( 5.3.pre3 )

2005-11-14 01:37  rstory

   * ChangeLog:

   version update

2005-11-14 01:36  rstory

   * NEWS:

   note agentx subagent connect after configs fix

2005-11-14 01:26  rstory

   * agent/Makefile.depend, apps/snmpnetstat/Makefile.depend
:

   make depend

2005-11-14 01:25  rstory

   * man/: netsnmp_Container_iterator.3, netsnmp_agent.3
, netsnmp_agent_registry.3, netsnmp_agent_trap.3
, netsnmp_asn1_packet_parse.3, netsnmp_baby_steps.3
, netsnmp_bulk_to_next.3, netsnmp_cache_handler.3
, netsnmp_callback.3, netsnmp_container.3,
     netsnmp_data_list.3, netsnmp_debug.3,
     netsnmp_default_store.3, netsnmp_handler.3,
     netsnmp_instance.3, netsnmp_iterator_info_s.3,
     netsnmp_leaf.3, netsnmp_library.3,
     netsnmp_mib_utilities.3, netsnmp_mode_end_call.3,
     netsnmp_multiplexer.3,
     netsnmp_netsnmp_agent_request_info_s.3,
     netsnmp_netsnmp_column_info_t.3,
     netsnmp_netsnmp_data_list_s.3,
     netsnmp_netsnmp_handler_registration_s.3,
     netsnmp_netsnmp_iterator_info_s.3,
     netsnmp_netsnmp_mib_handler_access_methods.3,
     netsnmp_netsnmp_mib_handler_methods.3,
     netsnmp_netsnmp_mib_handler_s.3,
     netsnmp_netsnmp_request_info_s.3,
     netsnmp_netsnmp_table_registration_info_s.3,
     netsnmp_netsnmp_table_request_info_s.3,
     netsnmp_oid_stash.3, netsnmp_old_api.3,
     netsnmp_read_config.3, netsnmp_read_only.3,
     netsnmp_row_merge.3, netsnmp_scalar.3,
     netsnmp_scalar_group_group.3, netsnmp_serialize.3,
     netsnmp_snmp_agent.3, netsnmp_snmp_alarm.3,
     netsnmp_snmp_client.3, netsnmp_snmp_logging.3,
     netsnmp_snmp_pdu.3, netsnmp_snmp_session.3,
     netsnmp_stash_cache.3, netsnmp_table.3,
     netsnmp_table_array.3, netsnmp_table_container.3,
     netsnmp_table_data.3, netsnmp_table_dataset.3,
     netsnmp_table_iterator.3, netsnmp_util.3,
     netsnmp_utilities.3, netsnmp_variable_list.3,
     netsnmp_watcher.3:

   documentation update

2005-11-14 01:19  rstory

   * configure:

   version update

2005-11-14 01:10  rstory

   * configure, configure.in:

   version update

2005-11-14 00:14  rstory

   * agent/mibgroup/versiontag:

   remove unneeded repository spec

2005-11-13 22:10  alex_b

   * win32/: Makefile.in, install-net-snmp.bat,
     dist/installer/net-snmp.nsi:

   -Win32: Add missing mib2c-data to installer
   -Win32: Use wildcards in installer for installing files to help prevent
    missing files.

2005-11-13 22:00  rstory

   * net-snmp-config.in, agent/snmp_agent.c,
     agent/snmpd.c, apps/snmptrapd.c:

   - new netsnmp_running global in agent lib
     - used in place of while(1) in get next processing loop
     - daemons w/sighandler updated to clear flag on sigterm

2005-11-11 21:55  alex_b

   * win32/net-snmp/: net-snmp-config.h, net-snmp-config.h.in
:

   Win32:  Fix NI_MAXHOST define.

2005-11-11 21:11  alex_b

   * apps/snmpnetstat/inet.c:

   Win32: Work around for bug 1278743:  If trying to reverse lookup
   127.0.0.1, return 'localhost' to prevent Windows from returning the
   local computer name because it ignores the hosts file.

2005-11-10 19:48  tanders

   * testing/tests/T0160snmpv2cbulkget:

   fix typo

2005-11-10 19:18  tanders

   * README.solaris:

   fix syntax typo

2005-11-10 18:55  tanders

   * testing/tests/T160snmpnetstat:

   clarify that this test requires a working udpTable

2005-11-10 18:22  tanders

   * include/net-snmp/system/openbsd.h:

   build fix for OpenBSD/SPARC 3.7

2005-11-10 14:37  rstory

   * agent/mibgroup/agentx/subagent.c:

   - agentx init rework
     - protect against multiple calls to subagent_init
     - don't connect to master in subagent_init, instead register POST_CONFIG
       callback to do so

2005-11-10 14:27  rstory

   * snmplib/callback.c:

   - finer grained locking of callbacks (per subid), allowing a callback to
     manipulate (reg/unreg) other callbacks
   - more debugging
   - add static flag for init
     - memset and init variables in init_callback if not done yet
     - call init_callback, if needed, from all functions

2005-11-10 14:15  rstory

   * agent/snmp_agent.c:

   - agentx init rework
     restore backwards compatibility (no subagent init in init_master_agent())

2005-11-10 14:12  rstory

   * agent/snmp_vars.c:

   - agentx init rework:
     restore backwards compatibility (call subagent in in init_agent)

2005-11-10 05:13  dts12

   * agent/mibgroup/disman/: event.h, event-mib.h,
     old-event-mib.h:

   Split original and new Event MIB implementations into distinct
   "module group" headers, and use the original name to warn of the changes.

2005-11-10 05:10  dts12

   * configure, configure.in:

   Add support for MIB modules to generate configure warnings or errors

2005-11-10 04:46  dts12

   * apps/snmpnetstat/: main.c, netstat.h, route.c:

   Silence a couple of compiler warnings

2005-11-10 04:45  dts12

   * apps/snmpnetstat/if.c:

   Don't choke on missing interfaces (and silence a couple of compiler warnings)

2005-11-10 04:44  dts12

   * apps/snmpnetstat/: inet.c, inet6.c:

   Suppress headers for empty TCP displays (and fix a minor typo)

2005-11-09 21:33  alex_b

   * agent/snmpd.c, apps/snmptrapd.c,
     snmplib/winservice.c:

   -Win32: Force Event Log, SCM, registry etc to use long
    name for service (Net-SNMP Agent instead of snmpd).  Needed
    because of new -n option in snmpd.  Note:  The snmpd -n option
    does not change the Windows service name etc, only the config
    file loaded.

2005-11-09 19:34  tanders

   * testing/Makefile.in:

   "make test-mibs" still won't work if build dir != source dir, but it's closer now

2005-11-09 18:41  rstory

   * agent/mibgroup/agentx/: agentx_config.h, subagent.h:

   agentx init rework: update prototypes for renamed functions

2005-11-09 18:24  tanders

   * agent/mibgroup/agentx/subagent.c:

   debug message should match code

2005-11-09 17:38  rstory

   * agent/mibgroup/: ip-mib/ipAddressPrefixTable/.cvsignore,
     ip-mib/ipv4InterfaceTable/.cvsignore,
     ip-mib/ipv6InterfaceTable/.cvsignore,
     udp-mib/udpEndpointTable/.cvsignore:

   ignore executables, makefiles, txt files, subagent files

2005-11-09 17:31  rstory

   * apps/snmpnetstat/inet6.c:

   remove duplicate include

2005-11-09 17:28  rstory

   * dist/nsb-functions:

   more specific error regexp

2005-11-09 17:26  rstory

   * apps/snmptrapd.c:

   agentx init rework: update for function name changes

2005-11-09 17:25  rstory

   * agent/mibgroup/agentx/subagent.c:

   - agentx init rework
     - ifdef entire module based on using agentx subagent module
     - rename init fucntion so we can control when it is called
     - remove subagent_pre_init
       - config stuff moved into agentx_config.c
       - connection establishment moved to subagent_init, now that it's called
         after configs have been read

2005-11-09 17:21  rstory

   * agent/mibgroup/agentx/agentx_config.c:

   - consolidate master and subagent configs in this file
     - slight code re-org (no changes; move agentx socket parsing to top)
     - register ping interval config and set default
     - rename init function so configure won't add it to modules inits, so we
       can call it when we want it to be called

2005-11-09 17:18  rstory

   * agent/snmp_agent.c:

   - agentx init rework: init subagent in init_master_agent
   - assert if role isn't master or sub-agent

2005-11-09 17:16  rstory

   * agent/snmp_vars.c:

   - agentx init rework
     - don't init subagent here (configs haven't been read yet)
     - only init master/sub configs

2005-11-09 17:12  rstory

   * README.agent-mibs:

   update for new tables

2005-11-08 07:21  dts12

   * apps/snmpnetstat/: if.c, main.c, netstat.h:

   Implement Open/NetBSD-style octet interface display.

2005-11-08 07:17  dts12

   * apps/snmpnetstat/if.c:

   Right-justify headings for counter values.
   (looks neater when individual values become relatively wide)

2005-11-08 07:04  dts12

   * apps/snmpnetstat/inet6.c:

   Fix problems walking the IPv6 connection tables.

2005-11-08 06:59  dts12

   * agent/helpers/cache_handler.c:

   Only schedule automatic loading once for any given cache.

2005-11-07 22:46  hardaker

   * dist/makerelease:

   ChangeLog note

2005-11-07 21:45  alex_b

   * win32/: net-snmp/net-snmp-config.h,
     net-snmp/net-snmp-config.h.in, snmpnetstat/Makefile.in
, snmpnetstat/snmpnetstat.dsp:

   Win32:  MSVC build fixes.

2005-11-07 19:49  tanders

   * testing/tests/T060trapdperl:

   introduce embedded perl test for snmptrapd (too fancy to resist)

2005-11-07 19:42  tanders

   * apps/snmpnetstat/Makefile.in:

   build fix: fss->ffs

2005-11-07 18:54  tanders

   * perl/ASN/ASN.pm:

   fix typo

2005-11-07 18:34  tanders

   * perl/TrapReceiver/TrapReceiver.pm:

   fix typos

2005-11-07 13:41  rstory

   * agent/snmpd.c:

   drop default timeout down to INT_MAX, and document why

2005-11-07 09:39  dts12

   * apps/snmpnetstat/: Makefile.in, ffs.c, if.c,
     main.c, netstat.h, route.c:

   Tweaks to support building under Windows
     (including renamed 'ffs()' routine, taken from OpenBSD source tree)

2005-11-07 06:47  dts12

   * apps/snmpnetstat/if.c:

   Display interface addressing information.

2005-11-07 01:57  rstory

   * perl/TrapReceiver/TrapReceiver.pm:

   - (perl/TrapReceiver/TrapReceiver.pm): version tag ( 5.3.pre2 )

2005-11-07 01:57  rstory

   * perl/AnyData_SNMP/Storage.pm:

   - (perl/AnyData_SNMP/Storage.pm): version tag ( 5.3.pre2 )

2005-11-07 01:56  rstory

   * perl/ASN/ASN.pm:

   - (perl/ASN/ASN.pm): version tag ( 5.3.pre2 )

2005-11-07 01:56  rstory

   * perl/OID/OID.pm:

   - (perl/OID/OID.pm): version tag ( 5.3.pre2 )

2005-11-07 01:56  rstory

   * perl/default_store/default_store.pm:

   - (perl/default_store/default_store.pm): version tag ( 5.3.pre2 )

2005-11-07 01:56  rstory

   * perl/agent/default_store/default_store.pm:

   - (perl/agent/default_store/default_store.pm): version tag ( 5.3.pre2 )

2005-11-07 01:56  rstory

   * perl/agent/agent.pm:

   - (perl/agent/agent.pm): version tag ( 5.3.pre2 )

2005-11-07 01:56  rstory

   * perl/SNMP/SNMP.pm:

   - (perl/SNMP/SNMP.pm): version tag ( 5.3.pre2 )

2005-11-07 01:55  rstory

   * sedscript.in:

   - (sedscript.in): version tag ( 5.3.pre2 )

2005-11-07 01:55  rstory

   * dist/net-snmp.spec:

   - (dist/net-snmp.spec): version tag ( 5.3.pre2 )

2005-11-07 01:55  rstory

   * FAQ:

   - (FAQ): version tag ( 5.3.pre2 )

2005-11-07 01:54  rstory

   * README:

   - (README): version tag ( 5.3.pre2 )

2005-11-07 01:54  rstory

   * snmplib/snmp_version.c:

   - (snmplib/snmp_version.c): version tag ( 5.3.pre2 )

2005-11-07 01:54  rstory

   * ChangeLog:

   version update

2005-11-07 01:44  rstory

   * agent/Makefile.depend, agent/helpers/Makefile.depend
, agent/mibgroup/Makefile.depend,
     apps/Makefile.depend, snmplib/Makefile.depend:

   make depend

2005-11-07 01:43  rstory

   * man/: netsnmp_Container_iterator.3, netsnmp_agent.3
, netsnmp_agent_registry.3, netsnmp_agent_trap.3
, netsnmp_asn1_packet_parse.3, netsnmp_baby_steps.3
, netsnmp_bulk_to_next.3, netsnmp_cache_handler.3
, netsnmp_callback.3, netsnmp_container.3,
     netsnmp_data_list.3, netsnmp_debug.3,
     netsnmp_default_store.3, netsnmp_handler.3,
     netsnmp_instance.3, netsnmp_iterator_info_s.3,
     netsnmp_leaf.3, netsnmp_library.3,
     netsnmp_mib_utilities.3, netsnmp_mode_end_call.3,
     netsnmp_multiplexer.3,
     netsnmp_netsnmp_agent_request_info_s.3,
     netsnmp_netsnmp_column_info_t.3,
     netsnmp_netsnmp_data_list_s.3,
     netsnmp_netsnmp_handler_registration_s.3,
     netsnmp_netsnmp_iterator_info_s.3,
     netsnmp_netsnmp_mib_handler_access_methods.3,
     netsnmp_netsnmp_mib_handler_methods.3,
     netsnmp_netsnmp_mib_handler_s.3,
     netsnmp_netsnmp_request_info_s.3,
     netsnmp_netsnmp_table_registration_info_s.3,
     netsnmp_netsnmp_table_request_info_s.3, netsnmp_oid_stash.3
, netsnmp_old_api.3, netsnmp_read_config.3,
     netsnmp_read_only.3, netsnmp_row_merge.3,
     netsnmp_scalar.3, netsnmp_scalar_group_group.3,
     netsnmp_serialize.3, netsnmp_snmp_agent.3,
     netsnmp_snmp_alarm.3, netsnmp_snmp_client.3,
     netsnmp_snmp_logging.3, netsnmp_snmp_pdu.3,
     netsnmp_snmp_session.3, netsnmp_stash_cache.3,
     netsnmp_table.3, netsnmp_table_array.3,
     netsnmp_table_container.3, netsnmp_table_data.3,
     netsnmp_table_dataset.3, netsnmp_table_iterator.3,
     netsnmp_util.3, netsnmp_utilities.3,
     netsnmp_variable_list.3, netsnmp_watcher.3:

   documentation update

2005-11-07 01:38  rstory

   * configure.in, configure:

   version update

2005-11-07 01:14  rstory

   * snmplib/snmp_client.c:

   don't try to use agent var in base lib (it was late, ok?)

2005-11-07 00:16  rstory

   * snmplib/snmp_client.c:

   break out of waiting loops if ! running

2005-11-06 22:34  alex_b

   * include/net-snmp/types.h, win32/net-snmp/net-snmp-config.h
, win32/net-snmp/net-snmp-config.h.in:

   Win32:  Move uint16_t definition to static win32 net-snmp-config.h

2005-11-06 21:27  alex_b

   * include/net-snmp/types.h,
     win32/libnetsnmptrapd/Makefile.in,
     win32/libnetsnmptrapd/libnetsnmptrapd.dsp,
     win32/netsnmpmibssdk/Makefile.in,
     win32/netsnmpmibssdk/netsnmpmibssdk.dsp:

   Win32 MSVC build fixes

2005-11-05 18:19  rstory

   * agent/snmp_agent.c:

   break out of getnext loop if ! running

2005-11-05 17:46  tanders

   * testing/TESTCONF.sh:

   only use "ulimit -v" in bash

2005-11-05 17:43  rstory

   * configure:

   update for configure.in

2005-11-05 17:24  tanders

   * dist/nsb-functions:

   adjust error regex: don't fail on &entry->schedLastFailed, &fail etc.

2005-11-05 17:09  rstory

   * dist/nsb-functions:

   - allow over-ride of NSB_(DIST|EXTRA)_MODULES
   - remove testhandler from EXTRA modules (hangs snmpwalk)
   - set SNMP_TMPDIR_BASE (future use)

2005-11-05 17:01  rstory

   * snmplib/snmpUDPDomain.c:

   I'll take my port numbers unsigned, please

2005-11-05 16:40  rstory

   * agent/mibgroup/mibII/tcp.c:

   include netinet/tcp_var.h, if available

2005-11-05 16:38  tanders

   * testing/TESTCONF.sh:

   deliberately ignore ulimit failures

2005-11-05 16:19  rstory

   * agent/mibgroup/mibII/tcp.c:

   remove sys/socketvar.h, since mibII_common.h already has it

2005-11-05 14:43  rstory

   * configure.in:

   - switch disman module list back to event-mib (still uses new code)
   - remove event mib conflict check (handled by config_excludes)

2005-11-05 14:41  rstory

   * agent/mibgroup/disman/event-mib.h:

   - centralize event mib requires in original event-mib.h
   - default to re-writes
   - whichever implementation is selected, config_exclude the other

2005-11-05 14:40  rstory

   * agent/mibgroup/disman/event.h:

   - centralize event mib requires in original event-mib.h

2005-11-05 13:15  tanders

   * apps/snmpnetstat/main.c:

   fix optProc signature

2005-11-04 18:46  tanders

   * apps/snmpnetstat/inet6.c:

   Build fix: protect #include <sys/cdefs.h>

2005-11-04 13:05  rstory

   * apps/snmpnetstat/route.c:

   remove redundant include

2005-11-04 13:05  rstory

   * apps/snmpnetstat/netstat.h:

   check if we have header before including it

2005-11-04 11:59  dts12

   * apps/snmpnetstat/: main.c, netstat.h:

   Move the option flag variable declarations into a code file.

2005-11-04 11:51  dts12

   * apps/snmpnetstat/inet6.c:

   Poertability of 'sin6_len' field is unclear
   (and it doesn't immediately seem to be needed)

2005-11-04 11:44  rstory

   * apps/snmpnetstat/netstat.h:

   add void to empty prototype param list

2005-11-04 09:45  dts12

   * configure.in, configure:

   Detect (and reject) use of conflicting Event-MIB implementations.

2005-11-04 07:41  dts12

   * apps/snmpnetstat/: inet6.c, main.c, main.h,
     netstat.h:

   Preliminary implementation of IPv6 support

2005-11-04 07:31  dts12

   * apps/snmpnetstat/inet.c:

   Plug minor memory leak.

2005-11-03 20:02  hardaker

   * perl/TrapReceiver/perl_snmptrapd.h:

   update .h from the trapd.h files

2005-11-03 19:59  hardaker

   * perl/TrapReceiver/TrapReceiver.xs:

   make perl only require the execute bit

2005-11-03 11:52  tanders

   * testing/tests/T160snmpnetstat:

   adjust to new snmpnetstat options

2005-11-03 11:47  dts12

   * apps/snmpnetstat/: inet6.c, main.c, route.c:

   Ensure IPv6 code is omitted (until it can be properly ported/tested)

2005-11-03 11:46  dts12

   * apps/snmpnetstat/main.c:

   Omit redundent declarations.

2005-11-03 11:28  dts12

   * apps/snmpnetstat/inet.c:

   Remove code for determining RPC service names
   (not relevant/appropriate for SNMP-based queries)

2005-11-03 08:58  dts12

   * apps/snmpnetstat/route.c:

   Better handling of host-specific routes, and displaying gateway/host names.

2005-11-03 07:21  dts12

   * apps/snmpnetstat/: main.c, route.c:

   Re-implement routing table display (based on OpenBSD code)

2005-11-03 07:19  dts12

   * apps/snmpnetstat/if.c:

   Fix problems with repeated interface display.

2005-11-02 16:21  rstory

   * apps/snmpnetstat/route.c:

   move include after net-snmp-includes.h; fix global session name

2005-11-02 12:07  rstory

   * agent/mibgroup/ip-mib/data_access/ipaddress_linux.h:

   remove bogus experimental config macro

2005-11-02 12:06  rstory

   * agent/mibgroup/examples/watched.h:

   add missing semi-colon

2005-11-02 09:25  dts12

   * apps/snmpnetstat/: if.c, inet.c, main.c,
     main.h, netstat.h:

   Preliminary re-implementation, based on re-distributable OpenBSD code.
   (Note that if.c draws heavily on the FreeBSD interface display behaviour,
    which is somewhat different to the Net/OpenBSD approach)

2005-11-02 01:56  hardaker

   * NEWS:

   minor word twiddles

2005-11-02 01:50  hardaker

   * configure, configure.in, agent/snmp_perl.c:

   fix embedded perl and ensure compilation failures if turned on but functions missing

2005-11-01 15:24  hardaker

   * local/mib2c:

   don't add notify objects to the scalar list

2005-11-01 04:02  tanders

   * testing/TESTCONF.sh:

   more portable way of calling ulimit

2005-10-31 07:40  tanders

   * include/net-snmp/system/osf5.h:

   Tru64 Unix 5.1 build fix: make sure UINT32_MAX is defined

2005-10-31 06:11  tanders

   * dist/: nsb-nightly, nsb-package:

   more portable way of calling bash

2005-10-31 05:36  tanders

   * snmplib/text_utils.c:

   Solaris build fix: include limits.h for [U]LONG_MAX and LONG_MIN

2005-10-31 04:29  rstory

   * agent/Makefile.depend, agent/helpers/Makefile.depend
, agent/mibgroup/Makefile.depend,
     apps/snmpnetstat/Makefile.depend, apps/Makefile.depend
, snmplib/Makefile.depend:

   make depend

2005-10-31 04:27  rstory

   * man/: netsnmp_Container_iterator.3, netsnmp_agent.3
, netsnmp_agent_registry.3, netsnmp_agent_trap.3
, netsnmp_asn1_packet_parse.3, netsnmp_baby_steps.3
, netsnmp_bulk_to_next.3, netsnmp_cache_handler.3
, netsnmp_callback.3, netsnmp_container.3,
     netsnmp_data_list.3, netsnmp_debug.3,
     netsnmp_default_store.3, netsnmp_handler.3,
     netsnmp_instance.3, netsnmp_iterator_info_s.3,
     netsnmp_leaf.3, netsnmp_library.3,
     netsnmp_mib_utilities.3, netsnmp_mode_end_call.3,
     netsnmp_multiplexer.3,
     netsnmp_netsnmp_agent_request_info_s.3,
     netsnmp_netsnmp_column_info_t.3,
     netsnmp_netsnmp_data_list_s.3,
     netsnmp_netsnmp_handler_registration_s.3,
     netsnmp_netsnmp_iterator_info_s.3,
     netsnmp_netsnmp_mib_handler_access_methods.3,
     netsnmp_netsnmp_mib_handler_methods.3,
     netsnmp_netsnmp_mib_handler_s.3,
     netsnmp_netsnmp_request_info_s.3,
     netsnmp_netsnmp_table_registration_info_s.3,
     netsnmp_netsnmp_table_request_info_s.3, netsnmp_oid_stash.3
, netsnmp_old_api.3, netsnmp_read_config.3,
     netsnmp_read_only.3, netsnmp_row_merge.3,
     netsnmp_scalar.3, netsnmp_scalar_group_group.3,
     netsnmp_serialize.3, netsnmp_snmp_agent.3,
     netsnmp_snmp_alarm.3, netsnmp_snmp_client.3,
     netsnmp_snmp_logging.3, netsnmp_snmp_pdu.3,
     netsnmp_snmp_session.3, netsnmp_stash_cache.3,
     netsnmp_table.3, netsnmp_table_array.3,
     netsnmp_table_container.3, netsnmp_table_data.3,
     netsnmp_table_dataset.3, netsnmp_table_iterator.3,
     netsnmp_util.3, netsnmp_utilities.3,
     netsnmp_variable_list.3, netsnmp_watcher.3:

   documentation update

2005-10-31 04:24  rstory

   * configure, configure.in:

   version update

2005-10-31 04:14  rstory

   * agent/mibgroup/host/hr_storage.c:

   patches from apple

2005-10-31 04:01  rstory

   * include/net-snmp/system/darwin7.h,
     agent/mibgroup/ucd_snmp.h:

   patches from apple

2005-10-31 04:00  rstory

   * agent/mibgroup/ucd-snmp/: memory_darwin7.c,
     memory_darwin7.h, vmstat_darwin7.c, vmstat_darwin7.h
:

   memory/vmstats code from apple

2005-10-31 03:48  rstory

   * agent/mibgroup/udp-mib/udpEndpointTable/udpEndpointTable.c,
     agent/mibgroup/udp-mib/udpEndpointTable/udpEndpointTable.h,
     agent/mibgroup/udp-mib/udpEndpointTable/udpEndpointTable_constants.h
,
     agent/mibgroup/udp-mib/udpEndpointTable/udpEndpointTable_data_access.c
,
     agent/mibgroup/udp-mib/udpEndpointTable/udpEndpointTable_data_access.h
,
     agent/mibgroup/udp-mib/udpEndpointTable/udpEndpointTable_interface.c
,
     agent/mibgroup/udp-mib/udpEndpointTable/udpEndpointTable_interface.h
, agent/mibgroup/udp-mib/data_access/udp_endpoint.h,
     agent/mibgroup/udp-mib/data_access/udp_endpoint_common.c,
     agent/mibgroup/udp-mib/data_access/udp_endpoint_linux.c,
     agent/mibgroup/udp-mib/data_access/udp_endpoint_private.h,
     include/net-snmp/data_access/udp_endpoint.h:

   first pass at udpEndpointTable

2005-10-31 03:48  tanders

   * testing/TESTCONF.sh:

   set cpu and memory limits to prevent major damage, especially since we now have a full snmpwalk test

2005-10-30 23:32  rstory

   * agent/mibgroup/ip-mib/ipAddressTable/ipAddressTable_interface.c
:

   quiet compiler

2005-10-30 23:32  rstory

   * agent/mibgroup/ip-mib/: data_access/ipaddress_ioctl.c,
     ipAddressPrefixTable/ipAddressPrefixTable_data_access.c:

   remove unused var

2005-10-30 23:28  rstory

   * agent/mibgroup/ip-mib/ipAddressTable/ipAddressTable.c:

   calculate prefix oid as needed

2005-10-30 23:27  rstory

   * agent/mibgroup/ip-mib/data_access/ipaddress_linux.c:

   remove prefix oid; add prefix len

2005-10-30 23:26  rstory

   * agent/mibgroup/ip-mib/data_access/ipaddress_common.c:

   remove prefix oid

2005-10-30 23:26  rstory

   * include/net-snmp/data_access/ipaddress.h:

   - get rid of prefix oid
   - add prefix len
   - add prefix function prototypes

2005-10-30 22:45  rstory

   * agent/mibgroup/ip-mib/data_access/ipaddress_common.c:

   - don't use test correct flag bit
   - add prefix utility routines

2005-10-30 22:41  rstory

   * agent/mibgroup/ip-mib/ipAddressTable/ipAddressTable_interface.c
:

   add access to container

2005-10-30 22:41  rstory

   * agent/mibgroup/ip-mib/ipAddressTable/ipAddressTable_data_access.c
:

   do not use init flag with load routine

2005-10-30 22:39  rstory

   * agent/mibgroup/ip-mib/data_access/ipaddress_ioctl.c:

   - remove inet6 code, since there we aren't using ipv6 ioctls
   - add prefix len

2005-10-30 22:37  rstory

   * agent/mibgroup/ip-mib/: ipAddressTable.h,
     ipAddressTable/ipAddressTable.h:

   move detailed config_require macros down a level

2005-10-30 22:37  rstory

   * agent/mibgroup/ip-forward-mib/data_access/route_linux.c:

   use new util func to calculate prefix len

2005-10-30 22:34  rstory

   * local/mib2c-conf.d/mfd-interface.m2c:

   only check dirty flag for writable tables

2005-10-30 22:33  rstory

   * agent/mibgroup/ip-mib/ipAddressPrefixTable/:
     ipAddressPrefixTable.c, ipAddressPrefixTable.h,
     ipAddressPrefixTable_constants.h,
     ipAddressPrefixTable_data_access.c,
     ipAddressPrefixTable_data_access.h,
     ipAddressPrefixTable_interface.c,
     ipAddressPrefixTable_interface.h:

   initial pass at ipAddressPrefixTable

2005-10-30 15:49  rstory

   * include/net-snmp/types.h:

   new netsnmp_cvalue union

2005-10-30 15:49  rstory

   * include/net-snmp/library/text_utils.h, snmplib/text_utils.c
:

   more new utility functions

2005-10-30 14:01  rstory

   * include/net-snmp/library/file_utils.h,
     include/net-snmp/library/text_utils.h, snmplib/Makefile.in
, snmplib/file_utils.c, snmplib/text_utils.c:

   new util files

2005-10-30 13:49  rstory

   * snmplib/container_binary_array.c:

   add support for unsorted flag

2005-10-30 13:48  rstory

   * snmplib/container.c:

   - add compare function ptr to container type struct
   - set compare func from container type struct
   - register some string compare based binary array types

2005-10-30 13:46  rstory

   * include/net-snmp/library/container.h:

   - new container register with compare prototype
   - add unsorted container flag
   - fix container options macros
     - add rc param
     - missing }

2005-10-29 18:12  tanders

   * testing/tests/T035snmpv3trapdusermgmt:

   test change and usage of localized keys

2005-10-29 17:29  tanders

   * testing/tests/T059trapdtraphandle:

   introduce snmptrapd traphandle test

2005-10-29 15:58  tanders

   * testing/tests/T200snmpv2cwalkall:

   Introduce full snmpwalk test. Needs a significant amount of CPU cycles, but will catch important issues like when a simple walk crashes/hangs the agent.

2005-10-29 08:17  rstory

   * agent/mibgroup/examples/: data_set.h, delayed_instance.h
, example.h, netSnmpHostsTable.h,
     netSnmpHostsTable_access.h, netSnmpHostsTable_checkfns.h
, netSnmpHostsTable_checkfns_local.h, notification.h
, scalar_int.h, ucdDemoPublic.h:

   add missing header protect and/or cplusplus ifdefs

2005-10-29 08:16  rstory

   * agent/mibgroup/examples/watched.h:

   add missing header for watched.h

2005-10-28 23:31  rstory

   * agent/mibgroup/ip-mib/data_access/arp.h:

   - remove extra ;
   - fix typo in configure macro

2005-10-28 23:30  rstory

   * agent/mibgroup/if-mib/data_access/: interface_ioctl.c,
     interface_ioctl.h:

   reduce scope of ioctl version checking to v4 only (no ipv6 ioctls)

2005-10-28 23:27  rstory

   *
     agent/mibgroup/ip-mib/ipv4InterfaceTable/ipv4InterfaceTable_interface.h
:

   correct cut-n-paste error in prototype

2005-10-28 23:26  rstory

   *
     agent/mibgroup/ip-mib/ipv4InterfaceTable/ipv4InterfaceTable_interface.c
:

   yank more code which is unused due to container sharing

2005-10-28 23:25  rstory

   * agent/mibgroup/ip-mib/ipv4InterfaceTable/ipv4InterfaceTable.h
:

   update for changed ifentry var names

2005-10-28 23:25  rstory

   * agent/mibgroup/ip-mib/ipv4InterfaceTable/ipv4InterfaceTable.c
:

   skip vars that do not have ifentry flag set

2005-10-28 23:24  rstory

   * agent/mibgroup/ip-mib/data_access/ipaddress_linux.c:

   - add missing flags param to arch container load
   - support for ipv(4|6) only load flag
   - try to load ipv6 even if ipv4 fails

2005-10-28 23:22  rstory

   * agent/mibgroup/ip-mib/data_access/ipaddress_common.c:

   pass correct flags to container init during load

2005-10-28 23:21  rstory

   * agent/mibgroup/if-mib/data_access/interface.c,
     agent/mibgroup/if-mib/data_access/interface_linux.c,
     include/net-snmp/data_access/interface.h:

   tweaks and support for ipv6InterfaceTable

2005-10-28 23:17  rstory

   * include/net-snmp/data_access/ipaddress.h:

   new load flags

2005-10-28 23:17  rstory

   * include/net-snmp/library/container.h, snmplib/container.c
:

   add insert filtering

2005-10-28 23:13  rstory

   * agent/Makefile.in:

   - reduce dependency list on snmp_vars.lo to agent_module_list_h
   - add mib_module_list_h as dep for mib_modules.lo
   - document why read_conf.lo deps are here and not in snmplib/Makefile.in

2005-10-28 23:05  rstory

   * agent/mibgroup/ip-mib/ipv6InterfaceTable/: ipv6InterfaceTable.c
, ipv6InterfaceTable.h, ipv6InterfaceTable_constants.h
, ipv6InterfaceTable_data_access.c,
     ipv6InterfaceTable_data_access.h,
     ipv6InterfaceTable_interface.c,
     ipv6InterfaceTable_interface.h:

   implement ipv6InterfaceTable

2005-10-28 23:02  rstory

   * local/mib2c-conf.d/mfd-top.m2c:

   add shutdown prototype

2005-10-28 18:38  tanders

   * testing/tests/T030snmpv3usercreation:

   portable way of exporting SNMPCONFPATH

2005-10-28 17:28  bshaw666

   * agent/mibgroup/host/hr_swrun.c:

   logic change on getKstatInt

2005-10-28 16:06  rstory

   * local/mib2c-conf.d/mfd-top.m2c:

   remove ; from config_require macros

2005-10-28 15:47  rstory

   * agent/mibgroup/if-mib/data_access/interface.c:

   - move local include with other local includes
   - ifdef proptypes that won't be defined for NOARCH case

2005-10-28 15:40  bshaw666

   * agent/mibgroup/if-mib/data_access/interface.c:

   forgot the include for some netsnmp_arch_interface stuff

2005-10-28 14:49  bshaw666

   * agent/mibgroup/host/hr_network.c:

   you can't not declare HRN_index for solaris then expect it to return a few lines later

2005-10-28 14:20  bshaw666

   * include/net-snmp/data_access/interface.h:

   it's uint16_t not u_int16_t

2005-10-28 12:55  tanders

   * man/snmpusm.1.def:

   update on -CE and -Ck

2005-10-28 12:37  rstory

   * agent/mibgroup/ip-mib/data_access/ipaddress_ioctl.h:

   remove accidental checkin of unimplemented config macro

2005-10-28 12:31  rstory

   * configure:

   update for configure.in

2005-10-28 12:31  rstory

   * configure.in:

   add new argument to turn on debug during mib module processing

2005-10-28 12:25  rstory

   * agent/mibgroup/mibII/ipv6.h:

   require mibII/ifTable instead of mibII/interfaces

2005-10-28 12:11  rstory

   * agent/mibgroup/ip-mib/data_access/ipaddress_ioctl.c:

   - rename/revamp interface count function
     - allocate local ifconf if called didn't pass on
     - document that function allocates memory that caller must release if
       they pass in their own ifconf pointer

2005-10-28 12:08  rstory

   * agent/mibgroup/if-mib/ifXTable/ifXTable.h:

   - remove ';' form config_* macros
   - config_require ifTable, include ifTable header

2005-10-28 12:06  rstory

   * agent/mibgroup/if-mib/ifXTable/ifXTable.c:

   call ifTable init to manage ifXTable init

2005-10-28 12:03  rstory

   * agent/mibgroup/if-mib/ifTable/ifTable_data_access.c:

   - add calls to ipv(4|6) interface tables when updating rows
   - correct ifTableLastChange behaviour to comply with object definition
   - clarify some comments
   - add assert to notify us when/if and os tracks last changed on it's own

2005-10-28 12:00  rstory

   * agent/mibgroup/if-mib/ifTable/ifTable.h:

   - fix config_require macros
   - add require for data_access/interface
   - remove last change from data context, use ifentry version instead

2005-10-28 11:58  rstory

   * agent/mibgroup/if-mib/ifTable/ifTable.c:

   - make init_ifTable the common init function for interface modules
     - protect against multiple calls
     - proper init function calls for ipv(4|6)InterfaceTable/ifXTable

2005-10-28 11:56  rstory

   * agent/mibgroup/if-mib/data_access/interface_linux.c:

   - move stats parsing to it's own function
   - support new load flags: ipv4 only, no stats
   - add (hardcoded reasm_max)
   - get arp retransmit time from /proc

2005-10-28 11:53  rstory

   * agent/mibgroup/if-mib/data_access/interface_ioctl.h:

   add config_require of data_access/ipaddress

2005-10-28 11:50  rstory

   * agent/mibgroup/if-mib/data_access/interface_ioctl.c:

   new function to check an interface for ipv(4|6) ip addresses

2005-10-28 11:45  rstory

   * include/net-snmp/data_access/interface.h:

   - add warnings to update functions when adding/deleting stuct members
   - make flags field unsigned
   - unsigned int -> u_int
   - add fields for ipv4InterfaceTable
   - fix os_flags comment
   - new ns_flags defines for ipv(4|6)InterfaceTable
   - new load flags defines

2005-10-28 11:37  rstory

   * agent/mibgroup/if-mib/data_access/interface_common.c:

   rename to interface.c

2005-10-28 11:36  rstory

   * agent/mibgroup/if-mib/data_access/interface.c:

   rename interface_common.c to interface.c to easy configure processing

2005-10-28 11:36  rstory

   * agent/mibgroup/if-mib/data_access/interface_common.c:

   - revert to previous behavior of ifDescr = interface name
   - add new/missing structure members to interface copy routine
   - rename init function for pending file rename

2005-10-28 11:29  rstory

   * agent/mibgroup/: if-mib/ifTable.h, if-mib/ifXTable.h,
     if-mib/data_access/interface.h,
     if-mib/data_access/interface_ioctl.h,
     ip-forward-mib/inetCidrRouteTable.h,
     ip-forward-mib/ipCidrRouteTable.h,
     ip-forward-mib/data_access/route.h,
     ip-forward-mib/inetCidrRouteTable/inetCidrRouteTable.h,
     ip-forward-mib/ipCidrRouteTable/ipCidrRouteTable.h,
     ip-mib/inetNetToMediaTable.h, ip-mib/ipAddressTable.h
, ip-mib/ipSystemStatsTable.h, ip-mib/ip_scalars.h
, ip-mib/data_access/ipaddress.h,
     ip-mib/data_access/ipaddress_ioctl.h,
     ip-mib/data_access/ipaddress_linux.h,
     ip-mib/data_access/scalars_common.h,
     ip-mib/data_access/systemstats.h,
     snmp-notification-mib/snmpNotifyFilterTable/snmpNotifyFilterTable.h
, tcp-mib/tcpConnTable.h, tcp-mib/tcpConnectionTable.h
, tcp-mib/data_access/tcpConn.h,
     tcp-mib/tcpConnectionTable/tcpConnectionTable.h,
     tcp-mib/tcpListenerTable/tcpListenerTable.h:

   - mostly removing extraneous ';' on config_* macros
   - a few tweak config_* macros

2005-10-28 11:18  rstory

   * configure:

   update for configure.in

2005-10-28 11:17  rstory

   * configure.in:

   - check for program 'find'
   - only add header to (agent|mib)_module_includes.h if init/shutdown found

2005-10-28 10:26  tanders

   * dist/: README.build-scripts, nsb-nightly,
     nsb-package:

   fix typo

2005-10-28 09:25  rstory

   * agent/mibgroup/ip-mib/ipv4InterfaceTable/: ipv4InterfaceTable.c
, ipv4InterfaceTable.h, ipv4InterfaceTable_constants.h
, ipv4InterfaceTable_data_access.c,
     ipv4InterfaceTable_data_access.h,
     ipv4InterfaceTable_interface.c,
     ipv4InterfaceTable_interface.h,
     ipv4InterfaceTable_subagent.c:

   implement ipv4InterfaceTable

2005-10-28 08:13  tanders

   * testing/tests/T160snmpnetstat:

   make sure snmpnetstat can be executed; skip otherwise

2005-10-27 05:42  dts12

   * snmplib/: getopt.c, strtol.c, strtoul.c:

   Remove UCB advertising clause (rescinded 22 July 1999)

2005-10-27 05:38  dts12

   * apps/snmpnetstat/if.c, apps/snmpnetstat/inet.c,
     apps/snmpnetstat/inet6.c, apps/snmpnetstat/main.c,
     apps/snmpnetstat/route.c, man/snmpnetstat.1.def:

   Update BSD copyright license with the current version.

2005-10-26 18:54  tanders

   * testing/tests/T160snmpnetstat:

   add simple test for snmpnetstat to verify the upcoming rewrite

2005-10-26 18:34  tanders

   * testing/tests/T030snmpv3usercreation:

   skip on DISABLE_SET_SUPPORT

2005-10-26 17:47  tanders

   * man/snmpd.8.def:

   document generic --<name>=<value> command-line option

2005-10-26 17:22  tanders

   * man/snmptrapd.8.def:

   document generic --<name>=<value> command-line option

2005-10-26 13:15  tanders

   * apps/snmpusm.c:

   allows to use old and/or new localized key instead of pass-phrase with -Ck

2005-10-26 12:26  tanders

   * testing/tests/T030snmpv3usercreation:

   major rewrite: adds more tests and uses new Sv3usmconfig*

2005-10-26 12:23  tanders

   * testing/tests/Sv3usmconfigbase:

   fix some variable names

2005-10-26 08:21  rstory

   * agent/mibgroup/if-mib/ifTable/ifTable.c:

   remove patch flub

2005-10-26 07:07  dts12

   * agent/helpers/cache_handler.c:

   Extra debugging to help distinguish between different cache timers.

2005-10-26 07:02  dts12

   * agent/helpers/table_generic.c:

   Slight rethink about how to handle the removal of a MIB registration.
   (This is definitely one for 5.4, methinks!)

2005-10-26 06:57  dts12

   * agent/helpers/table_generic.c:

   Minor tweaks to generic table API routine names.

2005-10-26 06:56  dts12

   * agent/helpers/table_tdata.c,
     agent/mibgroup/disman/event/mteEvent.c,
     agent/mibgroup/disman/event/mteEventConf.c,
     agent/mibgroup/disman/event/mteEventNotificationTable.c,
     agent/mibgroup/disman/event/mteEventSetTable.c,
     agent/mibgroup/disman/event/mteEventTable.c,
     agent/mibgroup/disman/event/mteObjects.c,
     agent/mibgroup/disman/event/mteObjectsConf.c,
     agent/mibgroup/disman/event/mteObjectsTable.c,
     agent/mibgroup/disman/event/mteTrigger.c,
     agent/mibgroup/disman/event/mteTriggerBooleanTable.c,
     agent/mibgroup/disman/event/mteTriggerConf.c,
     agent/mibgroup/disman/event/mteTriggerDeltaTable.c,
     agent/mibgroup/disman/event/mteTriggerExistenceTable.c,
     agent/mibgroup/disman/event/mteTriggerTable.c,
     agent/mibgroup/disman/event/mteTriggerThresholdTable.c,
     agent/mibgroup/disman/expr/expErrorTable.c,
     agent/mibgroup/disman/expr/expExpression.c,
     agent/mibgroup/disman/expr/expExpressionConf.c,
     agent/mibgroup/disman/expr/expExpressionTable.c,
     agent/mibgroup/disman/expr/expObject.c,
     agent/mibgroup/disman/expr/expObjectConf.c,
     agent/mibgroup/disman/expr/expObjectTable.c,
     agent/mibgroup/disman/expr/expValue.c,
     agent/mibgroup/disman/schedule/schedConf.c,
     agent/mibgroup/disman/schedule/schedCore.c,
     agent/mibgroup/disman/schedule/schedTable.c,
     include/net-snmp/agent/table_tdata.h:

   Bring 'tdata' routine names into line with the proposed table API

2005-10-26 06:20  tanders

   * agent/mibgroup/host/hr_network.c:

   fix compile error due to wrong hpux11 test

2005-10-26 05:48  dts12

   * agent/mibgroup/mibII/vacm_conf.c:

   Move registration of standard views so that they're picked up
   by both agent and trap handler initialisation.
   Clarify which initialisation routines are called by which apps.

2005-10-25 19:08  tanders

   * agent/mibgroup/mibII/vacm_conf.c:

   temporary workaround as suggested by Dave to get snmptrapd working again

2005-10-25 19:05  rstory

   * agent/helpers/row_merge.c:

   - narrow scope of assert test
   - fix minor memory leak

2005-10-25 16:56  rstory

   * configure:

   update for configure.in

2005-10-25 16:55  rstory

   * configure.in:

   fix tests for empty var case

2005-10-25 12:41  tanders

   * testing/tests/T049snmpv3inform:

   ... and say so.

2005-10-25 12:40  tanders

   * testing/tests/T049snmpv3inform:

   clarify as being a noAuthNoPriv test

2005-10-25 11:59  tanders

   * configure, configure.in:

   fix OpenBSD 3.4 "present but cannot be compiled" warning: sys/swap.h needs sys/param.h for MAXPATHLEN

2005-10-25 11:52  rstory

   * agent/mibgroup/mibII/interfaces.c:

   remove MFD_REWRITE define tests

2005-10-25 11:51  rstory

   * agent/mibgroup/mibII/interfaces.h:

   - comment formatting
   - config_exclude if-mib/ifTable/ifTable

2005-10-25 11:49  rstory

   * include/net-snmp/library/container.h:

   add ITERATOR_RELEASE macro

2005-10-25 08:38  dts12

   * agent/mibgroup/mibII/: vacm_conf.c, vacm_conf.h:

   Alternative viewtype-based access configuration directive ("authaccess").
   Similar to "setaccess", but closer in feel to the other auth* directives.
   This also allows the security model, level and context information to be
   omitted (defaulting to sensible values).

2005-10-25 08:31  dts12

   * agent/mibgroup/mibII/vacm_conf.c:

   Arggghhhh!!!  If you've got code that works, don't change it before committing it.
   If you *must* change it, then at least have the gumption to test it again first!
   <heavy sigh>

2005-10-25 08:01  dts12

   * agent/mibgroup/mibII/vacm_conf.c:

   Tell you what, Dave.  Why don't you try committing the code for the
   "authgroup" directive - rather than just the header file?
   <sigh>
   You just can't get the staff these days.

2005-10-25 07:58  dts12

   * agent/mibgroup/mibII/vacm_conf.h:

   Directive to support viewtype-based configuration of groups ("authgroup")

2005-10-25 07:51  dts12

   * agent/mibgroup/mibII/vacm_conf.c:

   Allow community-based directives (authcommunity, etc) to specify
   a particular SNMP version (v1-only or v2c-only)

2005-10-25 07:47  dts12

   * agent/mibgroup/mibII/vacm_conf.c:

   Support simple access directives configured with named views (-V)
   as well as OID subtrees.

2005-10-25 07:42  dts12

   * agent/mibgroup/mibII/: vacm_conf.c, vacm_conf.h:

   Define "standard" views (all or nothing)

2005-10-25 07:39  dts12

   * snmplib/mib.c:

   Work with the active root of the MIB tree (rather than the backward
   compatibility version).  This allows 'read_objid' to work correctly
   (with numeric OIDs) before the MIB files are loaded.

2005-10-24 19:31  tanders

   * testing/tests/T035snmpv3trapdusermgmt:

   reworked to use new Sv3usmconfig* framework

2005-10-24 19:30  tanders

   * testing/tests/: T049snmpv3informauth, T049snmpv3informpriv
:

   SNMPv3 authNoPriv/authPriv INFORM tests based on new Sv3usmconfig*

2005-10-24 19:27  tanders

   * testing/tests/: Sv3usmconfigagent, Sv3usmconfigbase,
     Sv3usmconfigtrapd:

   rewritten SNMPv3 USM config: basic, agent, trapd

2005-10-24 19:04  hardaker

   * agent/helpers/table_data.c:

   Fix for compilation issues:
     - rearrange function order to get proper prototype ordering without
       prototypes.
     - Removed data type for a variable name that was getting passed in
       as well.

2005-10-24 18:40  rstory

   * agent/mibgroup/mibII/at.c:

   use netsnmp_access_interface_index_find instead of Interface_Index_By_Name

2005-10-24 18:39  rstory

   * agent/mibgroup/if-mib/ifTable/ifTable_interface.c:

   remove MFD_REWRITE check, use USING_MIBII_INTERFACES_MODULE instead

2005-10-24 18:38  rstory

   * agent/mibgroup/if-mib/ifTable/ifTable.h:

   config_exclude mibII/interfaces

2005-10-24 18:37  rstory

   * agent/mibgroup/mibII.h:

   - require new mibII/ifTable instead of mibII/interfaces
   - remove MFD_REWRITE check
   - consolidate linux requires to one line

2005-10-24 18:36  rstory

   * agent/mibgroup/host/hr_network.c:

   fix ifIndex mis-match (add support for netsnmp_interface_entry)

2005-10-24 18:34  rstory

   * agent/mibgroup/host/hr_network.h:

   - require new mibII/ifTable instead of mibII/interfaces
   - require host/hr_device too, since it declares globals we need

2005-10-24 18:17  rstory

   * agent/mibgroup/if-mib/data_access/interface_common.c:

   - implement backwards compatability functions Interface_Scan_(Init|Next) so
     all modules can agree on ifIndex values

2005-10-24 17:52  rstory

   * snmplib/container_binary_array.c:

   fix cut-n-paste bug in iterator; reset ptr overwritten by release

2005-10-24 16:28  hardaker

   * apps/snmptrapd_handlers.c:

   drop packets with session errnos attached to them

2005-10-24 13:47  rstory

   * agent/mibgroup/mibII/var_route.h:

   remove MFD rewrite gyrations

2005-10-24 13:44  rstory

   * configure:

   update for configure.in

2005-10-24 13:43  rstory

   * configure.in:

   add tests for invalid options (miniagent)

2005-10-24 13:42  rstory

   * snmplib/read_config.c:

   add details to log/debug message

2005-10-24 13:40  rstory

   * agent/mibgroup/mibII/ip.h:

   use new mibII/ifTable in place of mibII/interfaces

2005-10-24 13:38  rstory

   * agent/mibgroup/mibII/ifTable.h:

   new module for other modules to reference, in place of mibII/interfaces

2005-10-24 13:29  rstory

   * agent/mibgroup/mibII/var_route.c:

   fix ifIndex lookup on linux (use netsnmp_access_interface_index_find)

2005-10-24 11:48  dts12

   * agent/helpers/table_iterator.c,
     include/net-snmp/agent/table_iterator.h:

   Generic table API: "Row operations"   (experimental implementation)

2005-10-24 11:16  tanders

   * testing/eval_tools.sh:

   introduce SKIP()

2005-10-24 10:19  tanders

   * testing/tests/: Sv3DESconfig, Sv3SHADESconfig:

   remove obsolete SNMPv3 config files

2005-10-24 07:02  dts12

   * agent/helpers/table_data.c:

   Generic table API: Row operations

2005-10-24 06:58  dts12

   * local/snmpdump.pl:

   For Thomas

2005-10-24 06:54  dts12

   * agent/helpers/table_iterator.c:

   Provisional implementation of the "Table maintenance" generic API.
   Most of this is not really applicable to the iterator helper, but
   having a standard mechanism for constructing (and freeing) the
   main iterator structure might be useful.

2005-10-24 06:22  dts12

   * agent/helpers/table_iterator.c:

   Count the number of rows in an iterator-based table.

2005-10-24 06:18  dts12

   * agent/helpers/table_iterator.c,
     include/net-snmp/agent/table_iterator.h:

   Associate table index information with the iterator structure.
   (Experimental code - introduces a minor one-off memory leak,
    but shouldn't otherwise affect existing code)

2005-10-23 20:11  tanders

   * testing/tests/T035snmpv3trapdusermgmt:

   initial test for SNMPv3 snmptrapd USM user management with snmpusm

2005-10-23 19:57  tanders

   * testing/eval_tools.sh:

   fix CHECKAGENT() and introduce CHECKTRAPDORDIE()

2005-10-23 19:45  tanders

   * snmplib/snmpv3.c:

   fix typo

2005-10-23 15:15  rstory

   * snmplib/container_binary_array.c:

   flags support; default to no duplicate keys

2005-10-23 15:13  rstory

   * include/net-snmp/library/container.h:

   tweak options function to allow test and set

2005-10-23 15:04  rstory

   * include/net-snmp/library/container.h:

   add function to set container options

2005-10-22 18:26  tanders

   * testing/: TESTCONF.sh, tests/Sv3config,
     tests/Sv3vacmconfig, tests/Svacmconfig,
     tests/Svanyconfig:

   fix typo in variable name

2005-10-22 18:14  tanders

   * testing/eval_tools.sh:

   replace obsolete snmptrapd "-u" flag by "-p"

2005-10-22 18:12  tanders

   * agent/mibgroup/ip-mib/.cvsignore:

   ip-mib changes now require .cvsignore

2005-10-22 18:04  tanders

   * testing/tests/Sv3configsha:

   obsoleted by Sv3config

2005-10-22 00:54  hardaker

   * testing/tests/: T057trapdauthtest, T057trapdauthtest2
, T057trapdauthtest3:

   proper checks for failure of unauthorized traps

2005-10-22 00:51  hardaker

   * testing/tests/T057trapdauthtest2:

   test for wrong trap oids

2005-10-22 00:47  hardaker

   * testing/tests/: T049snmpv3inform, T050snmpv3trap,
     T051snmpv2ctrap, T052snmpv2cinform, T053agentv1trap
, T054agentv2ctrap, T055agentv1mintrap,
     T056agentv2cmintrap, T058agentauthtrap,
     T113agentxtrap:

   new config tokens round 2

2005-10-22 00:46  hardaker

   * agent/mibgroup/mibII/vacm_conf.c,
     agent/mibgroup/mibII/vacm_conf.h, apps/snmptrapd_auth.c
:

   Do trap auth parsing the way Dave wants.

2005-10-21 20:30  rstory

   * NEWS:

   note new helper and scalars

2005-10-21 20:27  rstory

   * agent/mibgroup/ip-mib.h:

   add new IP-MIB scalars

2005-10-21 20:26  rstory

   * include/net-snmp/data_access/ip_scalars.h:

   data access for some IP-MIB scalars

2005-10-21 20:25  rstory

   * agent/mibgroup/ip-mib/data_access/: scalars_common.h,
     scalars_linux.c:

   data access for linux scalars

2005-10-21 20:24  rstory

   * agent/mibgroup/ip-mib/: ip_scalars.c, ip_scalars.h:

   some new scalars in the IP-MIB

2005-10-21 20:22  rstory

   * agent/helpers/instance.c,
     include/net-snmp/agent/instance.h:

   - new helper for rw access to an integer based variable which is stored
     as ascii in a file

2005-10-21 18:31  tanders

   * apps/snmpusm.c, man/snmpusm.1.def:

   Add "-CE ENGINE-ID" option to specify the usmUserEngineID. Enables snmpusm to manage snmptrapd's usmUserTable (fixes bug #1333655).

2005-10-21 18:04  rstory

   * snmplib/callback.c:

   - fix fun comment header for doxygen (keep wes happy)
   - document slightly non-obvious index use (keep dave happy)

2005-10-21 12:29  alex_b

   * agent/mibgroup/mibII/interfaces.c:

   Apply patch 1299554 from Tao to fix segfault in var_ifEntry()

2005-10-21 06:55  dts12

   * agent/mibgroup/disman/schedule/schedConf.c:

   More portable handling of 'overshoot' declaration.

2005-10-21 06:53  dts12

   * agent/helpers/: table_container.c, table_data.c,
     table_iterator.c:

   Preliminary implementation of the "Table maintenance" section
   of the generic table API.

2005-10-21 06:49  dts12

   * agent/helpers/table_generic.c:

   Minor tweaks to generic table API names,
   and correct a couple of flawed function prototypes.

2005-10-21 05:22  tanders

   * dist/nsb-functions:

   more generalized exception regex to let any "testing ... failure ..." go through, e.g. the new snmptrapd test recently introduced

2005-10-21 01:53  hardaker

   * snmplib/snmp_api.c:

   init vacm

2005-10-21 01:42  hardaker

   * apps/snmptrapd_log.h:

   include the new snmptrapd_ds.h file

2005-10-21 01:41  hardaker

   * include/net-snmp/agent/ds_agent.h:

   Added a warning note about potential conflicts with snmptrapd, which
   had actually been bypassed recently and no one noticed.

2005-10-21 01:41  hardaker

   * testing/tests/T057trapdauthtest:

   test trapd authorization failures

2005-10-21 01:40  hardaker

   * testing/tests/: T049snmpv3inform, T050snmpv3trap,
     T051snmpv2ctrap, T052snmpv2cinform, T053agentv1trap
, T054agentv2ctrap, T055agentv1mintrap,
     T056agentv2cmintrap, T058agentauthtrap,
     T113agentxtrap:

   Modified the tests to accommodate the new trapd auth scheme

2005-10-21 01:38  hardaker

   * apps/: Makefile.in, snmptrapd.c, snmptrapd_auth.c
, snmptrapd_auth.h, snmptrapd_ds.h,
     snmptrapd_handlers.c, snmptrapd_handlers.h:

   Added a new authorization handler and related configuration tokens to
   allow snmptrapd to accept or drop notifications based on the
   authorization assigned to a community/user paired with the action to
   be taken (log, forward, execute).  There are a number of configuration
   tokens that were added to achieve this.  3 of the VACM ones can be
   used as normal (view, com2sec, group) and one additional one
   (setaccess) needs to be used to set individual views for access to
   bind everything together.  There are a number of convenience wrappers
   as well for these token sets.  Finally, there is a
   disableAuthorization token that can be set to true to simply allow
   everything through.

2005-10-21 01:29  hardaker

   * agent/mibgroup/mibII/vacm_conf.c,
     agent/mibgroup/mibII/vacm_conf.h,
     agent/mibgroup/mibII/vacm_vars.c,
     include/net-snmp/library/vacm.h, snmplib/vacm.c:

   - restructured the VACM code to provide for the notion of additional
     views besides the standard read/write/notify views
     - much of the checking code was restructured to be more modular
     - added a new setaccess config token that can set the view name for
       a particular access level
     - added 3 new access levels: log, execute, net
       - added enum structure for these

2005-10-20 13:22  tanders

   * agent/mibgroup/mibII/udpTable.c:

   fix remaining IP address byte order bug

2005-10-20 08:26  dts12

   * mibs/Makefile.in:

   Install the Event MIB.

   (Qn: where does 'default_mibs_install' get set?)

2005-10-20 08:25  dts12

   * configure, configure.in:

   Add schedule MIB implementation to the default list.

   This qualifies for both:
       'Traditionally it's been "turn it on if it compiles 100%
        of the time....'
   since it's all non-architecture-specific code, and:
       '... and if it requires run time enabling as well"

2005-10-20 08:03  dts12

   * agent/mibgroup/disman/event.h:

   Add the Event MIB to the list of MIBs to load.

2005-10-20 07:33  rstory

   * testing/RUNTESTS:

   - rmdir -> rm -fR, since directory isn't empty
   - add -p/SNMP_TEST_PREFIX to allow non-standard tests to be run

2005-10-20 05:31  tanders

   * Makefile.in:

   propagate test-mibs target

2005-10-20 04:31  tanders

   * dist/nsb-functions:

   further tweak exception regex

2005-10-19 23:36  rstory

   * agent/mibgroup/if-mib/ifTable/: ifTable_constants.h,
     ifTable_data_access.c, ifTable_interface.c,
     ifTable_interface.h:

   add ifTableLastChange scalar

2005-10-19 17:59  tanders

   * configure.in:

   document that --enable-embedded-perl affects snmptrapd also

2005-10-19 11:01  rstory

   * dist/nsb-functions:

   tweak error regexp exceptions

2005-10-19 07:04  dts12

   * agent/helpers/all_helpers.c:

   Withdraw 'table_dataset2' helper

2005-10-19 01:14  hardaker

   * man/snmptrapd.conf.5.def:

   add 'default' as the oid for execing the example traphandle

2005-10-19 01:06  hardaker

   * agent/agent_trap.c:

   Fix bug #1313667: informs are sent asychronously to avoid crashing the agent when the receiver is down

2005-10-18 22:24  alex_b

   * win32/dist/: README.build.win32.txt, README.txt,
     installer/net-snmp.nsi:

   Win32: Rename Net-SNMP.ppd to NetSNMP.ppd, add a couple
   header files to Win32 uninstaller.

2005-10-18 18:22  tanders

   * apps/snmptrapd.c:

   add #ifdefs for MIB module dependent code

2005-10-18 17:11  rstory

   * agent/helpers/table_dataset.c:

   fix index generation for fixed length octet strings

2005-10-18 12:00  dts12

   * agent/helpers/Makefile.in, agent/helpers/table_dataset2.c
, include/net-snmp/agent/all_helpers.h,
     include/net-snmp/agent/table_dataset2.h,
     win32/libhelpers/Makefile.in,
     win32/libhelpers/libhelpers.dsp:

   Withdraw 'table_dataset2' helper.

2005-10-18 11:55  dts12

   * agent/mibgroup/disman/: mteEventNotificationTable.c,
     mteEventNotificationTable.h, mteEventTable.c:

   Revert to original 'table_dataset' helper.

2005-10-18 11:43  rstory

   * README.osX:

   sync readme in all branches

2005-10-18 11:33  dts12

   * agent/mibgroup/notification-log-mib/notification_log.c:

   Revert to using the original 'table_dataset' helper.

2005-10-18 11:32  dts12

   * agent/helpers/table_dataset.c,
     include/net-snmp/agent/table_dataset.h:

   Provide missing table-traversal routines.

2005-10-18 10:51  dts12

   * agent/mibgroup/disman/schedule/schedConf.h:

   Oops!  One location change got overlooked!

2005-10-18 10:43  rstory

   * dist/nsb-functions:

   make greps for error case insensitive

2005-10-18 10:30  rstory

   * snmplib/Makefile.in:

   do not install removed/redundant header

2005-10-18 10:23  dts12

   * agent/helpers/Makefile.in, agent/helpers/table_data2.c
, agent/helpers/table_tdata.c,
     include/net-snmp/agent/all_helpers.h,
     include/net-snmp/agent/table_data2.h,
     include/net-snmp/agent/table_tdata.h,
     win32/libhelpers/Makefile.in:

   Rename 'table_data2' helper as 'table_tdata'

2005-10-18 07:41  dts12

   * agent/helpers/table_data2.c, agent/helpers/table_dataset2.c
, include/net-snmp/agent/table_data2.h:

   Prepare the way for renaming 'table_data2' more sensibly.

2005-10-18 07:38  dts12

   * agent/helpers/table_data2.c,
     agent/mibgroup/disman/event/mteEvent.c,
     agent/mibgroup/disman/event/mteObjects.c,
     agent/mibgroup/disman/event/mteTrigger.c,
     agent/mibgroup/disman/expr/expExpression.c,
     agent/mibgroup/disman/expr/expObject.c,
     include/net-snmp/agent/table_data2.h:

   Remove unwanted vestigates of 'table_data' structures, and bring
   table creation more closely into line with the generic API template.

2005-10-18 07:23  dts12

   * agent/mibgroup/utilities/iquery.c:

   Missing return value.

2005-10-18 07:21  dts12

   * agent/mibgroup/disman/event/mteObjects.c:

   Missing return values.

2005-10-18 07:20  dts12

   * agent/mibgroup/disman/event/mteEvent.c:

   If no iquery session is configured for a particular event,
   try the settings from the trigger, before falling back to
   the default internal query session.

2005-10-18 07:18  dts12

   * agent/mibgroup/disman/event/mteTriggerConf.c:

   Use 'iquerySecName' settings at configure time, rather than when
   the trigger is actually invoked.  This allows:
        iquerySecName me
        monitor myMonitor .....
        monitor myOtherMonitor .....
        iquerySecName you
        monitor yourMonitor .....
   to work in the most natural manner.
   If no iquery security name is available at configure time,
   this will be evaluated at run time instead.

2005-10-18 07:07  dts12

   * agent/mibgroup/disman/: schedConf.c, schedConf.h,
     schedCore.c, schedCore.h, schedTable.c,
     schedTable.h:

   Remove previous Schedule MIB implementation.

2005-10-18 07:06  dts12

   * agent/mibgroup/disman/: schedule.h, schedule/.cvsignore
, schedule/schedConf.c, schedule/schedConf.h,
     schedule/schedCore.c, schedule/schedCore.h,
     schedule/schedTable.c, schedule/schedTable.h:

   Re-worked Schedule MIB implementation.
   Cleaner, leaner, and more complete.
   Now with added vitamins.

2005-10-17 18:24  rstory

   * snmplib/callback.c:

   add move verbose debugging; init inner loop counter after each iteration

2005-10-17 17:02  rstory

   * testing/TESTCONF.sh:

   portable export of env var

2005-10-17 16:56  nba

   * agent/mibgroup/kernel_sunos5.c:

   Fix a flipping lo interface by fixing getKstatInt to do as documented

2005-10-17 14:17  rstory

   * agent/helpers/table_container.c:

   add prototype before use; check status of correct struct member

2005-10-17 12:52  rstory

   * README.osX:

   - note ld flags for 10.4.x building w/perl

2005-10-17 11:31  dts12

   * agent/mibgroup/disman/event/mteTriggerConf.c:

   Ensure the event name buffer is properly cleared before use.

2005-10-17 07:36  dts12

   * agent/helpers/table_container.c,
     agent/helpers/table_data.c, agent/helpers/table_data2.c
, agent/helpers/table_dataset.c,
     agent/helpers/table_iterator.c,
     include/net-snmp/agent/table_container.h,
     include/net-snmp/agent/table_data.h,
     include/net-snmp/agent/table_data2.h,
     include/net-snmp/agent/table_dataset.h,
     include/net-snmp/agent/table_iterator.h:

   Modify existing table helpers in line with the proposed generic API.

   This does *NOT* change any existing code (at least not intentionally),
   or add any of the "missing" API routines.  I've simply re-shuffled
   the order of the existing routines to match the generic template.

2005-10-17 07:29  dts12

   * agent/helpers/table_generic.c:

   Proper definition/documentation of a generic table API framework.
   The exact details may not be directly appropriate in full for every
   table helper, but this should provde a useful basic design template.

2005-10-17 00:09  hardaker

   * configure, configure.in:

   removed forced debugging output

2005-10-14 19:37  bshaw666

   * configure, configure.in:

   autoconf recognition

2005-10-14 18:45  tanders

   * acconfig.h, include/net-snmp/net-snmp-config.h.in,
     mibs/NET-SNMP-TC.txt:

   support NetBSD 1.x and 2.x under the (common) "netbsd" sysObjectID.0

2005-10-14 17:20  rstory

   * agent/mibgroup/if-mib/ifXTable/ifXTable_interface.c:

   - update comments and debug messages
   - don't release row on err (it's still in the container!)
   - don't insert row on success (it's already in the container!)

2005-10-14 17:07  rstory

   * agent/: snmp_agent.c, mibgroup/util_funcs.c,
     mibgroup/utilities/iquery.c:

   replace hardcoded "snmpd" w/NETSNMP_DS_LIB_APPTYPE

2005-10-14 11:25  tanders

   * apps/snmptrapd.c:

   register the snmpEngine MIB group under the "snmptrapd" context to allow for engineID probes via the master agent, e.g. by snmpusm

2005-10-14 11:25  tanders

   * agent/mibgroup/snmpv3/: snmpEngine.c, snmpEngine.h:

   allow subagents (like snmptrapd) to register the snmpEngine MIB group under a context by introducing register_snmpEngine_scalars_context()

2005-10-14 09:55  dts12

   * agent/mibgroup/disman/: expression.h, expr/.cvsignore
, expr/expErrorTable.c, expr/expErrorTable.h,
     expr/expExpression.c, expr/expExpression.h,
     expr/expExpressionConf.c, expr/expExpressionConf.h,
     expr/expExpressionTable.c, expr/expExpressionTable.h,
     expr/expObject.c, expr/expObject.h,
     expr/expObjectConf.c, expr/expObjectConf.h,
     expr/expObjectTable.c, expr/expObjectTable.h,
     expr/expScalars.c, expr/expScalars.h, expr/expValue.c
, expr/expValue.h, expr/expValueTable.c,
     expr/expValueTable.h:

   Preliminary (re-)implementation of the Expression MIB.
   The expExpressionTable and expObjectTable are reasonably complete.
   The expValueTable (and expression evaluation) is still just a
   basic framework - expressions are displayed rather than evaluated.
   And there's no user-level configuration of expressions yet.

   But there's enough working code to be worth committing - even if
   only as a safety mechanism.

2005-10-13 17:07  rstory

   * agent/helpers/table.c:

   fix sparse handler case: no more rows, last column

2005-10-13 12:49  rstory

   * agent/helpers/table_dataset.c:

   - fix table token table indexes for augmented table
   - tweak debug
   - add warning if too much data specified for add_row

2005-10-13 11:28  rstory

   * dotgdbinit:

   add printindex for netsnmp_index structs

2005-10-13 10:12  rstory

   * dist/nsb-functions:

   configure prefix (instead of using install prefix=)

2005-10-13 05:15  dts12

   * configure, configure.in:

   Switch to using the new Event-MIB implementation by default.

   The previous version is still available for those that prefer
   to use that, but I'm sure someone will complain anyway:-(

2005-10-12 18:59  tanders

   * acconfig.h:

   openbsd sysObjectID.0 for OpenBSD 3.x

2005-10-12 18:16  tanders

   * configure, configure.in, net-snmp-config.in
:

   enhance recently introduced "net-snmp-config --snmpconfpath" to output full config path

2005-10-12 10:46  rstory

   * man/Makefile.in:

   def files are in srcdir

2005-10-12 06:28  rstory

   * snmplib/asn1.c:

   change no-op macro def to empty isntead of (void)

2005-10-11 19:17  rstory

   * snmplib/asn1.c:

   rework 64 bit overflow checking, accounting for signededness

2005-10-11 16:30  rstory

   * dist/nsb-functions:

   fix variations in tail parameter format

2005-10-11 14:53  rstory

   * configure.in:

   remove leftover EOF from rev 1.314

2005-10-11 07:52  rstory

   * dist/nsb-nightly:

   ok, linux mail doesn't like [censored] solaris style; fix

2005-10-11 07:49  rstory

   * Makefile.in:

   make sure net-snmp-config is executeable before building perl make files

2005-10-11 05:27  dts12

   * perl/: SNMP/examples/bulkwalk.pl,
     SNMP/examples/trap-example.pl, SNMP/t/bulkwalk.t,
     manager/manager.pm:

   Be consistent in how various perl scripts are invoked.

2005-10-10 19:42  tanders

   * acconfig.h, mibs/NET-SNMP-TC.txt, ov/oid_to_sym.in
, ov/oid_to_type.in:

   add sysObjectID value for Mac OS X

2005-10-10 18:33  rstory

   * agent/mibgroup/mibII/interfaces.c:

   update linux get_if_speed function name

2005-10-10 18:01  tanders

   * ov/: oid_to_sym.in, oid_to_type.in:

   add sysObjectID value for AIX

2005-10-10 17:54  rstory

   * snmplib/read_config.c:

   - break apart reading of config files and persistent config files (allows
     proper handling of persistentDir token in config files)
   - remove commented out code

2005-10-10 17:51  rstory

   * Makefile.in, mibs/Makefile.in:

   repalce perl w/ $(PERL)

2005-10-10 17:44  tanders

   * acconfig.h, mibs/NET-SNMP-TC.txt:

   add sysObjectID value for AIX

2005-10-10 17:09  rstory

   * dist/nsb-nightly:

   fix from optarg processing

2005-10-10 16:28  rstory

   * dist/nsb-nightly:

   add option for from address for email results

2005-10-10 16:25  rstory

   * dist/nsb-nightly:

   - add distinct email addresses for success/error cases
   - fixes for #%@$*& solaris mail exe
   - don't remove directory til very end

2005-10-10 16:24  rstory

   * dist/nsb-functions:

   exclude error lines for 'In function' (eg func name contains word error)

2005-10-10 14:56  rstory

   * man/Makefile.in:

   - base mib2c.conf generation on $PERL, not -d CVS
   - if no perl, touch file so install doesn't fail

2005-10-10 14:47  rstory

   * Makefile.rules, Makefile.top, local/Makefile.in
, testing/Makefile.in:

   - define PERL in all makefiles (via Makefile.top)
   - replace all calls to perl with $(PERL)
   - replace existing PERLPROG with PERL in makefiles

2005-10-10 14:38  rstory

   * net-snmp-config.in:

   add PERLLDOPTS to agent libs

2005-10-10 09:37  dts12

   * agent/mibgroup/disman/event/mteEvent.c,
     agent/mibgroup/disman/event/mteEventConf.c,
     include/net-snmp/agent/ds_agent.h:

   Allow the administrator to choose between following the DisMan
   specifications strictly, or using an approach that actually works!
   (The official ordering for adding varbinds to a notification
    payload list makes it impossible to use specify Trigger and
    Event objects in a sensible fashion).

2005-10-10 09:30  dts12

   * agent/mibgroup/disman/event/mteTrigger.c:

   Don't report rows that haven't finished being created, and
   don't keep scheduling samples for rows that are disabled or removed.

2005-10-10 09:27  dts12

   * agent/mibgroup/disman/event/mteTriggerDeltaTable.c:

   Redundent (auto-)comment.

2005-10-10 09:23  dts12

   * agent/helpers/table_data2.c,
     include/net-snmp/agent/table_data2.h:

   Converting between index representations is not part of the public API.

2005-10-10 08:11  dts12

   * agent/mibgroup/utilities/iquery.c:

   Cope with a missing internal query username
   (rather than forcing a hardwired one)

2005-10-10 07:54  dts12

   * snmplib/snmp_client.c:

   Return the full list of results from an internal query,
   rather than truncating it after the first varbind.
   (Why 'clone_var' stomps on the next link is a mystery to me!)

2005-10-10 07:44  dts12

   * agent/mibgroup/if-mib/data_access/interface_linux.c:

   Indicate that 'if_speed' APIs are Linux-specific
   (and not part of the generic IF-MIB data_access framework)

2005-10-07 17:18  rstory

   * agent/mibgroup/notification/snmpNotifyFilterTable.c:

   ifdef out code if module not enabled

2005-10-07 16:48  rstory

   * agent/mibgroup/ip-mib/ipAddressTable/ipAddressTable.c:

   move misapplied patch to correct location

2005-10-07 16:47  rstory

   * agent/mibgroup/ip-mib/data_access/ipaddress_linux.c:

   typo

2005-10-07 16:46  rstory

   * agent/mibgroup/if-mib/ifXTable/ifXTable_interface.c:

   only save settable cols

2005-10-07 16:45  rstory

   * agent/mibgroup/if-mib/ifXTable/ifXTable_constants.h:

   define settable cols

2005-10-07 16:45  rstory

   * agent/mibgroup/if-mib/ifXTable/ifXTable.c:

   get rid of old persistent save funcs, in favor of new generated stuff

2005-10-07 16:42  rstory

   * agent/helpers/table_container.c:

   typo

2005-10-07 16:38  tanders

   * FAQ:

   Major overhaul of list of supported platforms based on 5.2.2.preX testing

2005-10-07 16:25  tanders

   * NEWS:

   fix typos in 5.2 NEWS

2005-10-07 10:14  dts12

   * agent/mibgroup/disman/event/mteTriggerConf.c:

   Hmmmm.... removing the object entries following a duplicate trigger
   seems to be problematical.  (As in the agent crashes!)  It's not
   clear whether this is appropriate behaviour anyway.

   Need to think about this a bit more.

2005-10-07 09:27  dts12

   * agent/mibgroup/disman/event/: mteTriggerConf.c,
     mteTriggerConf.h:

   Configure monitoring of UCD-specific tables
   (compatability with previous Event-MIB implementation).

   Not yet fully tested, but seems to be OK.

2005-10-07 09:25  dts12

   * agent/mibgroup/disman/: event.h, event/mteScalars.c,
     event/mteScalars.h:

   Implement the Event-MIB scalar objects.

2005-10-07 09:20  dts12

   * agent/mibgroup/disman/event/: mteTrigger.c, mteTrigger.h
:

   API for counting the number of values being monitored.

2005-10-07 08:42  tanders

   * local/mib2c-conf.d/mfd-interface.m2c:

   get rid of C++ keyword "new". MfD-based code still needs to be regenerated.

2005-10-07 05:55  tanders

   * Makefile.in:

   add missing darwin8.h and solaris2.10.h

2005-10-06 20:31  tanders

   * net-snmp-config.in:

   improve help output

2005-10-06 20:21  tanders

   * configure, configure.in, net-snmp-config.in
:

   Add net-snmp-config options --default-mibs, --default-mibdirs, --persistent-directory and --snmpconfpath

2005-10-06 19:01  rstory

   * testing/: TESTCONF.sh, tests/Sv3config,
     tests/Sv3vacmconfig, tests/Svacmconfig,
     tests/Svanyconfig:

   - create and use persistent dir in test directory (so make test as root
     doesn't muck with system persistent conf)

2005-10-06 18:58  rstory

   * snmplib/snmp_api.c:

   counter64 support to snmp_add_var (so they can be sent w/snmptrap)

2005-10-06 18:56  rstory

   * agent/mibgroup/ip-forward-mib/data_access/route_common.c:

   explicit braces to keep compiler happy

2005-10-06 18:55  rstory

   * agent/mibgroup/host/hr_storage.c:

   include utmp/utmpx header (fix for one of the BSDs)

2005-10-06 18:49  rstory

   * agent/mibgroup/hardware/memory/memory_linux.c:

   - increase default buffer size
   - check open rc
   - log err if no data available

2005-10-06 18:44  rstory

   * agent/mibgroup/hardware/: cpu/cpu.c, memory/hw_mem.c:

   this (C++ reserved word) -> this_ptr

2005-10-06 18:42  rstory

   * agent/mibgroup/agentx/subagent.c:

